2015-05-14  Stephan Bosch  <stephan@rename-it.nl>

	* configure.ac:
	configure: Use consistent quotation for AC_DEFINEs as per autoconf
	recommendations.
	[0c4ae064f307] [tip]

2015-05-13  Stephan Bosch  <stephan@rename-it.nl>

	* NEWS:
	Small adjustment to NEWS file.
	[b491aa4139bc]

	* .hgsigs:
	Added signature for changeset 7b154d69394f
	[74f2b17cd83d]

	* .hgtags:
	Added tag 0.4.8.rc3 for changeset 7b154d69394f
	[68a97053e32d]

	* NEWS, configure.ac:
	Released v0.4.8.rc3 for Dovecot v2.2.17.
	[7b154d69394f] [0.4.8.rc3]

	* src/managesieve/cmd-deletescript.c, src/managesieve/cmd-getscript.c,
	src/managesieve/cmd-putscript.c, src/managesieve/cmd-renamescript.c,
	src/managesieve/managesieve-client.c, src/managesieve/managesieve-
	client.h:
	managesieve: Implemented support for reporting command statistics at
	disconnect.
	[ff3ab88205a6]

	* src/managesieve/main.c:
	managesieve: Managesieve used "managesieve" rather than "sieve" as
	login service name, which means that all managesieve-specific
	settings where ignored.
	[555374414869]

	* src/managesieve/cmd-putscript.c:
	managesieve: Storage quota was not always enforced properly for
	scripts uploaded as quoted string. Nobody does that, but we support
	it.
	[ce4709c0ee63]

	* src/lib-sieve/sieve-script.c:
	lib-sieve: script: Forgot to assign storage error when determining
	script size from stream.
	[cf1513460334]

2015-05-12  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/sieve-storage.c:
	lib-smtp: storage: Fixed small problem in handling of default
	script. When the default was first overriden, then deactivated and
	finally overriden again, it would erroneously implicitly re-
	activate.
	[3fab77ef9302]

	* src/lib-sieve/sieve-script.c, src/lib-sieve/sieve-script.h, src/lib-
	sieve/sieve-storage.c, src/managesieve/cmd-deletescript.c,
	src/plugins/doveadm-sieve/doveadm-sieve-cmd-delete.c, src/plugins
	/doveadm-sieve/doveadm-sieve-sync.c:
	lib-sieve: storage: Added parameter to sieve_script_delete() to
	allow ignoring the active status of the script. Normally, the active
	script cannot be deleted. This change is necessary to handle doveadm
	sieve delete -a correctly when the provided script is the default.
	[9308f3f2e4d4]

2015-05-11  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/sieve-storage.c:
	lib-sieve: storage: Fixed handling of defaul script in
	sieve_storage_active_script_open(). It only worked when
	sieve_default_name was set.
	[59d59552247c]

	* .hgsigs:
	Added signature for changeset 44d41235776d
	[00b74ac5af5b]

	* .hgtags:
	Added tag 0.4.8.rc2 for changeset 44d41235776d
	[5a780315cbfe]

	* configure.ac:
	Released v0.4.8.rc2 for Dovecot v2.2.17.rc1.
	[44d41235776d] [0.4.8.rc2]

	* src/lib-sieve/sieve-storage.c:
	lib-sieve: storage: Fixed segfault problem in main storage
	initialization. Caused by earlier sieve_default_name-related
	changes.
	[c00f51f3c91a]

	* .hgsigs:
	Added signature for changeset fcc97e953584
	[052cd67b423f]

	* .hgtags:
	Added tag 0.4.8.rc1 for changeset fcc97e953584
	[eb358910d318]

	* NEWS, configure.ac:
	Released v0.4.8.rc1 for Dovecot v2.2.17.rc1.
	[fcc97e953584] [0.4.8.rc1]

2015-05-10  Stephan Bosch  <stephan@rename-it.nl>

	* doc/example-config/conf.d/90-sieve.conf:
	Updated example configuration.
	[d9ae92effdf2]

2015-05-07  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/sieve-storage.c:
	lib-sieve: storage: Forgot to check whether sieve_default_name
	setting exists. This caused a segfault in the test suite.
	[f050c1de127c]

	* src/plugins/lda-sieve/lda-sieve-plugin.c:
	LDA Sieve plugin: Fixed spurious error caused by earlier changes.
	[1414446ef704]

	* src/lib-sieve/sieve-storage.c:
	lib-sieve: storage: Check Sieve script name validity in
	configuration.
	[eb001d7bbabf]

	* src/lib-sieve/storage/file/sieve-file-script.c:
	lib-sieve: file storage: The sieve_script_is_active() function
	returns int rather than bool.
	[eeef7010b52e]

	* INSTALL, src/lib-sieve/sieve-storage.c:
	lib-sieve: storage: Changed configuration of default script
	visibility feature. Using a location option for the default name
	makes no sense if its only used for the main personal script.
	[d4aa9ddf3efd]

2015-05-06  Stephan Bosch  <stephan@rename-it.nl>

	* INSTALL, src/lib-sieve/sieve-script.c, src/lib-sieve/sieve-script.h,
	src/lib-sieve/sieve-storage-private.h, src/lib-sieve/sieve-
	storage.c, src/lib-sieve/sieve-storage.h, src/lib-sieve/storage/file
	/sieve-file-storage-save.c, src/lib-sieve/storage/file/sieve-file-
	storage.c, src/lib-sieve/storage/file/sieve-file-storage.h,
	src/plugins/lda-sieve/lda-sieve-plugin.c:
	lib-sieve: storage: Implemented magic to make sieve_default script
	visible in main storage (e.g. from ManageSieve).
	[70a3e6c5bb1f]

2015-05-05  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/plugins/date/tst-date.c, src/lib-sieve/plugins/index
	/tag-index.c, src/lib-sieve/sieve-message.c, src/lib-sieve/sieve-
	message.h, src/lib-sieve/tst-address.c, src/lib-sieve/tst-exists.c,
	src/lib-sieve/tst-header.c, tests/test-address.svtest:
	lib-sieve: Erroneously decoded mime-encoded words in address
	headers.
	[a3d26f12c2cd]

	* src/lib-sieve/util/program-client-remote.c, src/lib-sieve/util
	/program-client.c, tests/plugins/extprograms/execute/execute.svtest:
	lib-sieve: util: program client: Fixed handing of situation when no
	input is provided to external program used as a command. Previous
	fixes still omitted a few important aspects: Connect return result
	wasn't actually passed up to program_client_run(). Default exit code
	was wrong.
	[89e0cef5b264]

2015-05-04  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/util/program-client.c:
	lib-sieve: util: program client: Fixed omission in previous change.
	[1eb0362461f0]

	* src/lib-sieve/util/program-client-remote.c, src/lib-sieve/util
	/program-client.c:
	lib-sieve: util: program client: Fixed handling of connecting
	asynchronously.
	[05f8ce7b5c2e]

2015-04-23  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/util/realpath.c:
	lib-sieve: util: Fixed bug in t_realpath() normalization occuring
	with relative symlinks below root. Also contains a few small code
	cleanups.
	[dd430dfa2ddb]

2015-04-22  Stephan Bosch  <stephan@rename-it.nl>

	* Merged concurrent changes.
	[6926e54e8817]

	* src/lib-sieve/plugins/enotify/cmd-notify.c, src/lib-sieve/sieve-
	result.c, src/lib-sieve/sieve-result.h, src/lib-sieve/sieve-types.h,
	src/lib-sieve/sieve.c, src/lib-sieve/sieve.h, src/plugins/lda-
	sieve/Makefile.am, src/plugins/lda-sieve/lda-sieve-log.c,
	src/plugins/lda-sieve/lda-sieve-log.h, src/plugins/lda-sieve/lda-
	sieve-plugin.c, src/sieve-tools/sieve-filter.c, src/sieve-tools
	/sieve-test.c, src/testsuite/testsuite-result.c, src/testsuite
	/testsuite-script.c:
	LDA Sieve plugin: Changed error handling so that each action log
	message can have up-to-date time stamps. This change matches a
	change in LDA that is aimed at logging timing statistics.
	[c9c16230501e]

2015-04-08  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/plugins/editheader/cmd-addheader.c:
	lib-sieve: editheader extension: The ADDHEADER operation mnemonic
	was in lower case.
	[1a8e8af5376c]

2015-04-06  Stephan Bosch  <stephan@rename-it.nl>

	* INSTALL, doc/example-config/conf.d/90-sieve.conf:
	Fixed some inconsistencies in the INSTALL documentation. Forgot to
	adjust a few things when the location types were introduced and
	documented.
	[a8256d9a8f12]

2015-03-28  Stephan Bosch  <stephan@rename-it.nl>

	* TODO:
	Updated TODO.
	[2ebd3bd76e1e]

2015-03-27  Stephan Bosch  <stephan@rename-it.nl>

	* doc/locations/file.txt:
	More small fixes in file script location documentation.
	[2ce442cdcc16]

	* doc/locations/file.txt:
	Small fixes in file script location documentation.
	[6c8410c43380]

	* doc/extensions/duplicate.txt:
	Revised documentation for the duplicate Sieve extension.
	[4d6024f934e4]

	* doc/extensions/editheader.txt:
	Revised documentation for the editheader Sieve extension.
	[8fd29db950be]

	* doc/rfc/Makefile.am, doc/rfc/date-index.rfc5260.txt, doc/rfc/draft-
	ietf-appsawg-sieve-duplicate-03.txt, doc/rfc/duplicate.rfc7352.txt,
	doc/rfc/mailbox-metadata.rfc5490.txt, doc/rfc/spec-bosch-sieve-
	duplicate.txt:
	Updated RFCs in documentation.
	[12220716133c]

	* configure.ac, doc/Makefile.am, doc/extensions/Makefile.am,
	doc/locations/Makefile.am, doc/plugins/Makefile.am,
	doc/rfc/Makefile.am:
	Fixed installation of documentation. This was quite fundamentally
	broken, not only due to previous change.
	[67238df4bae3]

2015-03-26  Stephan Bosch  <stephan@rename-it.nl>

	* INSTALL, doc/extensions/duplicate.txt, doc/locations/dict.txt,
	doc/locations/file.txt, doc/locations/ldap.txt, doc/script-location-
	dict.txt, doc/script-location-ldap.txt:
	Updated configuration-related documentation.
	[5547d6d1778c]

2015-03-19  Stephan Bosch  <stephan@rename-it.nl>

	* .hgsigs:
	Added signature for changeset f2323a90c202
	[971969e1671d]

	* .hgtags:
	Added tag 0.4.7 for changeset f2323a90c202
	[f2474358118d]

	* NEWS, configure.ac:
	Released v0.4.7 for Dovecot v2.2.16.
	[f2323a90c202] [0.4.7]

2015-03-17  Stephan Bosch  <stephan@rename-it.nl>

	* .hgsigs:
	Added signature for changeset 87b2d3e43a44
	[579a43f2dd0f]

	* .hgtags:
	Added tag 0.4.7.rc3 for changeset 87b2d3e43a44
	[f15f765b07de]

	* NEWS, configure.ac:
	Released v0.4.7.rc3 for Dovecot v2.2.16.
	[87b2d3e43a44] [0.4.7.rc3]

2015-03-16  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/storage/file/sieve-file-storage.c:
	lib-sieve: file storage: Fixed bug that caused missing active
	symlink to cause a temporary error in some cases.
	[cf8007c9a74f]

	* src/lib-sieve/storage/file/sieve-file-storage.c:
	lib-sieve: file storage: Fixed bug in storage path normalization. A
	conditional expression was inverted, causing the path to remain
	unnormalized.
	[07e25d04d8f2]

2015-03-15  Stephan Bosch  <stephan@rename-it.nl>

	* .hgsigs:
	Added signature for changeset fd050f466314 Messed up the previous
	attempt.
	[28710e1201e9]

	* .hgsigs:
	Added signature for changeset b3439a979c2e
	[d6fb8945e4cd]

	* .hgtags:
	Added tag 0.4.7.rc2 for changeset fd050f466314
	[b3439a979c2e]

	* NEWS, configure.ac:
	Released v0.4.7.rc2 for Dovecot v2.2.16.
	[fd050f466314] [0.4.7.rc2]

2015-03-14  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/storage/file/sieve-file-storage-active.c:
	lib-sieve: file storage: Fixed handling of invalid active script
	link. The error status code wasn't set, so this was handled as an
	error rather than a warning in the LDA plugin.
	[a99606c0f9bc]

	* src/lib-sieve/storage/file/sieve-file-storage.c:
	lib-sieve: file storage: Improved backwards compatibility with
	respect to the active script being a regular file.
	[1b09618ca88d]

	* src/lib-sieve/sieve-binary-dumper.c, src/lib-sieve/sieve-script-
	private.h, src/lib-sieve/sieve-script.c, src/lib-sieve/sieve-
	script.h, src/lib-sieve/storage/dict/sieve-dict-script.c, src/lib-
	sieve/storage/ldap/sieve-ldap-script.c:
	lib-sieve: Added script metadata to binary dump output.
	[5506ad4315b9]

	* src/lib-sieve/sieve-script.c, src/lib-sieve/storage/dict/sieve-dict-
	script.c, src/lib-sieve/storage/file/sieve-file-script.c, src/lib-
	sieve/storage/ldap/sieve-ldap-script.c, src/lib-sieve/storage/ldap
	/sieve-ldap-storage.c, src/lib-sieve/storage/ldap/sieve-ldap-
	storage.h:
	lib-sieve: Improved debug messages about up-to-date status of a
	loaded binary.
	[0226882e55e1]

	* src/lib-sieve/storage/dict/sieve-dict-script.c:
	lib-sieve: dict: Fixed memory allocation bug in script object.
	[adbd9fc695d1]

2015-03-12  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/storage/file/sieve-file-script.c:
	lib-sieve: file storage: Forgot to compare stat.st_dev in equals()
	method.
	[38689335cc93]

	* src/sieve-tools/sievec.c:
	sievec: Don't pass the filename as script name when compiling a
	whole directory.
	[16dfb44e0c1b]

	* src/lib-sieve/storage/file/sieve-file-storage-active.c:
	lib-sieve: file storage: Improved checking of active script link
	using t_normpath().
	[57f54356a8bf]

	* src/lib-sieve/sieve-storage.c:
	lib-sieve: Restructured parsing of storage options.
	[adf9baf74a4d]

2015-03-14  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/storage/file/sieve-file-script.c:
	lib-sieve: Fixed handling of script stream errors.
	[a58ba4e734b1]

2015-03-12  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/sieve-script.c, src/lib-sieve/storage/dict/sieve-dict-
	script.c, src/lib-sieve/storage/dict/sieve-dict-storage.c, src/lib-
	sieve/storage/dict/sieve-dict-storage.h, src/lib-
	sieve/storage/file/Makefile.am, src/lib-sieve/storage/file/sieve-
	file-script.c, src/lib-sieve/storage/file/sieve-file-storage.c, src
	/lib-sieve/storage/ldap/sieve-ldap-script.c, src/lib-
	sieve/storage/ldap/sieve-ldap-storage.c:
	lib-sieve: Implemented normalization for script storage locations
	for all storage drivers. This is particularly important when the
	location is recorded in the binary for checking whether it is up-to-
	date.
	[e574d52c40bf]

	* src/lib-sieve/util/Makefile.am, src/lib-sieve/util/realpath.c, src
	/lib-sieve/util/realpath.h:
	lib-sieve: Implemented utility functions to normalize filesystem
	paths.
	[163a8fbfdc1a]

2015-03-11  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/sieve-script.c:
	lib-sieve: script: Added more debug output about metadata up-to-date
	status.
	[986ea6e9c270]

2015-03-10  Stephan Bosch  <stephan@rename-it.nl>

	* .hgsigs:
	Added signature for changeset 27ad95fd05a0
	[961c66e7f414]

	* .hgtags:
	Added tag 0.4.7.rc1 for changeset 27ad95fd05a0
	[e1e9d50b2c15]

	* NEWS, configure.ac:
	Released v0.4.7.rc1 for Dovecot v2.2.16.rc1.
	[27ad95fd05a0] [0.4.7.rc1]

	* README:
	Updated README with addition of support for the metadata extensions.
	[b04ce69445fc]

2015-03-06  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/sieve-lexer.c:
	lib-sieve: Moved lexical scanner to system pool.
	[c74220e16e0f]

	* src/lib-sieve/sieve-lexer.c, src/lib-sieve/sieve-lexer.h:
	lib-sieve: Cleaned up error handling for the lexical scanner.
	[465ec119b394]

	* doc/extensions/editheader.txt, src/lib-sieve/plugins/editheader/cmd-
	addheader.c, src/lib-sieve/plugins/editheader/cmd-deleteheader.c,
	src/lib-sieve/plugins/editheader/ext-editheader-common.c, src/lib-
	sieve/plugins/editheader/ext-editheader-common.h,
	tests/extensions/editheader/protected.svtest:
	lib-sieve: editheader extension: Made protection against addition
	and deletion of headers configurable separately. Also, the received
	and auto-submitted headers are now only protected against deletion
	as required in the RFC. Updated the documentation accordingly.
	[c13471f102be]

	* tests/extensions/metadata/execute.svtest:
	metadata: Fixed testsuite after changes in Dovecot. Currently cannot
	freely assing server metadata items for testing. Disabled tests for
	now.
	[3f1d2b649e19]

	* src/lib-sieve/sieve-smtp.c, src/lib-sieve/sieve-types.h, src/plugins
	/lda-sieve/lda-sieve-plugin.c, src/sieve-tools/sieve-test.c,
	src/testsuite/testsuite-smtp.c, src/testsuite/testsuite-smtp.h:
	lda sieve plugin: Started using smtp_client_deinit_timeout() to give
	a session timeout.
	[572300c87a17]

	* src/plugins/doveadm-sieve/Makefile.am:
	doveadm sieve plugin: Forgot to add new headers to distribution.
	[72ff74f6cb11]

2015-02-23  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/mcht-matches.c, tests/match-types/matches.svtest:
	lib-sieve: Fixed bug in `:matches' match-type that made a pattern
	without wildcards match as if there were a '*' at the beginning.
	[c8edece267cd]

2015-02-21  Stephan Bosch  <stephan@rename-it.nl>

	* src/plugins/doveadm-sieve/doveadm-sieve-sync.c:
	doveadm sieve plugin: Forgot to change one sieve_script_delete()
	invocation in previous change.
	[e5cb9d585bc1]

	* .hgignore, doc/man/Makefile.am, doc/man/doveadm-sieve.1.in, doc/man
	/global-options-formatter.inc, doc/man/global-options.inc,
	doc/man/option-A.inc, doc/man/option-S-socket.inc,
	doc/man/option-u-user.inc, doc/man/pigeonhole.7.in, doc/man
	/reporting-bugs.inc, doc/man/sed.sh, src/lib-sieve/sieve-script.c,
	src/lib-sieve/sieve-script.h, src/managesieve/cmd-deletescript.c,
	src/plugins/doveadm-sieve/Makefile.am, src/plugins/doveadm-sieve
	/doveadm-sieve-cmd-activate.c, src/plugins/doveadm-sieve/doveadm-
	sieve-cmd-delete.c, src/plugins/doveadm-sieve/doveadm-sieve-cmd-
	get.c, src/plugins/doveadm-sieve/doveadm-sieve-cmd-list.c,
	src/plugins/doveadm-sieve/doveadm-sieve-cmd-put.c, src/plugins
	/doveadm-sieve/doveadm-sieve-cmd-rename.c, src/plugins/doveadm-sieve
	/doveadm-sieve-cmd.c, src/plugins/doveadm-sieve/doveadm-sieve-cmd.h,
	src/plugins/doveadm-sieve/doveadm-sieve-plugin.c, src/plugins
	/doveadm-sieve/doveadm-sieve-plugin.h, src/plugins/doveadm-sieve
	/doveadm-sieve-sync.c:
	doveadm sieve plugin: Implemented commands for managing Sieve
	scripts. This allows performing ManageSieve actions at command line
	or through doveadm server.
	[7432a425ac63]

2015-02-19  Stephan Bosch  <stephan@rename-it.nl>

	* src/managesieve/cmd-renamescript.c:
	managesieve: Forgot to dereference script object in RENAMESCRIPT
	command.
	[281a90a91f95]

2015-02-01  Stephan Bosch  <stephan@rename-it.nl>

	* TODO:
	Updated TODO.
	[012ce8594501]

2015-01-16  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/storage/file/sieve-file-script.c, src/lib-
	sieve/storage/file/sieve-file-storage-active.c, src/lib-
	sieve/storage/file/sieve-file-storage-list.c, src/lib-
	sieve/storage/file/sieve-file-storage-quota.c, src/lib-
	sieve/storage/file/sieve-file-storage-save.c, src/lib-
	sieve/storage/file/sieve-file-storage.c, src/lib-sieve/storage/file
	/sieve-file-storage.h:
	lib-sieve: file storage: Restructured storage initialization to
	address backwards compatibility issues.
	[cd8194a2469e]

	* src/lib-sieve/sieve-script.c, src/lib-sieve/sieve-storage.c:
	lib-sieve: Make sure internal script storage errors clear previous
	error.
	[8f73af8e6c3a]

2015-01-08  Stephan Bosch  <stephan@rename-it.nl>

	* doc/man/pigeonhole.7.in, doc/man/sieve-dump.1.in, doc/man/sieve-
	filter.1.in, doc/man/sieve-test.1.in, doc/man/sievec.1.in, src/lib-
	managesieve/managesieve-arg.c, src/lib-managesieve/managesieve-
	arg.h, src/lib-managesieve/managesieve-parser.c, src/lib-managesieve
	/managesieve-parser.h, src/lib-managesieve/managesieve-quote.c, src
	/lib-managesieve/managesieve-quote.h, src/lib-sieve-tool/mail-raw.c,
	src/lib-sieve-tool/mail-raw.h, src/lib-sieve-tool/sieve-tool.c, src
	/lib-sieve-tool/sieve-tool.h, src/lib-sieve/cmd-discard.c, src/lib-
	sieve/cmd-if.c, src/lib-sieve/cmd-keep.c, src/lib-sieve/cmd-
	redirect.c, src/lib-sieve/cmd-require.c, src/lib-sieve/cmd-stop.c,
	src/lib-sieve/cmp-i-ascii-casemap.c, src/lib-sieve/cmp-i-octet.c,
	src/lib-sieve/ext-encoded-character.c, src/lib-sieve/ext-envelope.c,
	src/lib-sieve/ext-fileinto.c, src/lib-sieve/ext-reject.c, src/lib-
	sieve/mcht-contains.c, src/lib-sieve/mcht-is.c, src/lib-sieve/mcht-
	matches.c, src/lib-sieve/plugins/body/ext-body-common.c, src/lib-
	sieve/plugins/body/ext-body-common.h, src/lib-sieve/plugins/body
	/ext-body.c, src/lib-sieve/plugins/body/tst-body.c, src/lib-
	sieve/plugins/comparator-i-ascii-numeric/ext-cmp-i-ascii-numeric.c,
	src/lib-sieve/plugins/copy/ext-copy.c, src/lib-sieve/plugins/copy
	/sieve-ext-copy.h, src/lib-sieve/plugins/date/ext-date-common.c, src
	/lib-sieve/plugins/date/ext-date-common.h, src/lib-
	sieve/plugins/date/ext-date.c, src/lib-sieve/plugins/date/tst-
	date.c, src/lib-sieve/plugins/duplicate/ext-duplicate-common.c, src
	/lib-sieve/plugins/duplicate/ext-duplicate-common.h, src/lib-
	sieve/plugins/duplicate/ext-duplicate.c, src/lib-
	sieve/plugins/duplicate/tst-duplicate.c, src/lib-
	sieve/plugins/editheader/cmd-addheader.c, src/lib-
	sieve/plugins/editheader/cmd-deleteheader.c, src/lib-
	sieve/plugins/editheader/ext-editheader-common.c, src/lib-
	sieve/plugins/editheader/ext-editheader-common.h, src/lib-
	sieve/plugins/editheader/ext-editheader-limits.h, src/lib-
	sieve/plugins/editheader/ext-editheader.c, src/lib-
	sieve/plugins/enotify/cmd-notify.c, src/lib-sieve/plugins/enotify
	/ext-enotify-common.c, src/lib-sieve/plugins/enotify/ext-enotify-
	common.h, src/lib-sieve/plugins/enotify/ext-enotify-limits.h, src
	/lib-sieve/plugins/enotify/ext-enotify.c, src/lib-
	sieve/plugins/enotify/mailto/ntfy-mailto.c, src/lib-
	sieve/plugins/enotify/mailto/uri-mailto.c, src/lib-
	sieve/plugins/enotify/mailto/uri-mailto.h, src/lib-
	sieve/plugins/enotify/sieve-ext-enotify.h, src/lib-
	sieve/plugins/enotify/tst-notify-method-capability.c, src/lib-
	sieve/plugins/enotify/tst-valid-notify-method.c, src/lib-
	sieve/plugins/enotify/vmodf-encodeurl.c, src/lib-
	sieve/plugins/environment/ext-environment-common.c, src/lib-
	sieve/plugins/environment/ext-environment-common.h, src/lib-
	sieve/plugins/environment/ext-environment.c, src/lib-
	sieve/plugins/environment/sieve-ext-environment.h, src/lib-
	sieve/plugins/environment/tst-environment.c, src/lib-
	sieve/plugins/ihave/cmd-error.c, src/lib-sieve/plugins/ihave/ext-
	ihave-binary.c, src/lib-sieve/plugins/ihave/ext-ihave-binary.h, src
	/lib-sieve/plugins/ihave/ext-ihave-common.c, src/lib-
	sieve/plugins/ihave/ext-ihave-common.h, src/lib-sieve/plugins/ihave
	/ext-ihave.c, src/lib-sieve/plugins/ihave/tst-ihave.c, src/lib-
	sieve/plugins/imap4flags/cmd-flag.c, src/lib-
	sieve/plugins/imap4flags/ext-imap4flags-common.c, src/lib-
	sieve/plugins/imap4flags/ext-imap4flags-common.h, src/lib-
	sieve/plugins/imap4flags/ext-imap4flags.c, src/lib-
	sieve/plugins/imap4flags/ext-imapflags.c, src/lib-
	sieve/plugins/imap4flags/tag-flags.c, src/lib-
	sieve/plugins/imap4flags/tst-hasflag.c, src/lib-
	sieve/plugins/include/cmd-global.c, src/lib-sieve/plugins/include
	/cmd-include.c, src/lib-sieve/plugins/include/cmd-return.c, src/lib-
	sieve/plugins/include/ext-include-binary.c, src/lib-
	sieve/plugins/include/ext-include-binary.h, src/lib-
	sieve/plugins/include/ext-include-common.c, src/lib-
	sieve/plugins/include/ext-include-common.h, src/lib-
	sieve/plugins/include/ext-include-limits.h, src/lib-
	sieve/plugins/include/ext-include-variables.c, src/lib-
	sieve/plugins/include/ext-include-variables.h, src/lib-
	sieve/plugins/include/ext-include.c, src/lib-sieve/plugins/index
	/ext-index-common.c, src/lib-sieve/plugins/index/ext-index-common.h,
	src/lib-sieve/plugins/index/ext-index.c, src/lib-sieve/plugins/index
	/tag-index.c, src/lib-sieve/plugins/mailbox/ext-mailbox-common.h,
	src/lib-sieve/plugins/mailbox/ext-mailbox.c, src/lib-
	sieve/plugins/mailbox/sieve-ext-mailbox.h, src/lib-
	sieve/plugins/mailbox/tag-mailbox-create.c, src/lib-
	sieve/plugins/mailbox/tst-mailboxexists.c, src/lib-
	sieve/plugins/metadata/ext-metadata-common.h, src/lib-
	sieve/plugins/metadata/ext-metadata.c, src/lib-
	sieve/plugins/metadata/tst-metadata.c, src/lib-
	sieve/plugins/metadata/tst-metadataexists.c, src/lib-
	sieve/plugins/notify/cmd-denotify.c, src/lib-sieve/plugins/notify
	/cmd-notify.c, src/lib-sieve/plugins/notify/ext-notify-common.c, src
	/lib-sieve/plugins/notify/ext-notify-common.h, src/lib-
	sieve/plugins/notify/ext-notify-limits.h, src/lib-
	sieve/plugins/notify/ext-notify.c, src/lib-sieve/plugins/regex/ext-
	regex-common.c, src/lib-sieve/plugins/regex/ext-regex-common.h, src
	/lib-sieve/plugins/regex/ext-regex.c, src/lib-sieve/plugins/regex
	/mcht-regex.c, src/lib-sieve/plugins/relational/ext-relational-
	common.c, src/lib-sieve/plugins/relational/ext-relational-common.h,
	src/lib-sieve/plugins/relational/ext-relational.c, src/lib-
	sieve/plugins/relational/mcht-count.c, src/lib-
	sieve/plugins/relational/mcht-value.c, src/lib-
	sieve/plugins/spamvirustest/ext-spamvirustest-common.c, src/lib-
	sieve/plugins/spamvirustest/ext-spamvirustest-common.h, src/lib-
	sieve/plugins/spamvirustest/ext-spamvirustest.c, src/lib-
	sieve/plugins/spamvirustest/tst-spamvirustest.c, src/lib-
	sieve/plugins/subaddress/ext-subaddress.c, src/lib-
	sieve/plugins/vacation/cmd-vacation.c, src/lib-
	sieve/plugins/vacation/ext-vacation-common.c, src/lib-
	sieve/plugins/vacation/ext-vacation-common.h, src/lib-
	sieve/plugins/vacation/ext-vacation-seconds.c, src/lib-
	sieve/plugins/vacation/ext-vacation.c, src/lib-
	sieve/plugins/variables/cmd-set.c, src/lib-sieve/plugins/variables
	/ext-variables-arguments.c, src/lib-sieve/plugins/variables/ext-
	variables-arguments.h, src/lib-sieve/plugins/variables/ext-
	variables-common.c, src/lib-sieve/plugins/variables/ext-variables-
	common.h, src/lib-sieve/plugins/variables/ext-variables-dump.c, src
	/lib-sieve/plugins/variables/ext-variables-dump.h, src/lib-
	sieve/plugins/variables/ext-variables-limits.h, src/lib-
	sieve/plugins/variables/ext-variables-modifiers.c, src/lib-
	sieve/plugins/variables/ext-variables-modifiers.h, src/lib-
	sieve/plugins/variables/ext-variables-name.c, src/lib-
	sieve/plugins/variables/ext-variables-name.h, src/lib-
	sieve/plugins/variables/ext-variables-namespaces.c, src/lib-
	sieve/plugins/variables/ext-variables-namespaces.h, src/lib-
	sieve/plugins/variables/ext-variables-operands.c, src/lib-
	sieve/plugins/variables/ext-variables-operands.h, src/lib-
	sieve/plugins/variables/ext-variables.c, src/lib-
	sieve/plugins/variables/sieve-ext-variables.h, src/lib-
	sieve/plugins/variables/tst-string.c, src/lib-
	sieve/plugins/vnd.dovecot/debug/cmd-debug-log.c, src/lib-
	sieve/plugins/vnd.dovecot/debug/ext-debug-common.h, src/lib-
	sieve/plugins/vnd.dovecot/debug/ext-debug.c, src/lib-sieve/sieve-
	actions.c, src/lib-sieve/sieve-actions.h, src/lib-sieve/sieve-
	address-parts.c, src/lib-sieve/sieve-address-parts.h, src/lib-sieve
	/sieve-address.c, src/lib-sieve/sieve-address.h, src/lib-sieve
	/sieve-ast.c, src/lib-sieve/sieve-ast.h, src/lib-sieve/sieve-binary-
	code.c, src/lib-sieve/sieve-binary-debug.c, src/lib-sieve/sieve-
	binary-dumper.c, src/lib-sieve/sieve-binary-dumper.h, src/lib-sieve
	/sieve-binary-file.c, src/lib-sieve/sieve-binary-private.h, src/lib-
	sieve/sieve-binary.c, src/lib-sieve/sieve-binary.h, src/lib-sieve
	/sieve-code-dumper.c, src/lib-sieve/sieve-code-dumper.h, src/lib-
	sieve/sieve-code.c, src/lib-sieve/sieve-code.h, src/lib-sieve/sieve-
	commands.c, src/lib-sieve/sieve-commands.h, src/lib-sieve/sieve-
	common.h, src/lib-sieve/sieve-comparators.c, src/lib-sieve/sieve-
	comparators.h, src/lib-sieve/sieve-config.h, src/lib-sieve/sieve-
	dump.h, src/lib-sieve/sieve-error-private.h, src/lib-sieve/sieve-
	error.c, src/lib-sieve/sieve-error.h, src/lib-sieve/sieve-
	extensions.c, src/lib-sieve/sieve-extensions.h, src/lib-sieve/sieve-
	generator.c, src/lib-sieve/sieve-generator.h, src/lib-sieve/sieve-
	interpreter.c, src/lib-sieve/sieve-interpreter.h, src/lib-sieve
	/sieve-lexer.c, src/lib-sieve/sieve-lexer.h, src/lib-sieve/sieve-
	limits.h, src/lib-sieve/sieve-match-types.c, src/lib-sieve/sieve-
	match-types.h, src/lib-sieve/sieve-match.c, src/lib-sieve/sieve-
	match.h, src/lib-sieve/sieve-message.c, src/lib-sieve/sieve-
	message.h, src/lib-sieve/sieve-objects.c, src/lib-sieve/sieve-
	objects.h, src/lib-sieve/sieve-parser.c, src/lib-sieve/sieve-
	parser.h, src/lib-sieve/sieve-plugins.c, src/lib-sieve/sieve-
	plugins.h, src/lib-sieve/sieve-result.c, src/lib-sieve/sieve-
	result.h, src/lib-sieve/sieve-runtime-trace.c, src/lib-sieve/sieve-
	runtime-trace.h, src/lib-sieve/sieve-runtime.h, src/lib-sieve/sieve-
	script-private.h, src/lib-sieve/sieve-script.c, src/lib-sieve/sieve-
	script.h, src/lib-sieve/sieve-settings.c, src/lib-sieve/sieve-
	settings.h, src/lib-sieve/sieve-smtp.c, src/lib-sieve/sieve-smtp.h,
	src/lib-sieve/sieve-storage-private.h, src/lib-sieve/sieve-storage-
	sync.c, src/lib-sieve/sieve-storage.c, src/lib-sieve/sieve-
	storage.h, src/lib-sieve/sieve-stringlist.c, src/lib-sieve/sieve-
	stringlist.h, src/lib-sieve/sieve-types.h, src/lib-sieve/sieve-
	validator.c, src/lib-sieve/sieve-validator.h, src/lib-sieve/sieve.c,
	src/lib-sieve/sieve.h, src/lib-sieve/storage/dict/sieve-dict-
	script.c, src/lib-sieve/storage/dict/sieve-dict-storage.c, src/lib-
	sieve/storage/dict/sieve-dict-storage.h, src/lib-sieve/storage/file
	/sieve-file-script-sequence.c, src/lib-sieve/storage/file/sieve-
	file-script.c, src/lib-sieve/storage/file/sieve-file-storage-
	active.c, src/lib-sieve/storage/file/sieve-file-storage-list.c, src
	/lib-sieve/storage/file/sieve-file-storage-quota.c, src/lib-
	sieve/storage/file/sieve-file-storage-save.c, src/lib-
	sieve/storage/file/sieve-file-storage.c, src/lib-sieve/storage/file
	/sieve-file-storage.h, src/lib-sieve/storage/ldap/sieve-ldap-db.c,
	src/lib-sieve/storage/ldap/sieve-ldap-script.c, src/lib-
	sieve/storage/ldap/sieve-ldap-storage-settings.c, src/lib-
	sieve/storage/ldap/sieve-ldap-storage.c, src/lib-sieve/storage/ldap
	/sieve-ldap-storage.h, src/lib-sieve/tst-address.c, src/lib-sieve
	/tst-allof.c, src/lib-sieve/tst-anyof.c, src/lib-sieve/tst-exists.c,
	src/lib-sieve/tst-header.c, src/lib-sieve/tst-not.c, src/lib-sieve
	/tst-size.c, src/lib-sieve/tst-truefalse.c, src/lib-sieve/util/edit-
	mail.c, src/lib-sieve/util/edit-mail.h, src/lib-sieve/util/program-
	client-local.c, src/lib-sieve/util/program-client-private.h, src
	/lib-sieve/util/program-client-remote.c, src/lib-sieve/util/program-
	client.c, src/lib-sieve/util/program-client.h, src/lib-
	sieve/util/rfc2822.c, src/lib-sieve/util/rfc2822.h, src/managesieve-
	login/client-authenticate.c, src/managesieve-login/client-
	authenticate.h, src/managesieve-login/client.c, src/managesieve-
	login/client.h, src/managesieve-login/managesieve-login-settings-
	plugin.c, src/managesieve-login/managesieve-login-settings-plugin.h,
	src/managesieve-login/managesieve-login-settings.c, src/managesieve-
	login/managesieve-login-settings.h, src/managesieve-login
	/managesieve-proxy.c, src/managesieve-login/managesieve-proxy.h,
	src/managesieve/cmd-capability.c, src/managesieve/cmd-
	deletescript.c, src/managesieve/cmd-getscript.c, src/managesieve
	/cmd-havespace.c, src/managesieve/cmd-listscripts.c, src/managesieve
	/cmd-logout.c, src/managesieve/cmd-noop.c, src/managesieve/cmd-
	putscript.c, src/managesieve/cmd-renamescript.c, src/managesieve
	/cmd-setactive.c, src/managesieve/main.c, src/managesieve
	/managesieve-capabilities.c, src/managesieve/managesieve-
	capabilities.h, src/managesieve/managesieve-client.c,
	src/managesieve/managesieve-client.h, src/managesieve/managesieve-
	commands.c, src/managesieve/managesieve-commands.h, src/managesieve
	/managesieve-common.h, src/managesieve/managesieve-quota.c,
	src/managesieve/managesieve-quota.h, src/managesieve/managesieve-
	settings.c, src/managesieve/managesieve-settings.h, src/plugins
	/doveadm-sieve/doveadm-sieve-plugin.c, src/plugins/lda-sieve/lda-
	sieve-plugin.c, src/plugins/lda-sieve/lda-sieve-plugin.h,
	src/plugins/settings/pigeonhole-settings.c, src/plugins/sieve-
	extprograms/cmd-execute.c, src/plugins/sieve-extprograms/cmd-
	filter.c, src/plugins/sieve-extprograms/cmd-pipe.c, src/plugins
	/sieve-extprograms/ext-execute.c, src/plugins/sieve-extprograms/ext-
	filter.c, src/plugins/sieve-extprograms/ext-pipe.c, src/plugins
	/sieve-extprograms/sieve-extprograms-common.c, src/plugins/sieve-
	extprograms/sieve-extprograms-common.h, src/plugins/sieve-
	extprograms/sieve-extprograms-plugin.c, src/plugins/sieve-
	extprograms/sieve-extprograms-plugin.h, src/sieve-tools/sieve-
	dump.c, src/sieve-tools/sieve-filter.c, src/sieve-tools/sieve-
	test.c, src/sieve-tools/sievec.c, src/testsuite/cmd-test-binary.c,
	src/testsuite/cmd-test-config.c, src/testsuite/cmd-test-fail.c,
	src/testsuite/cmd-test-imap-metadata.c, src/testsuite/cmd-test-
	mailbox.c, src/testsuite/cmd-test-message.c, src/testsuite/cmd-test-
	result.c, src/testsuite/cmd-test-set.c, src/testsuite/cmd-test.c,
	src/testsuite/ext-testsuite.c, src/testsuite/testsuite-arguments.c,
	src/testsuite/testsuite-arguments.h, src/testsuite/testsuite-
	binary.c, src/testsuite/testsuite-binary.h, src/testsuite/testsuite-
	common.c, src/testsuite/testsuite-common.h, src/testsuite/testsuite-
	log.c, src/testsuite/testsuite-log.h, src/testsuite/testsuite-
	mailstore.c, src/testsuite/testsuite-mailstore.h, src/testsuite
	/testsuite-message.c, src/testsuite/testsuite-message.h,
	src/testsuite/testsuite-objects.c, src/testsuite/testsuite-
	objects.h, src/testsuite/testsuite-result.c, src/testsuite
	/testsuite-result.h, src/testsuite/testsuite-script.c, src/testsuite
	/testsuite-script.h, src/testsuite/testsuite-settings.c,
	src/testsuite/testsuite-settings.h, src/testsuite/testsuite-smtp.c,
	src/testsuite/testsuite-smtp.h, src/testsuite/testsuite-
	substitutions.c, src/testsuite/testsuite-substitutions.h,
	src/testsuite/testsuite-variables.c, src/testsuite/testsuite-
	variables.h, src/testsuite/testsuite.c, src/testsuite/tst-test-
	error.c, src/testsuite/tst-test-multiscript.c, src/testsuite/tst-
	test-result-action.c, src/testsuite/tst-test-result-execute.c,
	src/testsuite/tst-test-script-compile.c, src/testsuite/tst-test-
	script-run.c:
	Updated copyright notices to include the year 2015.
	[efe2a5fdcc25]

2015-01-01  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/sieve-binary.c, src/lib-sieve/storage/file/sieve-file-
	script.c:
	lib-sieve: Added more debug output to binary up-to-date checking.
	[1bcac73bab61]

2014-12-30  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/sieve-comparators.c, tests/compile/errors.svtest,
	tests/compile/errors/comparator.sieve:
	lib-sieve: Fixed crash in validation of the string parameter of the
	comparator tag. It couldn't handle a missing parameter (which also
	means missing arguments of the test itself in most cases). This is
	fixed by using the sieve_validate_tag_parameter() utility function.
	Testsuite is also extended.
	[b6c55ac6460d]

	* Makefile.am, tests/extensions/body/errors.svtest,
	tests/extensions/body/errors/syntax.sieve:
	testsuite: Added syntax checks for body test.
	[c9698bc1751a]

	* src/lib-sieve/sieve-validator.c:
	lib-sieve: Fixed parameter validation error message for tagged
	argument. It had a whitespace where it didn't belong.
	[d7fb503ac03e]

2014-12-20  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/sieve-message.c:
	lib-sieve: Turned message envelope address parse errors into
	warnings.
	[921fd15296c2]

	* src/lib-sieve/sieve-address.c, tests/extensions/envelope.svtest:
	lib-sieve: Accept non-standard domain names, e.g. containing '_'.
	[0a412dd2c168]

2014-12-17  Stephan Bosch  <stephan@rename-it.nl>

	* COPYING.LGPL:
	Updated LGPL license.
	[e8882cfd73af]

	* src/lib-sieve/util/program-client-local.c:
	lib-sieve: program client: Made sure supplemental group privileges
	are also dropped.
	[e6087ee9a301]

	* tests/plugins/extprograms/execute/errors/syntax.sieve:
	tests: Fixed extprograms test suite. Recent changes in handling of
	unknown tags caused `make test-plugins' to fail.
	[dbce56ea72cb]

	* src/lib-sieve/sieve-commands.c, src/lib-sieve/sieve-commands.h:
	lib-sieve: Fixed printing of hybrid command type.
	[590407d97ecb]

2014-11-22  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/ext-fileinto.c, src/lib-sieve/plugins/mailbox/tst-
	mailboxexists.c, src/lib-sieve/plugins/metadata/tst-metadata.c, src
	/lib-sieve/plugins/metadata/tst-metadataexists.c, src/lib-sieve
	/sieve-actions.c, src/lib-sieve/sieve-actions.h:
	lib-sieve: Consolidated checking mailbox name.
	[e7979b6a9d4b]

2014-11-21  Stephan Bosch  <stephan@rename-it.nl>

	* Makefile.am, src/lib-sieve/plugins/metadata/tst-metadataexists.c,
	tests/extensions/metadata/errors.svtest,
	tests/extensions/metadata/errors/syntax.sieve,
	tests/extensions/metadata/execute.svtest:
	lib-sieve: metadata extensions: Implemented proper checking of
	annotation names everywhere. Also added testsuite items to test
	syntax.
	[4f53a9230f44]

2014-11-20  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/sieve-result.c:
	lib-sieve: Flush duplicate database during start phase of result
	execution rather than commit phase. This will release the duplicate
	database lock earlier, even before a mail storage transation is
	started.
	[57b48c0580cd]

	* src/testsuite/cmd-test-imap-metadata.c, src/testsuite/testsuite-
	mailstore.c, tests/extensions/metadata/execute.svtest:
	testsuite: Created tests for the Sieve servermetadata extension.
	[d0ca187be049]

	* src/lib-sieve/plugins/metadata/tst-metadata.c:
	lib-sieve: servermetadata extension: Fixed segfault.
	[b7fad6e195a8]

2014-11-17  Stephan Bosch  <stephan@rename-it.nl>

	* Makefile.am, src/lib-sieve/plugins/metadata/tst-metadata.c,
	src/testsuite/Makefile.am, src/testsuite/cmd-test-imap-metadata.c,
	src/testsuite/ext-testsuite.c, src/testsuite/testsuite-common.h,
	src/testsuite/testsuite-mailstore.c, src/testsuite/testsuite-
	mailstore.h, src/testsuite/testsuite.c,
	tests/extensions/metadata/execute.svtest:
	Added basic testsuite items for new Sieve metadata support.
	[a4f2d618bae2]

2014-11-16  Stephan Bosch  <stephan@rename-it.nl>

	* Merged concurrent changes.
	[0677417707c0]

	* src/lib-sieve/Makefile.am, src/lib-sieve/plugins/Makefile.am, src
	/lib-sieve/plugins/metadata/Makefile.am, src/lib-
	sieve/plugins/metadata/ext-metadata-common.h, src/lib-
	sieve/plugins/metadata/tst-metadata.c, src/lib-
	sieve/plugins/metadata/tst-metadataexists.c, src/lib-sieve/sieve-
	extensions.c, src/sieve-tools/sieve-test.c:
	lib-sieve: Finished support for mboxmetadata and servermetadata
	extensions.
	[4da1e84f32e4]

2014-11-13  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/sieve-binary.h:
	lib-sieve: Increased binary minor version due to changes in optional
	operand codes.
	[637c68cc79c5]

	* src/lib-sieve/sieve-actions.c, src/lib-sieve/sieve-actions.h, src
	/lib-sieve/sieve-message.c, src/lib-sieve/sieve-message.h:
	lib-sieve: Fixed bug in handling of binary errors for action side-
	effects and message overrides.
	[0ecc1c82065c]

2014-11-12  Stephan Bosch  <stephan@rename-it.nl>

	* README:
	Updated README with with implementation status.
	[daa10b2102d2]

	* Makefile.am, configure.ac, src/lib-sieve/Makefile.am, src/lib-
	sieve/plugins/Makefile.am, src/lib-sieve/plugins/index/Makefile.am,
	src/lib-sieve/plugins/index/ext-index-common.c, src/lib-
	sieve/plugins/index/ext-index-common.h, src/lib-sieve/plugins/index
	/ext-index.c, src/lib-sieve/plugins/index/tag-index.c, src/lib-sieve
	/sieve-extensions.c, tests/extensions/index/basic.svtest,
	tests/extensions/index/errors.svtest,
	tests/extensions/index/errors/syntax.sieve:
	lib-sieve: Implemented the Sieve index extension (RFC 5260).
	[1d06b61cbaf3]

	* src/lib-sieve/ext-envelope.c, src/lib-sieve/plugins/date/tst-date.c,
	src/lib-sieve/sieve-address-parts.c, src/lib-sieve/sieve-address-
	parts.h, src/lib-sieve/sieve-common.h, src/lib-sieve/sieve-match.c,
	src/lib-sieve/sieve-message.c, src/lib-sieve/sieve-message.h, src
	/lib-sieve/tst-address.c, src/lib-sieve/tst-exists.c, src/lib-sieve
	/tst-header.c, tests/compile/errors.svtest:
	lib-sieve: Created message override infrastructure. This allows
	extension of test commands that evaluate the message somehow.
	Currently this is implemented only for the message header.
	Extensions can thereby influence what headers are evaluated and how.
	[578aca9c0ba1]

	* src/lib-sieve/sieve-stringlist.c, src/lib-sieve/sieve-stringlist.h:
	lib-sieve: Implemented the index stringlist class which selects an
	item of the parent at a particular index.
	[519972b17360]

	* src/lib-sieve/sieve-validator.c:
	lib-sieve: Made validator resolve all tagged command arguments
	before validating them. This is needed so that argument validation
	functions can reliably verify other arguments at arbitrary
	positions.
	[c8e8321f2891]

2014-11-02  Stephan Bosch  <stephan@rename-it.nl>

	* .hgsigs:
	Added signature for changeset 99d796a8cd26
	[be2f902b41fb]

	* .hgtags:
	Added tag 0.4.6 for changeset 99d796a8cd26
	[7b48b996cd01]

	* NEWS, configure.ac:
	Released v0.4.6 for Dovecot v2.2.15.
	[99d796a8cd26] [0.4.6]

2014-10-31  Stephan Bosch  <stephan@rename-it.nl>

	* Makefile.am:
	After make distclean the distributed tarball would fail to
	recompile.
	[3e924b1b6c5c]

2014-10-30  Stephan Bosch  <stephan@rename-it.nl>

	* .hgsigs:
	Added signature for changeset f5e3ef477a32
	[80b47902cf40]

	* .hgtags:
	Added tag 0.4.5 for changeset f5e3ef477a32
	[7e3a7e8c8ff0]

	* NEWS, configure.ac:
	Released v0.4.5 for Dovecot v2.2.15.
	[f5e3ef477a32] [0.4.5]

	* configure.ac:
	Previous change actually didn't work completely.
	[b7754774631d]

	* Makefile.am, configure.ac:
	Fixed distcheck problem caused by pigeonhole-version.h.
	[b5720ebf8d18]

	* Makefile.am:
	New pigeonhole-version.h header was installed in the wrong
	directory.
	[92b568ca597c]

	* src/lib-sieve/sieve-result.c:
	lib-sieve: Fixed handling of implicit keep. The
	sieve_result_execute() function returned the wrong status result.
	[85039fc9befa]

2014-10-29  Stephan Bosch  <stephan@rename-it.nl>

	* configure.ac, src/plugins/Makefile.am,
	src/plugins/settings/Makefile.am, src/plugins/settings/pigeonhole-
	settings.c:
	Added dummy settings plugin that adds a Pigeonhole version banner to
	doveconf output.
	[cb25972deaec]

	* .hgignore, is-tagged.py, update-version.sh:
	Forgot to add and ignore new files in latest commit.
	[b33926368ddf]

	* Makefile.am, src/lib-sieve/sieve-config.h, src/lib-sieve/sieve.c,
	src/lib-sieve/storage/ldap/sieve-ldap-storage.c, src/plugins/sieve-
	extprograms/sieve-extprograms-plugin.c:
	Implmented reporting full Pigeonhole version with hg tag so that
	builds between releases can be distinguished. Copied from Dovecot
	for the most part.
	[a1e57385b267]

2014-10-28  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/storage/file/sieve-file-script.c:
	lib-sieve: sieve script: Made sure there is a script name for when
	sieve_script_open() fails.
	[6afd6d927f40]

	* src/lib-sieve/storage/file/sieve-file-script.c:
	lib-sieve: Fixed potential segfault bug in file storage driver.
	[5ba10b28d630]

	* .hgsigs:
	Added signature for changeset b3303f675157
	[1f897ed258ea]

	* .hgtags:
	Added tag 0.4.4 for changeset b3303f675157
	[55d584079a79]

	* NEWS, configure.ac:
	Released v0.4.4 for Dovecot v2.2.15.
	[b3303f675157] [0.4.4]

	* src/lib-sieve/sieve-script.c, src/lib-sieve/sieve-storage-private.h,
	src/lib-sieve/sieve-storage-sync.c, src/lib-sieve/sieve-storage.c:
	doveadm-sieve: Fixed timeout leaks occuring while running doveadm.
	This was caused by a circular reference.
	[68c7a4bdea66]

2014-10-27  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/sieve-script.c, src/lib-sieve/sieve-storage-private.h,
	src/lib-sieve/sieve-storage-sync.c, src/lib-sieve/sieve-storage.c,
	src/plugins/doveadm-sieve/doveadm-sieve-plugin.c:
	doveadm-sieve: Fixed problem with synchronizing the active script.
	[79d66ccc9bfc]

2014-10-26  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/sieve-storage-sync.c:
	lib-sieve: storage: Fixed bug in synchronization intialization.
	Storage flag checks were bogus.
	[79988ab8b2df]

2014-10-25  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/util/edit-mail.c:
	Adjusted to datastack-related changes in Dovecot lib-storage.
	[15b2910b145c]

2014-10-19  Stephan Bosch  <stephan@rename-it.nl>

	* src/managesieve/managesieve-client.c:
	managesieve: If client gets disconnected due to iostream error, log
	the full error.
	[819b8fb22034]

	* src/plugins/doveadm-sieve/doveadm-sieve-plugin.c:
	doveadm-sieve plugin: Improved debugging a bit.
	[aad132a56c88]

	* src/managesieve-login/client-authenticate.c:
	managesieve-login: The AUTHENTICATE command returned bogus ALERT
	response code.
	[1040bbe3b924]

	* src/managesieve-login/client-authenticate.c:
	managesieve-login: Fixed handling of invalid initial response
	argument to AUTHENTICATE command.
	[02332881adc6]

	* src/lib-managesieve/managesieve-parser.c:
	Forgot one file in last commit.
	[ea047cff5763]

	* src/managesieve-login/client-authenticate.c, src/managesieve/cmd-
	putscript.c:
	managesieve: Changed managesieve parser's quoted string stream to
	use io_stream_set_error().
	[bf2531a05b30]

	* src/lib-sieve/sieve-lexer.c:
	lib-sieve: Improved handling of stream errors in lexical scannner.
	[e11f41c437a5]

	* src/lib-sieve/sieve-actions.c:
	lib-sieve: Removed implicitly resolved FIXME.
	[05225545cdeb]

	* src/managesieve/cmd-getscript.c:
	managesieve: Fixed handling of o_stream_send_istream() errors during
	GETSCRIPT command.
	[e15298e74253]

	* src/lib-sieve/cmd-redirect.c, src/lib-sieve/plugins/body/ext-body-
	common.c, src/lib-sieve/plugins/body/ext-body-common.h, src/lib-
	sieve/plugins/body/tst-body.c, src/lib-sieve/plugins/duplicate/tst-
	duplicate.c, src/lib-sieve/plugins/enotify/cmd-notify.c, src/lib-
	sieve/plugins/enotify/mailto/ntfy-mailto.c, src/lib-
	sieve/plugins/enotify/sieve-ext-enotify.h, src/lib-
	sieve/plugins/notify/cmd-notify.c, src/lib-sieve/plugins/notify/ext-
	notify-common.c, src/lib-sieve/plugins/notify/ext-notify-common.h,
	src/lib-sieve/plugins/spamvirustest/ext-spamvirustest-common.c, src
	/lib-sieve/plugins/spamvirustest/ext-spamvirustest-common.h, src
	/lib-sieve/plugins/spamvirustest/tst-spamvirustest.c, src/lib-
	sieve/plugins/vacation/cmd-vacation.c, src/lib-sieve/sieve-
	actions.c, src/lib-sieve/sieve-interpreter.c, src/lib-sieve/sieve-
	interpreter.h, src/lib-sieve/sieve-message.c, src/lib-sieve/sieve-
	result.c, src/lib-sieve/sieve-result.h, src/lib-sieve/tst-exists.c,
	src/plugins/sieve-extprograms/cmd-execute.c, src/plugins/sieve-
	extprograms/cmd-filter.c, src/plugins/sieve-extprograms/cmd-pipe.c:
	lib-sieve: Improved (temporary) error handling from mail storage and
	io streams.
	[465dbd029556]

2014-10-17  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/sieve-actions.c, src/lib-sieve/sieve-actions.h, src
	/lib-sieve/sieve-result.c, src/lib-sieve/sieve-types.h, src/plugins
	/lda-sieve/lda-sieve-plugin.c:
	lib-sieve: Flush duplicate database before committing storage
	transactions.
	[971eba8c3361]

	* src/lib-sieve/sieve-actions.c, src/lib-sieve/sieve-actions.h, src
	/lib-sieve/sieve-result.c:
	lib-sieve: Restructured result execution, so that all actions which
	involve mail storage are always committed before all others.
	[a856f89b54ca]

2014-10-15  Stephan Bosch  <stephan@rename-it.nl>

	* INSTALL, src/lib-sieve/cmd-redirect.c, src/lib-sieve/sieve-common.h,
	src/lib-sieve/sieve-settings.c, src/lib-sieve/sieve-settings.h, src
	/lib-sieve/sieve.c, src/testsuite/cmd-test-config.c,
	tests/execute/smtp.svtest:
	lib-sieve: Implemented sieve_redirect_envelope_from setting, which
	allows configuring the envelope sender of redirected messages. Can
	either be set to the envelope sender, recipient, or orignal
	recipient of the processed message or it can be set explicitly to a
	static address.
	[aaf7f0f48b99]

2014-10-14  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/plugins/mailbox/tag-mailbox-create.c:
	lib-sieve: mailbox extension: The `:create' tag erroneously
	subscribed an existing folder. It should only subscribe it when it
	is newly created.
	[a0a5f61eea69]

2014-10-11  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/sieve-actions.c, src/lib-sieve/sieve-result.c, src
	/lib-sieve/sieve-types.h, src/plugins/lda-sieve/lda-sieve-plugin.c:
	LDA Sieve plugin: Fixed handling of temporary SMTP errors. These
	caused a BUG error to be reported during delivery. Solved by
	signalling the occurrence of storage errors as a separate execution
	status flag, rather than querying the last storage itself for
	errors, which won't work.
	[8c4c5dfe718d]

	* src/lib-sieve/cmd-redirect.c, src/lib-sieve/plugins/body/ext-body-
	common.c, src/lib-sieve/plugins/duplicate/tst-duplicate.c, src/lib-
	sieve/plugins/imap4flags/ext-imap4flags-common.c, src/lib-
	sieve/plugins/notify/ext-notify-common.c, src/lib-
	sieve/plugins/spamvirustest/ext-spamvirustest-common.c, src/lib-
	sieve/plugins/vacation/cmd-vacation.c, src/lib-sieve/sieve-
	actions.h, src/lib-sieve/sieve-interpreter.c, src/lib-sieve/sieve-
	interpreter.h, src/lib-sieve/storage/file/sieve-file-storage.h, src
	/lib-sieve/tst-exists.c, src/lib-sieve/tst-size.c, src/testsuite
	/cmd-test-message.c, src/testsuite/testsuite-mailstore.h,
	src/testsuite/testsuite-smtp.c:
	Removed useless mail-storage includes.
	[9fce6189be6c]

	* src/lib-sieve/sieve-message.c:
	lib-sieve: Omitted handling errors from mail_get_headers() in
	message header stringlist. Mail storage errors now trigger a runtime
	error.
	[7f079d92a674]

2014-10-08  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/sieve-error.c:
	lib-sieve: Addressed race condition writing to user error log file.
	[fe7ce895158b]

2014-10-07  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve-tool/mail-raw.c:
	lib-sieve-tool: Simplified seekable stream callback for raw mail. No
	longer needed to create the temp directory.
	[54c54979eb5b]

2014-09-12  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/plugins/duplicate/tst-duplicate.c:
	lib-sieve: duplicate extension: Fixed erroneous compile error about
	conflicting tags when ":handle" argument was used last.
	[ce0657ede24e]

2014-09-05  Stephan Bosch  <stephan@rename-it.nl>

	* Makefile.am:
	Valgrindn needs --trace-children to work properly these days.
	[c191996854b3]

2014-08-28  Stephan Bosch  <stephan@rename-it.nl>

	* src/plugins/doveadm-sieve/doveadm-sieve-plugin.c:
	doveadm sieve plugin: Fixed segfault occuring when main script
	storage does not support synchronization. Would occur with any other
	script storage intialization error as well.
	[1c90311178ac]

	* src/lib-sieve/sieve-storage-sync.c, src/lib-sieve/sieve-storage.c:
	Doveadm Sieve plugin: Attempting synchronization with LDAP/DICT
	caused write access error. If the main script storage does not allow
	synchronization, it is now just logged as a debug message.
	[591019c327ad]

2014-08-27  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/cmd-redirect.c, src/lib-sieve/plugins/enotify/mailto
	/ntfy-mailto.c, src/lib-sieve/plugins/notify/cmd-notify.c, src/lib-
	sieve/plugins/vacation/cmd-vacation.c, src/lib-sieve/sieve-
	actions.c:
	Fixed handling of SMTP errors. Logging was mixed up; it logged
	permanent SMTP failures as errors rather than mere info. Redirect
	now handles temporary failure as a separate error condition, causing
	LDA to return a temporary failure if no other (storage) actions were
	performed.
	[dd2116e13393]

2014-08-24  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/sieve-binary.h, src/lib-sieve/sieve-script.c, src/lib-
	sieve/sieve-storage-private.h, src/lib-sieve/storage/dict/sieve-
	dict-storage.c, src/lib-sieve/storage/file/sieve-file-storage.c, src
	/lib-sieve/storage/ldap/sieve-ldap-storage.c:
	lib-sieve: Added version to script storage class. Updated binary
	version.
	[3ceab9d20a00]

2014-08-23  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/sieve-address.c, tests/compile/errors/out-
	address.sieve, tests/extensions/envelope.svtest:
	Added support for Japanese mail addresses with dots at non-standard
	places in localpart. Based on patch by Timo Sirainen.
	[62abeb85c8a5]

	* src/lib-sieve/sieve-actions.c, src/lib-sieve/sieve-types.h, src/lib-
	sieve/storage/file/sieve-file-storage-save.c, src/managesieve
	/managesieve-client.c, src/plugins/lda-sieve/lda-sieve-plugin.c:
	Changed handling of ENOSPACE to a normal temporary failure and added
	handling of ENOQUOTA as a user error. Patch by Timo Sirainen.
	[0b25efe31d79]

	* src/lib-sieve/storage/file/sieve-file-storage-active.c:
	lib-sieve: file storage: Warning about active script not being a
	symlink was triggered at inappropriate times. Fixed by issueing the
	warning only when storage is opened as READWRITE (ManageSieve).
	[3b964432b84b]

2014-08-05  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/plugins/editheader/cmd-deleteheader.c, src/lib-
	sieve/util/edit-mail.c,
	tests/extensions/editheader/deleteheader.svtest:
	lib-sieve: editheader extension: Fixed several problems in
	deleteheader command.
	[1e388884d31c]

	* src/lib-sieve/storage/file/sieve-file-script-sequence.c, src/lib-
	sieve/storage/file/sieve-file-script.c, src/lib-sieve/storage/file
	/sieve-file-storage.h:
	lib-sieve: file storage: Fixed assert failure in script sequence
	code. Single script was only initialized and not actually opened.
	[860c4e547490]

	* src/lib-sieve/storage/file/sieve-file-script-sequence.c:
	lib-sieve: file storage: Fixed segfault bug in script sequence code.
	[35ff96d4c61b]

2014-07-31  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/util/edit-mail.c:
	lib-sieve: util: edit-mail: Fixed a few bugs in previous commit.
	[2db02e11cd5e]

	* src/lib-sieve/util/edit-mail.c, src/lib-sieve/util/edit-mail.h:
	lib-sieve: util: edit-mail: Added header replacement API.
	[b68ddffa0ac1]

2014-07-30  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/plugins/mailbox/Makefile.am, src/lib-
	sieve/plugins/mailbox/ext-mailbox-common.h, src/lib-
	sieve/plugins/mailbox/ext-mailbox.c, src/lib-sieve/plugins/mailbox
	/sieve-ext-mailbox.h, src/lib-sieve/plugins/mailbox/tst-
	mailboxexists.c:
	lib-sieve: mailbox extension: Made :create tag available for new
	commands.
	[6962669ad2e6]

	* src/lib-sieve/plugins/variables/ext-variables-common.c, src/lib-
	sieve/plugins/variables/sieve-ext-variables.h:
	lib-sieve: variables extension: Added API for assigning cstrings to
	variables.
	[1a010c4d0a0a]

	* src/lib-sieve/sieve-validator.c:
	lib-sieve: Fixed problem in validator extension handling. The
	validate hook only worked for one extension.
	[2e1350548161]

	* src/lib-sieve/sieve-binary-code.c, src/lib-sieve/sieve-binary.h:
	lib-sieve: Made binary code functions capable of skipping data.
	[cd971c1c21e2]

	* src/lib-sieve/ext-encoded-character.c, src/lib-sieve/sieve-
	extensions.c:
	lib-sieve: Restructured native extension declarations a bit.
	[6bdcdfeaf5d7]

2014-07-29  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/sieve-storage.c:
	doveadm sieve plugin: Fixed segfault issue caused in lib-sieve.
	Erroneously set pointer to NULL in sieve_storage_list_deinit().
	[77e6a42bff9b]

2014-07-28  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/storage/ldap/sieve-ldap-db.c, src/lib-
	sieve/storage/ldap/sieve-ldap-storage.c, src/lib-sieve/storage/ldap
	/sieve-ldap-storage.h:
	lib-sieve: ldap storage: Fixed --with-ldap=no compile.
	[5117ffc8b151]

2014-07-26  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/storage/ldap/sieve-ldap-script.c, src/lib-
	sieve/storage/ldap/sieve-ldap-storage-settings.c, src/lib-
	sieve/storage/ldap/sieve-ldap-storage.h:
	lib-sieve: ldap storage: Implemented checking config mtime for
	binary recompile.
	[1475892e8cff]

	* src/lib-sieve/sieve-script-dict.c, src/lib-sieve/sieve-script-
	file.c:
	Forgot to remove a few files in earlier lib-sieve/storage change.
	[e2dccd452e88]

	* src/lib-sieve/storage/file/sieve-file-script-sequence.c, src/lib-
	sieve/storage/file/sieve-file-script.c, src/lib-sieve/storage/file
	/sieve-file-storage-active.c, src/lib-sieve/storage/file/sieve-file-
	storage-list.c, src/lib-sieve/storage/file/sieve-file-storage-
	quota.c, src/lib-sieve/storage/file/sieve-file-storage-save.c, src
	/lib-sieve/storage/file/sieve-file-storage.c, src/lib-
	sieve/storage/file/sieve-file-storage.h:
	Fixed compile problem reported by OpenSUSE build service.
	[c4202808573a]

2014-07-25  Stephan Bosch  <stephan@rename-it.nl>

	* src/plugins/lda-sieve/lda-sieve-plugin.c:
	lda-sieve plugin: Dereferenced default script storage at wrong
	nesting level, causing an assert failure.
	[e3d3d7a5f642]

2014-07-24  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/sieve-storage.c, src/lib-sieve/storage/file/sieve-
	file-storage.c:
	lib-sieve: file storage: Erroneously always ignored active script
	setting.
	[3b32e606f69d]

	* src/lib-sieve/storage/file/sieve-file-storage-active.c:
	lib-sieve: file storage: Don't tempfail on missing active script.
	[2a489c1fdaee]

	* src/lib-sieve/storage/ldap/Makefile.am, src/plugins/sieve-
	extprograms/Makefile.am:
	Fixed moduledir for Sieve plugins.
	[5ffb5eba8246]

	* INSTALL, doc/script-location-ldap.txt:
	Adjusted documentation to mention LDAP support can be compiled as a
	plugin.
	[8a793175f4ab]

	* src/lib-sieve/storage/ldap/sieve-ldap-storage.c, src/lib-
	sieve/storage/ldap/sieve-ldap-storage.h:
	lib-sieve: Fixed LDAP storage compiled as a plugin.
	[10de71577ed3]

	* src/lib-sieve/storage/ldap/Makefile.am, src/lib-sieve/storage/ldap
	/sieve-ldap-storage.c:
	lib-sieve: Made LDAP plugin compile properly. LDAP storage as a
	plugin is still not problem-free though.
	[a04cf4855c2b]

	* src/lib-sieve/storage/file/sieve-file-script-sequence.c, src/lib-
	sieve/storage/file/sieve-file-script.c:
	lib-sieve: Fixed file storage sequence implementation. Directory
	iteration was very broken.
	[0c9797a8ae3c]

2014-07-23  Stephan Bosch  <stephan@rename-it.nl>

	* INSTALL, TODO, configure.ac, doc/example-
	config/conf.d/90-sieve.conf, doc/example-config/sieve-ldap.conf, doc
	/script-location-ldap.txt, pigeonhole-config.h.in, src/lib-
	sieve/Makefile.am, src/lib-sieve/sieve-storage.c, src/lib-
	sieve/storage/Makefile.am, src/lib-sieve/storage/ldap/Makefile.am,
	src/lib-sieve/storage/ldap/sieve-ldap-db.c, src/lib-
	sieve/storage/ldap/sieve-ldap-db.h, src/lib-sieve/storage/ldap
	/sieve-ldap-script.c, src/lib-sieve/storage/ldap/sieve-ldap-storage-
	settings.c, src/lib-sieve/storage/ldap/sieve-ldap-storage.c, src
	/lib-sieve/storage/ldap/sieve-ldap-storage.h:
	lib-sieve: Created sieve LDAP storage driver.
	[c01b68b0c6b1]

	* TODO, configure.ac, src/Makefile.am, src/lib-sieve/Makefile.am, src
	/lib-sieve/plugins/include/cmd-include.c, src/lib-
	sieve/plugins/include/ext-include-binary.c, src/lib-
	sieve/plugins/include/ext-include-common.c, src/lib-
	sieve/plugins/include/ext-include-common.h, src/lib-sieve/sieve-
	binary.h, src/lib-sieve/sieve-common.h, src/lib-sieve/sieve-error.c,
	src/lib-sieve/sieve-error.h, src/lib-sieve/sieve-script-dict.c, src
	/lib-sieve/sieve-script-file.h, src/lib-sieve/sieve-script-
	private.h, src/lib-sieve/sieve-script.c, src/lib-sieve/sieve-
	script.h, src/lib-sieve/sieve-storage-private.h, src/lib-sieve
	/sieve-storage-sync.c, src/lib-sieve/sieve-storage.c, src/lib-sieve
	/sieve-storage.h, src/lib-sieve/sieve.c, src/lib-sieve/sieve.h, src
	/lib-sieve/storage/Makefile.am, src/lib-
	sieve/storage/dict/Makefile.am, src/lib-sieve/storage/dict/sieve-
	dict-script.c, src/lib-sieve/storage/dict/sieve-dict-storage.c, src
	/lib-sieve/storage/dict/sieve-dict-storage.h, src/lib-
	sieve/storage/file/Makefile.am, src/lib-sieve/storage/file/sieve-
	file-script-sequence.c, src/lib-sieve/storage/file/sieve-file-
	script.c, src/lib-sieve/storage/file/sieve-file-storage-active.c,
	src/lib-sieve/storage/file/sieve-file-storage-list.c, src/lib-
	sieve/storage/file/sieve-file-storage-quota.c, src/lib-
	sieve/storage/file/sieve-file-storage-save.c, src/lib-
	sieve/storage/file/sieve-file-storage.c, src/lib-sieve/storage/file
	/sieve-file-storage.h, src/lib-sievestorage/Makefile.am, src/lib-
	sievestorage/sieve-storage-list.c, src/lib-sievestorage/sieve-
	storage-list.h, src/lib-sievestorage/sieve-storage-private.h, src
	/lib-sievestorage/sieve-storage-quota.c, src/lib-sievestorage/sieve-
	storage-quota.h, src/lib-sievestorage/sieve-storage-save.c, src/lib-
	sievestorage/sieve-storage-save.h, src/lib-sievestorage/sieve-
	storage-script.c, src/lib-sievestorage/sieve-storage-script.h, src
	/lib-sievestorage/sieve-storage.c, src/lib-sievestorage/sieve-
	storage.h, src/managesieve/Makefile.am, src/managesieve/cmd-
	deletescript.c, src/managesieve/cmd-getscript.c, src/managesieve
	/cmd-havespace.c, src/managesieve/cmd-listscripts.c, src/managesieve
	/cmd-putscript.c, src/managesieve/cmd-renamescript.c,
	src/managesieve/cmd-setactive.c, src/managesieve/managesieve-
	client.c, src/managesieve/managesieve-quota.c,
	src/plugins/Makefile.am, src/plugins/doveadm-sieve/Makefile.am,
	src/plugins/doveadm-sieve/doveadm-sieve-plugin.c, src/plugins/lda-
	sieve/lda-sieve-plugin.c, src/sieve-tools/sievec.c, src/testsuite
	/testsuite-binary.c, src/testsuite/testsuite-script.c,
	tests/extensions/include/execute.svtest:
	lib-sieve: Implemented support for generic Sieve storages. Doveadm-
	sieve plugin may be broken at this point; not tested so far.
	[8e2832c044a5]

2014-06-26  Stephan Bosch  <stephan@rename-it.nl>

	* src/plugins/doveadm-sieve/doveadm-sieve-plugin.c:
	doveadm sieve plugin: Fixed assert crash occuring when Sieve script
	attribute assignment fails.
	[92405f753f6a]

2014-06-19  Stephan Bosch  <stephan@rename-it.nl>

	* src/managesieve/main.c, src/managesieve/managesieve-client.c:
	managesieve: Compared to imap and incorporated a few differences
	from there. Most important change is that mail service_user was not
	freed.
	[d5620195d79c]

2014-06-18  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/sieve-error-private.h, src/lib-sieve/sieve-error.h:
	Some ATTR_FORMAT additions by Timo.
	[b56520e04882]

2014-06-17  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/util/program-client.c:
	lib-sieve: program client: Fixed copy-paste error in destroy
	function. Would cause a segfault. Reported by Coverity.
	[60e5e65ffb01]

	* src/lib-sieve/util/edit-mail.c:
	lib-sieve: edit mail: Fixed header iteration. Handling of
	edit_mail_header_find() result was incoherent. Problem reported by
	Coverity.
	[743213918b1b]

	* src/plugins/sieve-extprograms/cmd-execute.c, src/plugins/sieve-
	extprograms/cmd-pipe.c:
	sieve extprograms plugin: Fixed dead code problems. Reported by
	Coverity.
	[9401789c7332]

	* src/lib-sieve/plugins/relational/mcht-value.c:
	lib-sieve: relational extension: Fixed error handling of :value
	match. Switch statement item is never reached and return value was
	bool instead of int. Problem reported by Coverity.
	[1c7a4ec3fd80]

	* src/lib-sievestorage/sieve-storage-script.c:
	lib-sievestorage: Fixed file path comparison function. Forgot a few
	'*' there. Reported by Coverity.
	[14ca1297d52d]

	* src/lib-sieve/util/edit-mail.c:
	lib-sieve: edit mail: Fixed header unfolding. Forgot break in switch
	statement. Reported by Coverity.
	[a358a0d7af70]

	* src/lib-sieve/util/program-client-remote.c:
	lib-sieve: program client: Forgot break in switch statement for
	handling of response from script service. Reported by Coverity.
	[247f9d1a9820]

	* src/testsuite/testsuite-substitutions.c:
	testsuite: Fixed out-of-bounds read in (currently unused) string
	substitution implementation. Reported by Coverity.
	[961137231f07]

	* src/lib-sievestorage/sieve-storage-list.c:
	sieve-storage: Fixed resource leak in storage listing implementation
	occuring at error. Reported by Coverity.
	[827a317cfdc3]

	* src/lib-sieve-tool/sieve-tool.c, src/lib-sieve/sieve-script-file.c,
	src/lib-sieve/sieve-script-private.h, src/testsuite/testsuite-
	smtp.c:
	Use the new [io]_stream_create_fd_*autoclose() functions wherever
	possible. Parallel to identical Dovecot change.
	[f81d25ef0e66]

	* src/managesieve/managesieve-client.c:
	managesieve: Remove the client from clients-list at the very end of
	the destroy function. Parallel to identical Dovecot change for imap
	and pop3.
	[e547bdec932f]

	* src/lib-sieve/sieve-code-dumper.c:
	lib-sieve: code dumper: Fixed handling of undefined extensions.
	Reported by Coverity.
	[54ccf712b9d0]

	* src/lib-sieve/sieve-generator.c:
	lib-sieve: Small change in Sieve generator to make static analyzer
	happier. Reported by Coverity.
	[d4a2d592b6f9]

	* src/plugins/doveadm-sieve/doveadm-sieve-plugin.c:
	doveadm sieve plugin: Fixed dereference before NULL check problem.
	Found by Coverity.
	[18c4b82636a4]

	* src/lib-sieve/sieve-error.c, src/testsuite/testsuite-log.c:
	lib: pair VA_COPY with va_end. A va_copy creates a initialised
	va_list, as if a va_start had been done on it. Therefore,
	pedantically, a va_end should also be done on it. On most platforms
	this is a no-op, and for those where it isn't, the pairing is
	important.

	This change matches parallel change in Dovecot. Also signalled by
	Coverity.
	[a2a8fb3cea09]

2014-05-15  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/sieve-parser.c, src/lib-sieve/sieve.c, src/lib-
	sieve/util/edit-mail.c, src/testsuite/testsuite-script.c:
	Fixed several problems reported by CLang 3.4.
	[6a0376f1a7d2]

2014-05-12  Stephan Bosch  <stephan@rename-it.nl>

	* NEWS:
	Wrong date in NEWS.
	[689db87e26f2]

	* .hgsigs:
	Added signature for changeset 1c6130ff5dd6
	[5e8822097e7b]

	* .hgtags:
	Added tag 0.4.3 for changeset 1c6130ff5dd6
	[b3534d40784e]

	* NEWS, configure.ac:
	Released v0.4.3 for Dovecot v2.2.13.
	[1c6130ff5dd6] [0.4.3]

	* src/lib-sieve/sieve-error.c:
	lib-sieve: sieve-error.c: Made static analyzer happier.
	[f5fa3549de0d]

	* src/lib-sieve/plugins/include/ext-include-binary.c, src/lib-
	sieve/plugins/include/ext-include-binary.h, src/lib-
	sieve/plugins/include/ext-include-common.c:
	lib-sieve: include extension: Fixed problem with handling of
	duplicate includes. Flags weren't actually updated.
	[5b41f1bca5ca]

2014-05-09  Stephan Bosch  <stephan@rename-it.nl>

	* tests/extensions/editheader/addheader.svtest:
	testsuite: editheader: Made test failure messages a bit more
	verbose.
	[9f8a3411090a]

	* src/lib-sieve/cmd-redirect.c:
	lib-sieve: redirect: Adjusted loop detection to show leniency to
	resent messages.
	[3b6917a4807c]

2014-05-08  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/util/program-client-local.c, src/lib-sieve/util
	/program-client.h, src/plugins/sieve-extprograms/sieve-extprograms-
	common.c:
	lib-sieve: program-client: Made sure that programs are never forked
	with root privileges.
	[2a8af66dc66a]

2014-05-07  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/plugins/editheader/cmd-addheader.c,
	tests/extensions/editheader/addheader.svtest,
	tests/extensions/editheader/errors.svtest,
	tests/extensions/editheader/errors/field-value.sieve:
	lib-sieve: editheader: Made control characters allowed for
	editheader, except NUL. NOTE: Dovecot doesn't currently MIME-encode
	these in the headers.
	[dc038c03b376]

	* src/lib-sieve/sieve-interpreter.c, src/lib-sieve/sieve-
	interpreter.h:
	lib-sieve: Fixed indenting problem in runtime trace output. Also
	cleaned up the surrounding code a bit.
	[24cc301db1b3]

	* src/lib-sieve/cmd-discard.c, src/lib-sieve/cmd-redirect.c, src/lib-
	sieve/ext-reject.c, src/lib-sieve/plugins/duplicate/ext-duplicate-
	common.c, src/lib-sieve/plugins/enotify/cmd-notify.c, src/lib-
	sieve/plugins/notify/cmd-notify.c, src/lib-sieve/plugins/vacation
	/cmd-vacation.c, src/lib-sieve/sieve-actions.c, src/lib-sieve/sieve-
	actions.h, src/lib-sieve/sieve-result.c, src/plugins/sieve-
	extprograms/cmd-pipe.c:
	lib-sieve: Added final result execution stage for the duplicate
	extension. This way, a duplicate is only marked when the script
	execution succeeds, as required in the specification.
	[3476d8bc0dc3]

2014-05-05  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/plugins/vacation/cmd-vacation.c:
	lib-sieve: vacation extension: Fixed log message for discarded
	response. Presence of :addresses argument was represented
	incorrectly.
	[d1d4454866ad]

2014-05-01  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/util/edit-mail.c:
	lib-sieve: editheader: Adjusted to change in Dovecot lib-storage
	mail API.
	[378362cb36a6]

2014-04-29  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/cmd-redirect.c, src/lib-sieve/plugins/enotify/mailto
	/ntfy-mailto.c, src/lib-sieve/plugins/notify/cmd-notify.c, src/lib-
	sieve/plugins/vacation/cmd-vacation.c, src/lib-sieve/sieve-
	actions.c, src/lib-sieve/sieve-smtp.c, src/lib-sieve/sieve-smtp.h,
	src/lib-sieve/sieve-types.h, src/plugins/lda-sieve/lda-sieve-
	plugin.c, src/sieve-tools/sieve-filter.c, src/sieve-tools/sieve-
	test.c, src/testsuite/testsuite-script.c, src/testsuite/testsuite-
	smtp.c, src/testsuite/testsuite-smtp.h, src/testsuite/testsuite.c,
	tests/deprecated/notify/mailto.svtest:
	lib-sieve: Adjusted to more SMTP API changes in Dovecot. SMTP API
	now supports adding multiple recipients to a single SMTP
	transaction. This makes enotify/notify more efficient, since only
	one message is actually sent.
	[439b1b2fe05d]

2014-04-28  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/cmd-redirect.c, src/lib-sieve/plugins/enotify/mailto
	/ntfy-mailto.c, src/lib-sieve/plugins/enotify/sieve-ext-enotify.h,
	src/lib-sieve/plugins/notify/cmd-notify.c, src/lib-
	sieve/plugins/vacation/cmd-vacation.c, src/lib-sieve/sieve-
	actions.c, src/lib-sieve/sieve-smtp.c, src/lib-sieve/sieve-smtp.h,
	src/lib-sieve/sieve-types.h, src/plugins/lda-sieve/lda-sieve-
	plugin.c, src/sieve-tools/sieve-test.c, src/testsuite/testsuite-
	smtp.c, src/testsuite/testsuite-smtp.h:
	lib-sieve: Switched to new Dovecot SMTP API.
	[c6c320f4918b]

2014-04-25  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/sieve-error.c:
	lib-sieve: Fixed sieve_result_global_log_error to log only as i_info
	in administrator log (syslog) if executed from multiscript context.
	Previously, this would work correcly only from the user's personal
	script and not from multiscript (sieve_before/sieve_after).
	[f5d11f8c614c]

2014-04-15  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/sieve-actions.c, src/lib-sieve/util/edit-mail.c:
	Dovecot change: Replaced mail_get_real_mail() with
	mail_get_backend_mail().
	[db8f7bbda283]

2014-03-04  Stephan Bosch  <stephan@rename-it.nl>

	* Makefile.am, README, configure.ac, doc/extensions/duplicate.txt,
	doc/extensions/vnd.dovecot.duplicate.txt, doc/rfc/draft-ietf-
	appsawg-sieve-duplicate-03.txt, src/lib-sieve/Makefile.am, src/lib-
	sieve/plugins/Makefile.am, src/lib-
	sieve/plugins/duplicate/Makefile.am, src/lib-sieve/plugins/duplicate
	/ext-duplicate-common.c, src/lib-sieve/plugins/duplicate/ext-
	duplicate-common.h, src/lib-sieve/plugins/duplicate/ext-duplicate.c,
	src/lib-sieve/plugins/duplicate/tst-duplicate.c, src/lib-
	sieve/plugins/vnd.dovecot/Makefile.am, src/lib-
	sieve/plugins/vnd.dovecot/debug/cmd-debug-log.c, src/lib-
	sieve/plugins/vnd.dovecot/debug/ext-debug-common.h, src/lib-
	sieve/plugins/vnd.dovecot/debug/ext-debug.c, src/lib-
	sieve/plugins/vnd.dovecot/duplicate/Makefile.am, src/lib-
	sieve/plugins/vnd.dovecot/duplicate/ext-duplicate-common.c, src/lib-
	sieve/plugins/vnd.dovecot/duplicate/ext-duplicate-common.h, src/lib-
	sieve/plugins/vnd.dovecot/duplicate/ext-duplicate.c, src/lib-
	sieve/plugins/vnd.dovecot/duplicate/tst-duplicate.c, src/lib-sieve
	/sieve-extensions.c, src/plugins/sieve-extprograms/cmd-execute.c,
	src/plugins/sieve-extprograms/cmd-filter.c, src/plugins/sieve-
	extprograms/cmd-pipe.c, src/plugins/sieve-extprograms/ext-execute.c,
	src/plugins/sieve-extprograms/ext-filter.c, src/plugins/sieve-
	extprograms/ext-pipe.c, src/plugins/sieve-extprograms/sieve-
	extprograms-common.c, src/plugins/sieve-extprograms/sieve-
	extprograms-common.h, src/plugins/sieve-extprograms/sieve-
	extprograms-plugin.c, tests/extensions/duplicate/errors.svtest,
	tests/extensions/duplicate/errors/conflict-vnd.sieve,
	tests/extensions/duplicate/errors/conflict.sieve,
	tests/extensions/duplicate/errors/syntax-vnd.sieve,
	tests/extensions/duplicate/errors/syntax.sieve,
	tests/extensions/duplicate/execute-vnd.svtest,
	tests/extensions/duplicate/execute.svtest,
	tests/extensions/vnd.dovecot/duplicate/errors.svtest,
	tests/extensions/vnd.dovecot/duplicate/errors/syntax.sieve,
	tests/extensions/vnd.dovecot/duplicate/execute.svtest:
	lib-sieve: Upgraded "vnd.dovecot.duplicate" to "duplicate".
	Backwards compatibility is provided for vnd.dovecot.duplicate. Still
	need to fix the constraint that it must not track duplicates from
	failed Sieve executions.
	[8c53243b341f]

2014-02-25  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/util/program-client-local.c:
	lib-sieve: program-client: Removed stale assert.
	[cf5eba41f6bd]

2014-01-12  Stephan Bosch  <stephan@rename-it.nl>

	* Makefile.am:
	Prevent compiled binaries in testsuite from ending up in
	distribution tarball.
	[e111a2393a92]

2014-01-07  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/sieve-script-file.c, src/lib-sieve/sieve-script-
	private.h, src/lib-sieve/sieve-script.c, src/lib-sieve/sieve-
	script.h:
	lib-sieve: Changed sieve_script_binary_get_directory() to
	sieve_script_binary_get_prefix(). This function now returns the
	binary prefix (file path until '.svbin) rather than just the path of
	the directory where the binary would be stored.
	[a70f5f097033]

	* src/plugins/lda-sieve/lda-sieve-plugin.c:
	lda-sieve plugin: Changed name of main script.
	[3115b97ad1c1]

2014-01-05  Stephan Bosch  <stephan@rename-it.nl>

	* Makefile.am:
	Fixed Valgrind in testsuite using libtool --mode=execute.
	[080972c83cba]

	* src/lib-sieve/util/program-client-local.c:
	lib-sieve/util: Fixed small memory leak in program client.
	[bc0657f52394]

	* m4/dovecot.m4:
	Adjusted dovecot.m4 to make second-level plugin packages work
	properly at distcheck.
	[a9df92d2314a]

2014-01-04  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/util/program-client-local.c, src/lib-sieve/util
	/program-client-private.h, src/lib-sieve/util/program-client-
	remote.c, src/lib-sieve/util/program-client.c, src/lib-sieve/util
	/program-client.h:
	lib-sieve/util: program-client: Added support for retrieving side-
	channel data through extra fds. Some programs can be instructed to
	output special status information to an extra fd other than stdout
	or stderr. Also added an option to drop stderr output from program
	to /dev/null.
	[5c3b0283524b]

2014-01-01  Stephan Bosch  <stephan@rename-it.nl>

	* doc/man/pigeonhole.7.in, doc/man/sieve-dump.1.in, doc/man/sieve-
	filter.1.in, doc/man/sieve-test.1.in, doc/man/sievec.1.in, src/lib-
	managesieve/managesieve-arg.c, src/lib-managesieve/managesieve-
	arg.h, src/lib-managesieve/managesieve-parser.c, src/lib-managesieve
	/managesieve-parser.h, src/lib-managesieve/managesieve-quote.c, src
	/lib-managesieve/managesieve-quote.h, src/lib-sieve-tool/mail-raw.c,
	src/lib-sieve-tool/mail-raw.h, src/lib-sieve-tool/sieve-tool.c, src
	/lib-sieve-tool/sieve-tool.h, src/lib-sieve/cmd-discard.c, src/lib-
	sieve/cmd-if.c, src/lib-sieve/cmd-keep.c, src/lib-sieve/cmd-
	redirect.c, src/lib-sieve/cmd-require.c, src/lib-sieve/cmd-stop.c,
	src/lib-sieve/cmp-i-ascii-casemap.c, src/lib-sieve/cmp-i-octet.c,
	src/lib-sieve/ext-encoded-character.c, src/lib-sieve/ext-envelope.c,
	src/lib-sieve/ext-fileinto.c, src/lib-sieve/ext-reject.c, src/lib-
	sieve/mcht-contains.c, src/lib-sieve/mcht-is.c, src/lib-sieve/mcht-
	matches.c, src/lib-sieve/plugins/body/ext-body-common.c, src/lib-
	sieve/plugins/body/ext-body-common.h, src/lib-sieve/plugins/body
	/ext-body.c, src/lib-sieve/plugins/body/tst-body.c, src/lib-
	sieve/plugins/comparator-i-ascii-numeric/ext-cmp-i-ascii-numeric.c,
	src/lib-sieve/plugins/copy/ext-copy.c, src/lib-sieve/plugins/copy
	/sieve-ext-copy.h, src/lib-sieve/plugins/date/ext-date-common.c, src
	/lib-sieve/plugins/date/ext-date-common.h, src/lib-
	sieve/plugins/date/ext-date.c, src/lib-sieve/plugins/date/tst-
	date.c, src/lib-sieve/plugins/editheader/cmd-addheader.c, src/lib-
	sieve/plugins/editheader/cmd-deleteheader.c, src/lib-
	sieve/plugins/editheader/ext-editheader-common.c, src/lib-
	sieve/plugins/editheader/ext-editheader-common.h, src/lib-
	sieve/plugins/editheader/ext-editheader-limits.h, src/lib-
	sieve/plugins/editheader/ext-editheader.c, src/lib-
	sieve/plugins/enotify/cmd-notify.c, src/lib-sieve/plugins/enotify
	/ext-enotify-common.c, src/lib-sieve/plugins/enotify/ext-enotify-
	common.h, src/lib-sieve/plugins/enotify/ext-enotify-limits.h, src
	/lib-sieve/plugins/enotify/ext-enotify.c, src/lib-
	sieve/plugins/enotify/mailto/ntfy-mailto.c, src/lib-
	sieve/plugins/enotify/mailto/uri-mailto.c, src/lib-
	sieve/plugins/enotify/mailto/uri-mailto.h, src/lib-
	sieve/plugins/enotify/sieve-ext-enotify.h, src/lib-
	sieve/plugins/enotify/tst-notify-method-capability.c, src/lib-
	sieve/plugins/enotify/tst-valid-notify-method.c, src/lib-
	sieve/plugins/enotify/vmodf-encodeurl.c, src/lib-
	sieve/plugins/environment/ext-environment-common.c, src/lib-
	sieve/plugins/environment/ext-environment-common.h, src/lib-
	sieve/plugins/environment/ext-environment.c, src/lib-
	sieve/plugins/environment/sieve-ext-environment.h, src/lib-
	sieve/plugins/environment/tst-environment.c, src/lib-
	sieve/plugins/ihave/cmd-error.c, src/lib-sieve/plugins/ihave/ext-
	ihave-binary.c, src/lib-sieve/plugins/ihave/ext-ihave-binary.h, src
	/lib-sieve/plugins/ihave/ext-ihave-common.c, src/lib-
	sieve/plugins/ihave/ext-ihave-common.h, src/lib-sieve/plugins/ihave
	/ext-ihave.c, src/lib-sieve/plugins/ihave/tst-ihave.c, src/lib-
	sieve/plugins/imap4flags/cmd-flag.c, src/lib-
	sieve/plugins/imap4flags/ext-imap4flags-common.c, src/lib-
	sieve/plugins/imap4flags/ext-imap4flags-common.h, src/lib-
	sieve/plugins/imap4flags/ext-imap4flags.c, src/lib-
	sieve/plugins/imap4flags/ext-imapflags.c, src/lib-
	sieve/plugins/imap4flags/tag-flags.c, src/lib-
	sieve/plugins/imap4flags/tst-hasflag.c, src/lib-
	sieve/plugins/include/cmd-global.c, src/lib-sieve/plugins/include
	/cmd-include.c, src/lib-sieve/plugins/include/cmd-return.c, src/lib-
	sieve/plugins/include/ext-include-binary.c, src/lib-
	sieve/plugins/include/ext-include-binary.h, src/lib-
	sieve/plugins/include/ext-include-common.c, src/lib-
	sieve/plugins/include/ext-include-common.h, src/lib-
	sieve/plugins/include/ext-include-limits.h, src/lib-
	sieve/plugins/include/ext-include-variables.c, src/lib-
	sieve/plugins/include/ext-include-variables.h, src/lib-
	sieve/plugins/include/ext-include.c, src/lib-sieve/plugins/mailbox
	/ext-mailbox-common.h, src/lib-sieve/plugins/mailbox/ext-mailbox.c,
	src/lib-sieve/plugins/mailbox/tag-mailbox-create.c, src/lib-
	sieve/plugins/mailbox/tst-mailboxexists.c, src/lib-
	sieve/plugins/metadata/ext-metadata-common.h, src/lib-
	sieve/plugins/metadata/ext-metadata.c, src/lib-
	sieve/plugins/metadata/tst-metadata.c, src/lib-
	sieve/plugins/metadata/tst-metadataexists.c, src/lib-
	sieve/plugins/notify/cmd-denotify.c, src/lib-sieve/plugins/notify
	/cmd-notify.c, src/lib-sieve/plugins/notify/ext-notify-common.c, src
	/lib-sieve/plugins/notify/ext-notify-common.h, src/lib-
	sieve/plugins/notify/ext-notify-limits.h, src/lib-
	sieve/plugins/notify/ext-notify.c, src/lib-sieve/plugins/regex/ext-
	regex-common.c, src/lib-sieve/plugins/regex/ext-regex-common.h, src
	/lib-sieve/plugins/regex/ext-regex.c, src/lib-sieve/plugins/regex
	/mcht-regex.c, src/lib-sieve/plugins/relational/ext-relational-
	common.c, src/lib-sieve/plugins/relational/ext-relational-common.h,
	src/lib-sieve/plugins/relational/ext-relational.c, src/lib-
	sieve/plugins/relational/mcht-count.c, src/lib-
	sieve/plugins/relational/mcht-value.c, src/lib-
	sieve/plugins/spamvirustest/ext-spamvirustest-common.c, src/lib-
	sieve/plugins/spamvirustest/ext-spamvirustest-common.h, src/lib-
	sieve/plugins/spamvirustest/ext-spamvirustest.c, src/lib-
	sieve/plugins/spamvirustest/tst-spamvirustest.c, src/lib-
	sieve/plugins/subaddress/ext-subaddress.c, src/lib-
	sieve/plugins/vacation/cmd-vacation.c, src/lib-
	sieve/plugins/vacation/ext-vacation-common.c, src/lib-
	sieve/plugins/vacation/ext-vacation-common.h, src/lib-
	sieve/plugins/vacation/ext-vacation-seconds.c, src/lib-
	sieve/plugins/vacation/ext-vacation.c, src/lib-
	sieve/plugins/variables/cmd-set.c, src/lib-sieve/plugins/variables
	/ext-variables-arguments.c, src/lib-sieve/plugins/variables/ext-
	variables-arguments.h, src/lib-sieve/plugins/variables/ext-
	variables-common.c, src/lib-sieve/plugins/variables/ext-variables-
	common.h, src/lib-sieve/plugins/variables/ext-variables-dump.c, src
	/lib-sieve/plugins/variables/ext-variables-dump.h, src/lib-
	sieve/plugins/variables/ext-variables-limits.h, src/lib-
	sieve/plugins/variables/ext-variables-modifiers.c, src/lib-
	sieve/plugins/variables/ext-variables-modifiers.h, src/lib-
	sieve/plugins/variables/ext-variables-name.c, src/lib-
	sieve/plugins/variables/ext-variables-name.h, src/lib-
	sieve/plugins/variables/ext-variables-namespaces.c, src/lib-
	sieve/plugins/variables/ext-variables-namespaces.h, src/lib-
	sieve/plugins/variables/ext-variables-operands.c, src/lib-
	sieve/plugins/variables/ext-variables-operands.h, src/lib-
	sieve/plugins/variables/ext-variables.c, src/lib-
	sieve/plugins/variables/sieve-ext-variables.h, src/lib-
	sieve/plugins/variables/tst-string.c, src/lib-
	sieve/plugins/vnd.dovecot/debug/cmd-debug-log.c, src/lib-
	sieve/plugins/vnd.dovecot/debug/ext-debug-common.h, src/lib-
	sieve/plugins/vnd.dovecot/debug/ext-debug.c, src/lib-
	sieve/plugins/vnd.dovecot/duplicate/ext-duplicate-common.c, src/lib-
	sieve/plugins/vnd.dovecot/duplicate/ext-duplicate-common.h, src/lib-
	sieve/plugins/vnd.dovecot/duplicate/ext-duplicate.c, src/lib-
	sieve/plugins/vnd.dovecot/duplicate/tst-duplicate.c, src/lib-sieve
	/sieve-actions.c, src/lib-sieve/sieve-actions.h, src/lib-sieve
	/sieve-address-parts.c, src/lib-sieve/sieve-address-parts.h, src
	/lib-sieve/sieve-address.c, src/lib-sieve/sieve-address.h, src/lib-
	sieve/sieve-ast.c, src/lib-sieve/sieve-ast.h, src/lib-sieve/sieve-
	binary-code.c, src/lib-sieve/sieve-binary-debug.c, src/lib-sieve
	/sieve-binary-dumper.c, src/lib-sieve/sieve-binary-dumper.h, src
	/lib-sieve/sieve-binary-file.c, src/lib-sieve/sieve-binary-
	private.h, src/lib-sieve/sieve-binary.c, src/lib-sieve/sieve-
	binary.h, src/lib-sieve/sieve-code-dumper.c, src/lib-sieve/sieve-
	code-dumper.h, src/lib-sieve/sieve-code.c, src/lib-sieve/sieve-
	code.h, src/lib-sieve/sieve-commands.c, src/lib-sieve/sieve-
	commands.h, src/lib-sieve/sieve-common.h, src/lib-sieve/sieve-
	comparators.c, src/lib-sieve/sieve-comparators.h, src/lib-sieve
	/sieve-config.h, src/lib-sieve/sieve-dump.h, src/lib-sieve/sieve-
	error-private.h, src/lib-sieve/sieve-error.c, src/lib-sieve/sieve-
	error.h, src/lib-sieve/sieve-extensions.c, src/lib-sieve/sieve-
	extensions.h, src/lib-sieve/sieve-generator.c, src/lib-sieve/sieve-
	generator.h, src/lib-sieve/sieve-interpreter.c, src/lib-sieve/sieve-
	interpreter.h, src/lib-sieve/sieve-lexer.c, src/lib-sieve/sieve-
	lexer.h, src/lib-sieve/sieve-limits.h, src/lib-sieve/sieve-match-
	types.c, src/lib-sieve/sieve-match-types.h, src/lib-sieve/sieve-
	match.c, src/lib-sieve/sieve-match.h, src/lib-sieve/sieve-message.c,
	src/lib-sieve/sieve-message.h, src/lib-sieve/sieve-objects.c, src
	/lib-sieve/sieve-objects.h, src/lib-sieve/sieve-parser.c, src/lib-
	sieve/sieve-parser.h, src/lib-sieve/sieve-plugins.c, src/lib-sieve
	/sieve-plugins.h, src/lib-sieve/sieve-result.c, src/lib-sieve/sieve-
	result.h, src/lib-sieve/sieve-runtime-trace.c, src/lib-sieve/sieve-
	runtime-trace.h, src/lib-sieve/sieve-runtime.h, src/lib-sieve/sieve-
	script-dict.c, src/lib-sieve/sieve-script-file.c, src/lib-sieve
	/sieve-script-file.h, src/lib-sieve/sieve-script-private.h, src/lib-
	sieve/sieve-script.c, src/lib-sieve/sieve-script.h, src/lib-sieve
	/sieve-settings.c, src/lib-sieve/sieve-settings.h, src/lib-sieve
	/sieve-smtp.c, src/lib-sieve/sieve-smtp.h, src/lib-sieve/sieve-
	stringlist.c, src/lib-sieve/sieve-stringlist.h, src/lib-sieve/sieve-
	types.h, src/lib-sieve/sieve-validator.c, src/lib-sieve/sieve-
	validator.h, src/lib-sieve/sieve.c, src/lib-sieve/sieve.h, src/lib-
	sieve/tst-address.c, src/lib-sieve/tst-allof.c, src/lib-sieve/tst-
	anyof.c, src/lib-sieve/tst-exists.c, src/lib-sieve/tst-header.c, src
	/lib-sieve/tst-not.c, src/lib-sieve/tst-size.c, src/lib-sieve/tst-
	truefalse.c, src/lib-sieve/util/edit-mail.c, src/lib-sieve/util
	/edit-mail.h, src/lib-sieve/util/program-client-local.c, src/lib-
	sieve/util/program-client-private.h, src/lib-sieve/util/program-
	client-remote.c, src/lib-sieve/util/program-client.c, src/lib-
	sieve/util/program-client.h, src/lib-sieve/util/rfc2822.c, src/lib-
	sieve/util/rfc2822.h, src/lib-sievestorage/sieve-storage-list.c, src
	/lib-sievestorage/sieve-storage-list.h, src/lib-sievestorage/sieve-
	storage-private.h, src/lib-sievestorage/sieve-storage-quota.c, src
	/lib-sievestorage/sieve-storage-quota.h, src/lib-sievestorage/sieve-
	storage-save.c, src/lib-sievestorage/sieve-storage-save.h, src/lib-
	sievestorage/sieve-storage-script.c, src/lib-sievestorage/sieve-
	storage-script.h, src/lib-sievestorage/sieve-storage.c, src/lib-
	sievestorage/sieve-storage.h, src/managesieve-login/client-
	authenticate.c, src/managesieve-login/client-authenticate.h, src
	/managesieve-login/client.c, src/managesieve-login/client.h, src
	/managesieve-login/managesieve-login-settings-plugin.c, src
	/managesieve-login/managesieve-login-settings-plugin.h, src
	/managesieve-login/managesieve-login-settings.c, src/managesieve-
	login/managesieve-login-settings.h, src/managesieve-login
	/managesieve-proxy.c, src/managesieve-login/managesieve-proxy.h,
	src/managesieve/cmd-capability.c, src/managesieve/cmd-
	deletescript.c, src/managesieve/cmd-getscript.c, src/managesieve
	/cmd-havespace.c, src/managesieve/cmd-listscripts.c, src/managesieve
	/cmd-logout.c, src/managesieve/cmd-noop.c, src/managesieve/cmd-
	putscript.c, src/managesieve/cmd-renamescript.c, src/managesieve
	/cmd-setactive.c, src/managesieve/main.c, src/managesieve
	/managesieve-capabilities.c, src/managesieve/managesieve-
	capabilities.h, src/managesieve/managesieve-client.c,
	src/managesieve/managesieve-client.h, src/managesieve/managesieve-
	commands.c, src/managesieve/managesieve-commands.h, src/managesieve
	/managesieve-common.h, src/managesieve/managesieve-quota.c,
	src/managesieve/managesieve-quota.h, src/managesieve/managesieve-
	settings.c, src/managesieve/managesieve-settings.h, src/plugins
	/doveadm-sieve/doveadm-sieve-plugin.c, src/plugins/lda-sieve/lda-
	sieve-plugin.c, src/plugins/lda-sieve/lda-sieve-plugin.h,
	src/plugins/sieve-extprograms/cmd-execute.c, src/plugins/sieve-
	extprograms/cmd-filter.c, src/plugins/sieve-extprograms/cmd-pipe.c,
	src/plugins/sieve-extprograms/ext-execute.c, src/plugins/sieve-
	extprograms/ext-filter.c, src/plugins/sieve-extprograms/ext-pipe.c,
	src/plugins/sieve-extprograms/sieve-extprograms-common.c,
	src/plugins/sieve-extprograms/sieve-extprograms-common.h,
	src/plugins/sieve-extprograms/sieve-extprograms-plugin.c,
	src/plugins/sieve-extprograms/sieve-extprograms-plugin.h, src/sieve-
	tools/sieve-dump.c, src/sieve-tools/sieve-filter.c, src/sieve-tools
	/sieve-test.c, src/sieve-tools/sievec.c, src/testsuite/cmd-test-
	binary.c, src/testsuite/cmd-test-config.c, src/testsuite/cmd-test-
	fail.c, src/testsuite/cmd-test-mailbox.c, src/testsuite/cmd-test-
	message.c, src/testsuite/cmd-test-result.c, src/testsuite/cmd-test-
	set.c, src/testsuite/cmd-test.c, src/testsuite/ext-testsuite.c,
	src/testsuite/testsuite-arguments.c, src/testsuite/testsuite-
	arguments.h, src/testsuite/testsuite-binary.c, src/testsuite
	/testsuite-binary.h, src/testsuite/testsuite-common.c, src/testsuite
	/testsuite-common.h, src/testsuite/testsuite-log.c, src/testsuite
	/testsuite-log.h, src/testsuite/testsuite-mailstore.c, src/testsuite
	/testsuite-mailstore.h, src/testsuite/testsuite-message.c,
	src/testsuite/testsuite-message.h, src/testsuite/testsuite-
	objects.c, src/testsuite/testsuite-objects.h, src/testsuite
	/testsuite-result.c, src/testsuite/testsuite-result.h, src/testsuite
	/testsuite-script.c, src/testsuite/testsuite-script.h, src/testsuite
	/testsuite-settings.c, src/testsuite/testsuite-settings.h,
	src/testsuite/testsuite-smtp.c, src/testsuite/testsuite-smtp.h,
	src/testsuite/testsuite-substitutions.c, src/testsuite/testsuite-
	substitutions.h, src/testsuite/testsuite-variables.c, src/testsuite
	/testsuite-variables.h, src/testsuite/testsuite.c, src/testsuite
	/tst-test-error.c, src/testsuite/tst-test-multiscript.c,
	src/testsuite/tst-test-result-action.c, src/testsuite/tst-test-
	result-execute.c, src/testsuite/tst-test-script-compile.c,
	src/testsuite/tst-test-script-run.c:
	Updated copyright notices to include the year 2014.
	[32beba3bfd8d]

2013-12-30  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/sieve-commands.h:
	lib-sieve: Added macros for argument generation errors.
	[cab3d18a00c9]

2013-12-28  Stephan Bosch  <stephan@rename-it.nl>

	* doc/extensions/spamtest-virustest.txt:
	Fixed messy documentation indent caused by earlier change.
	[2d15749f8fc6]

	* src/lib-sieve/plugins/spamvirustest/ext-spamvirustest-common.c,
	tests/plugins/extprograms/bin/spamc,
	tests/plugins/extprograms/filter/execute.svtest:
	lib-sieve: spamtest/virustest extensions: Tests were erroneously
	performed against the original message. When used together with
	extprograms filter to add the spam headers, the changes were not
	being used by the spamtest and virustest extensions.
	[f9fd5606b3e7]

	* doc/extensions/spamtest-virustest.txt:
	doc/extensions/spamtest-virustest.txt: Clarified that these
	extensions use the extended POSIX regular expressions.
	[3f67c4ded9b8]

2013-12-25  Stephan Bosch  <stephan@rename-it.nl>

	* NEWS, src/lib-sieve/mcht-matches.c, src/lib-sieve/plugins/editheader
	/cmd-deleteheader.c, src/lib-sieve/sieve-validator.c, src/lib-
	sieve/util/edit-mail.c, tests/compile/redirect.sieve:
	Fixed consistent spelling mistake.
	[da0fb6e98b2f]

	* src/lib-sieve/plugins/ihave/ext-ihave-binary.c:
	Fixed compiler warning.
	[570b58093003]

	* src/lib-sieve/util/program-client-local.c, src/lib-sieve/util
	/program-client-private.h, src/lib-sieve/util/program-client-
	remote.c, src/lib-sieve/util/program-client.c, src/lib-sieve/util
	/program-client.h, src/plugins/sieve-extprograms/cmd-filter.c,
	src/plugins/sieve-extprograms/sieve-extprograms-common.c,
	src/plugins/sieve-extprograms/sieve-extprograms-common.h:
	sieve_extprograms plugin: Changed program client such that the
	filter command only needs to create a temporary file when the
	program output is very large. This commit also includes a small
	change that makes it possible to run a program several times.
	[9448c8ae2f15]

	* src/lib-sieve/plugins/ihave/ext-ihave-binary.c, src/lib-
	sieve/plugins/include/ext-include-binary.c, src/lib-
	sieve/plugins/include/ext-include-variables.c, src/lib-
	sieve/plugins/include/ext-include-variables.h, src/lib-sieve/sieve-
	binary-file.c, src/lib-sieve/sieve-binary.h:
	lib-sieve: Added post_save hook to binary object.
	[2a8bb622f17e]

	* src/lib-sieve/sieve-script-dict.c, src/lib-sieve/sieve-script-
	file.c, src/lib-sieve/sieve-script-private.h, src/lib-sieve/sieve-
	script.c, src/lib-sieve/sieve-script.h:
	lib-sieve: Added method to script object for obtaining the directory
	where the script binary is stored.
	[cafc7f640c97]

	* src/lib-sieve-tool/sieve-tool.c, src/lib-sieve/sieve-common.h, src
	/lib-sieve/sieve-types.h, src/lib-sieve/sieve.c, src/plugins/lda-
	sieve/lda-sieve-plugin.c:
	lib-sieve: Added path to temporary directory to Sieve instance
	object.
	[c3d99cdd49f1]

2013-12-21  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/util/Makefile.am, src/lib-sieve/util/program-client-
	local.c, src/lib-sieve/util/program-client-private.h, src/lib-
	sieve/util/program-client-remote.c, src/lib-sieve/util/program-
	client.c, src/lib-sieve/util/program-client.h, src/plugins/sieve-
	extprograms/Makefile.am, src/plugins/sieve-extprograms/script-
	client-local.c, src/plugins/sieve-extprograms/script-client-
	private.h, src/plugins/sieve-extprograms/script-client-remote.c,
	src/plugins/sieve-extprograms/script-client.c, src/plugins/sieve-
	extprograms/script-client.h, src/plugins/sieve-extprograms/sieve-
	extprograms-common.c:
	Moved script-client from extprograms plugin to lib-sieve/util and
	renamed it to program-client for generic use.
	[f7967d104216]

	* configure.ac, src/lib-sieve/Makefile.am, src/lib-sieve/edit-mail.c,
	src/lib-sieve/edit-mail.h, src/lib-
	sieve/plugins/editheader/Makefile.am, src/lib-
	sieve/plugins/enotify/mailto/Makefile.am, src/lib-
	sieve/plugins/ihave/Makefile.am, src/lib-
	sieve/plugins/metadata/Makefile.am, src/lib-
	sieve/plugins/notify/Makefile.am, src/lib-
	sieve/plugins/subaddress/Makefile.am, src/lib-
	sieve/plugins/vacation/Makefile.am, src/lib-
	sieve/plugins/vnd.dovecot/debug/Makefile.am, src/lib-
	sieve/plugins/vnd.dovecot/duplicate/Makefile.am, src/lib-
	sieve/rfc2822.c, src/lib-sieve/rfc2822.h, src/lib-
	sieve/util/Makefile.am, src/lib-sieve/util/edit-mail.c, src/lib-
	sieve/util/edit-mail.h, src/lib-sieve/util/rfc2822.c, src/lib-
	sieve/util/rfc2822.h:
	lib-sieve: Moved utility source modules to sub-directory. In the
	future, much of these can be moved to Dovecot.
	[559621e9e633]

	* src/plugins/sieve-extprograms/script-client.c:
	Sieve extprograms plugin: Fixed 'Bad filedescriptor' error occurring
	when disconnecting script client.
	[8612191c5069]

2013-12-13  Stephan Bosch  <stephan@rename-it.nl>

	* src/plugins/sieve-extprograms/script-client-local.c, src/plugins
	/sieve-extprograms/script-client.c:
	Sieve extprograms plugin: Fixed fd leak and handling of output
	shutdown. Output stream remained open, including the flush io,
	causing a second assert failure. Whether this fixes the problem
	entirely remains to be seen.
	[61772824b4ea]

2013-11-20  Stephan Bosch  <stephan@rename-it.nl>

	* tests/test-header.svtest:
	Small improvements to the test suite.
	[bb3fbd27372a]

2013-11-15  Stephan Bosch  <stephan@rename-it.nl>

	* src/plugins/sieve-extprograms/sieve-extprograms-common.c:
	Sieve extprograms plugin: Improved handing of extension
	configuration.
	[b7434a02fc51]

2013-11-11  Stephan Bosch  <stephan@rename-it.nl>

	* .hgsigs, .hgtags, NEWS, configure.ac, src/lib-sieve/plugins/notify
	/ext-notify-common.c, src/lib-sievestorage/sieve-storage-script.c:
	Merged changes from Pigeonhole v0.3 tree.
	[16671ce66f75]

	* src/lib-sieve/plugins/notify/ext-notify-common.c,
	tests/deprecated/notify/basic.svtest:
	lib-sieve: deprecated notify extension: Fixed segfault problems in
	message string substitution.
	[44f659981723]

2013-11-09  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sievestorage/sieve-storage-script.c:
	lib-sievestorage: Fixed active link verification to handle redundant
	path slashes correctly.
	[406f6cc2f1e1]

2013-09-26  Stephan Bosch  <stephan@rename-it.nl>

	* .hgsigs:
	Added signature for changeset 87d8f0aae957
	[7b09c4608d42]

	* .hgtags:
	Added tag 0.3.6 for changeset 87d8f0aae957
	[b9f545cd2ec8]

	* NEWS, configure.in:
	Released v0.3.6 for Dovecot v2.1.17.
	[87d8f0aae957] [0.3.6]

2013-11-03  Stephan Bosch  <stephan@rename-it.nl>

	* configure.ac, src/lib-sieve/Makefile.am, src/lib-
	sieve/plugins/Makefile.am, src/lib-
	sieve/plugins/metadata/Makefile.am, src/lib-sieve/plugins/metadata
	/ext-metadata-common.h, src/lib-sieve/plugins/metadata/ext-
	metadata.c, src/lib-sieve/plugins/metadata/tst-metadata.c, src/lib-
	sieve/plugins/metadata/tst-metadataexists.c, src/lib-sieve/sieve-
	extensions.c:
	lib-sieve: Added skeletons for mboxmetadata and servermetadata
	extensions. This is still an unfinished feature.
	[58e6a73e5bc6]

2013-10-11  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/plugins/vacation/cmd-vacation.c:
	lib-sieve: vacation extension: Fixed interaction of
	sieve_vacation_dont_check_recipient with
	sieve_vacation_send_from_recipient setting. If
	sieve_vacation_dont_check_recipient was active,
	sieve_vacation_send_from_recipient had no effect.
	[ab3638d7aa4a]

2013-10-06  Stephan Bosch  <stephan@rename-it.nl>

	* src/plugins/sieve-extprograms/script-client-local.c:
	Sieve extprograms plugin: Forgot to disable the alarm() timeouts set
	for script execution. This may cause later syscalls to exit with
	EINTR unexpectedly.
	[689dbc10a7fc]

2013-09-26  Stephan Bosch  <stephan@rename-it.nl>

	* .hgsigs:
	Added signature for changeset 2176d400eca4
	[8159c26d0a36]

	* .hgtags:
	Added tag 0.4.2 for changeset 2176d400eca4
	[25ae2f39df94]

	* NEWS, configure.ac:
	Released v0.4.2 for Dovecot v2.2.6.
	[2176d400eca4] [0.4.2]

2013-09-23  Stephan Bosch  <stephan@rename-it.nl>

	* doc/extensions/vacation.txt, src/lib-sieve/plugins/vacation/cmd-
	vacation.c, src/lib-sieve/plugins/vacation/ext-vacation-common.c,
	src/lib-sieve/plugins/vacation/ext-vacation-common.h,
	tests/extensions/vacation/message.svtest:
	lib-sieve: vacation extension: Added support for sending vacation
	messages with an actual sender. Use
	sieve_vacation_send_from_recipient to enable this behavior.
	Documentation in doc/extensions/vacation.txt is updated.
	[4924724b7f4f]

	* src/managesieve-login/managesieve-login-settings.c:
	managesieve: Updated to changes in Dovecot listeners regarding
	SO_REUSEPORT.
	[9b78ef1584c6]

2013-09-22  Stephan Bosch  <stephan@rename-it.nl>

	* src/plugins/doveadm-sieve/doveadm-sieve-plugin.c:
	doveadm sieve plugin: Fixed the `Invalid value for default sieve
	attribute' problem. The attribute type code data was allocated on
	the stack rather than statically, causing the returned stream to
	point to invalid data.
	[3163f3696498]

2013-09-17  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sievestorage/sieve-storage.h:
	doveadm sieve plugin: Changed root attribute for Sieve.
	[34a5db66fc52]

	* src/plugins/doveadm-sieve/doveadm-sieve-plugin.c:
	doveadm sieve plugin: Small initialization fix.
	[4a11a588b55c]

2013-09-16  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/plugins/variables/cmd-set.c:
	Merged changes from v0.3 tree.
	[b1db52d0c0b3]

	* src/lib-sieve/plugins/variables/cmd-set.c:
	lib-sieve: variables extension: Fixed code corruption bug in 'set'
	command. Bug whould occur when modifier was used and the value
	became "" at some point. In that case not all operands (modifiers)
	were read, causing the subsequent operation to start at an erroneous
	position.
	[aadc77880254]

	* src/lib-sieve/sieve-binary-dumper.c:
	sieve-dump tool: Fixed hex output. Messed up signed/unsigned
	characters.
	[5b4b8d0cf0f3]

	* src/lib-sieve/plugins/variables/cmd-set.c:
	lib-sieve: variables extension: fixed data stack problem in 'set'
	command.
	[2b7472f55ec5]

2013-09-15  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/sieve-binary-code.c:
	lib-sieve: Fixed code block read bounds checking.
	[0ad4ca692650]

	* src/plugins/doveadm-sieve/doveadm-sieve-plugin.c:
	doveadm-sieve plugin: Fixed segfault bug.
	[8be59d267be3]

	* Merged changes from Pigeonhole 0.3 tree.
	[78215acd5614]

	* src/lib-sieve/plugins/spamvirustest/ext-spamvirustest-common.c:
	lib-sieve: spamtest virustest extensions: Fixed end-of-string
	testing in configuration parser.
	[c20d078d0cf4]

2013-09-04  Stephan Bosch  <stephan@rename-it.nl>

	* src/plugins/doveadm-sieve/doveadm-sieve-plugin.c:
	doveadm-sieve plugin: Fixed a few crash issues. Patches by Timo
	Sirainen.
	[00fbc2bc1fad]

2013-08-15  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/ext-envelope.c, src/lib-sieve/sieve-validator.c, src
	/managesieve-login/client-authenticate.c, src/testsuite/testsuite.c:
	Merged changes from Pigeonhole v0.3 tree.
	[09ce20eaa1c2]

	* src/lib-sieve/ext-envelope.c, src/lib-sieve/sieve-address.c, src
	/lib-sieve/sieve-validator.c, src/managesieve-login/client-
	authenticate.c, src/testsuite/testsuite-objects.c,
	src/testsuite/testsuite.c:
	Various fixes for CLang warnings. Patch by Timo Sirainen (modified).
	[e57214510465]

	* src/lib-sieve/plugins/include/cmd-include.c, src/lib-
	sieve/plugins/include/ext-include-common.c, src/lib-
	sieve/plugins/include/ext-include-common.h:
	lib-sieve: include extension: Fixed implementation of new :options
	flag. Mixed up pre-existing boolean once parameter with new flags
	parameter. This probably means that :optional partially implied
	:once for previous revisions.
	[bb5fa32f87bc]

	* src/plugins/lda-sieve/lda-sieve-plugin.c:
	lda-sieve plugin: Don't access already freed memory when
	deinitializing. Patch by Timo Sirainen (modified).
	[0e7b22c65147]

	* src/plugins/sieve-extprograms/script-client-local.c:
	extprograms plugin: Compiler warning fix for 32bit systems. Patch by
	Timo Sirainen.
	[2452dae5792f]

2013-07-10  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/plugins/editheader/ext-editheader.c, src/lib-
	sieve/plugins/environment/ext-environment.c, src/lib-
	sieve/plugins/ihave/ext-ihave.c, src/lib-sieve/plugins/include/ext-
	include.c, src/lib-sieve/plugins/mailbox/ext-mailbox.c, src/lib-
	sieve/plugins/spamvirustest/ext-spamvirustest.c, src/lib-
	sieve/plugins/vacation/ext-vacation-seconds.c, src/lib-
	sieve/plugins/vnd.dovecot/debug/ext-debug.c, src/lib-
	sieve/plugins/vnd.dovecot/duplicate/ext-duplicate.c, src/plugins
	/sieve-extprograms/ext-execute.c, src/plugins/sieve-extprograms/ext-
	filter.c, src/plugins/sieve-extprograms/ext-pipe.c:
	Updated Sieve extension status in comments.
	[a6a1c041c209]

2013-07-03  Stephan Bosch  <stephan@rename-it.nl>

	* .hgsigs:
	Added signature for changeset f1535e2255cd
	[612d91d3b745]

	* .hgtags:
	Added tag 0.4.1 for changeset f1535e2255cd
	[931f00c28603]

	* NEWS, configure.ac:
	Released v0.4.1 for Dovecot v2.2.4.
	[f1535e2255cd] [0.4.1]

	* src/lib-sievestorage/Makefile.am:
	Merged changes from Pigeonhole v0.3 tree.
	[597c1dcbda11]

2013-06-18  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sievestorage/Makefile.am:
	Fixed deprecated INCLUDE= assignment in Makefile.am
	[53ee9655e78e]

	* src/lib-sievestorage/sieve-storage-script.c:
	lib-sievestorage: Removed PATH_MAX limitation for active symlink.
	Fixes issue for GNU/Hurd.
	[1b1a0c271383]

	* src/lib-sieve/cmd-redirect.c:
	Fixed line endings in X-Sieve headers added by redirect command.
	Modified patch by Andriy Syrovenko.
	[e439789e3211]

	* src/sieve-tools/sieve-filter.c:
	Don't access ns->storage. Patch by Timo Sirainen.
	[204d48dc7529]

2013-06-02  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/cmd-discard.c, src/lib-sieve/cmd-redirect.c, src/lib-
	sieve/ext-reject.c, src/lib-sieve/plugins/enotify/cmd-notify.c, src
	/lib-sieve/plugins/imap4flags/tag-flags.c, src/lib-
	sieve/plugins/mailbox/tag-mailbox-create.c, src/lib-
	sieve/plugins/notify/cmd-notify.c, src/lib-sieve/plugins/vacation
	/cmd-vacation.c, src/lib-sieve/plugins/vnd.dovecot/duplicate/ext-
	duplicate-common.c, src/lib-sieve/sieve-actions.c, src/lib-sieve
	/sieve-actions.h, src/lib-sieve/sieve-binary-file.c, src/lib-sieve
	/sieve-result.c, src/lib-sieve/sieve-result.h, src/lib-sieve/sieve-
	script-dict.c, src/lib-sieve/sieve-script-file.c, src/lib-sieve
	/sieve-script.c, src/lib-sieve/sieve-types.h, src/lib-sieve/sieve.c,
	src/lib-sieve/sieve.h, src/lib-sievestorage/sieve-storage.c,
	src/managesieve/managesieve-client.c, src/plugins/lda-sieve/lda-
	sieve-plugin.c, src/plugins/sieve-extprograms/cmd-pipe.c,
	src/plugins/sieve-extprograms/sieve-extprograms-common.c, src/sieve-
	tools/sieve-filter.c, src/sieve-tools/sieve-test.c,
	src/testsuite/testsuite.c:
	Finished support for temporary failures. This change is bigger than
	I would have liked, so this needs to be tested more.
	[ca6735be7bba]

2013-05-24  Stephan Bosch  <stephan@rename-it.nl>

	* src/managesieve-login/client.c:
	Merged changes from Pigeonhole v0.3 tree.
	[eff46ace3456]

	* src/managesieve-login/client.c:
	managesieve-login: Fixed '[' ']' stupidity for response codes.
	Emerged when Sieve and ManageSieve were merged into Pigeonhole.
	[d4ae981567e1]

2013-05-12  Stephan Bosch  <stephan@rename-it.nl>

	* doc/example-config/conf.d/20-managesieve.conf:
	Fixed setting name in example-config/conf.d/20-managesieve.conf.
	[7319f0becc98]

2013-05-20  Stephan Bosch  <stephan@rename-it.nl>

	* src/plugins/sieve-extprograms/script-client-remote.c, src/plugins
	/sieve-extprograms/script-client.c:
	Sieve extprograms plugin: Fixed interaction between pipe command and
	remote script service. The output from the script service was never
	read, causing a broken pipe error at the script service. Apparently,
	this was broken since the I/O handling for extprograms was last
	revised.
	[d4e9ca7fddcf]

2013-05-15  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/rfc2822.c:
	lib-sieve: Fixed datastack problem in message header composition.
	[04ad3c2f0765]

2013-05-09  Stephan Bosch  <stephan@rename-it.nl>

	* README, doc/man/pigeonhole.7.in, doc/man/sieve-dump.1.in, doc/man
	/sieve-filter.1.in, doc/man/sieve-test.1.in, doc/man/sievec.1.in:
	Forgot to update Dovecot version in README and man pages.
	[a32b12ab5ea6]

	* .hgsigs:
	Added signature for changeset 3a8dc1250e9b
	[1e0a6a4f4634]

	* .hgtags:
	Added tag 0.4.0 for changeset 3a8dc1250e9b
	[b41f5cf04b8f]

	* INSTALL, Makefile.am, NEWS, configure.ac, m4/dovecot.m4:
	Released v0.4.0 for Dovecot v2.2.1.
	[3a8dc1250e9b] [0.4.0]

	* .hgsigs:
	Added signature for changeset 374ec9399958
	[34cb3668f86d]

	* .hgtags:
	Added tag 0.3.5 for changeset 374ec9399958
	[59c48b78f3aa]

	* NEWS, configure.in:
	Released v0.3.5 for Dovecot v2.1.16.
	[374ec9399958] [0.3.5]

	* m4/dovecot.m4:
	Fixed problem in `make distcheck`. Added --disable-shared to
	DISTCHECK_CONFIGURE_FLAGS (in dovecot.m4) to prevent libtool from
	relinking the libraries.
	[9d76d51685e1]

	* m4/dovecot.m4:
	Updated dovecot.m4 to latest version.
	[01ac5c3f5b07]

	* configure.ac:
	Removed UNSTABLE notice from configure.
	[26c30ba221d0]

	* src/lib-sieve/edit-mail.c:
	Merged changed from Pigeonhole v0.3.
	[39848c052666]

2013-05-02  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/edit-mail.c, src/lib-sieve/plugins/editheader/cmd-
	deleteheader.c, tests/extensions/editheader/deleteheader.svtest:
	lib-sieve: editheader extension: Fixed interaction with body
	extension. Forgot to rewind mail stream before header parsing.
	Wrapped mail stream is obtained long before parsing, so if it is
	used in the mean time, it must be rewound to the beginning.
	[0163c45094a3]

2013-04-07  Stephan Bosch  <stephan@rename-it.nl>

	* tests/extensions/date/basic.svtest:
	testsuite: fixed local timezone dependency in date extension tests.
	[bc2126771d00]

2013-05-09  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sievestorage/sieve-storage-private.h, src/lib-sievestorage
	/sieve-storage-save.c, src/lib-sievestorage/sieve-storage-script.c,
	src/lib-sievestorage/sieve-storage.c, src/lib-sievestorage/sieve-
	storage.h, src/managesieve/managesieve-client.c, src/plugins
	/doveadm-sieve/doveadm-sieve-plugin.c:
	doveadm-sieve: Fixed synchronization of script deletions. Sieve
	storage now updates sieve attributes in the user's INBOX if used by
	ManageSieve.
	[676ca33ea4f6]

2013-05-06  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sievestorage/sieve-storage.c, src/plugins/doveadm-sieve
	/doveadm-sieve-plugin.c:
	doveadm-sieve: Fix ping-pong problem in active Sieve script
	synchronization. Patch by Timo Sirainen.
	[e2e1ecc75a72]

2013-04-23  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sievestorage/sieve-storage-private.h, src/lib-sievestorage
	/sieve-storage-save.c, src/lib-sievestorage/sieve-storage-script.c,
	src/lib-sievestorage/sieve-storage-script.h, src/lib-sievestorage
	/sieve-storage.c, src/managesieve/cmd-setactive.c, src/plugins
	/doveadm-sieve/doveadm-sieve-plugin.c:
	doveadm-sieve: Fixed mtime updates. Patch by Timo Sirainen.
	[5892c2ab9b0d]

2013-04-20  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sievestorage/sieve-storage-save.c, src/lib-sievestorage
	/sieve-storage-save.h, src/lib-sievestorage/sieve-storage.c, src
	/lib-sievestorage/sieve-storage.h, src/plugins/doveadm-sieve
	/doveadm-sieve-plugin.c:
	doveadm-sieve: Set mtime of modified scripts and sieve dir to
	timestamp from dsync. Still does not fix the ping-pong issue.
	[94cd5a1c85cf]

2013-04-19  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sievestorage/sieve-storage-save.c, src/lib-sievestorage
	/sieve-storage-script.c:
	doveadm-sieve: Made active script last_change time always dependent
	on sieve_dir mtime. Change is preliminary. Still doing some
	experiments, 'ping-pong' problem is not solved.
	[2de5c020cc03]

	* src/lib-sievestorage/sieve-storage-private.h, src/lib-sievestorage
	/sieve-storage-script.c, src/lib-sievestorage/sieve-storage.c, src
	/lib-sievestorage/sieve-storage.h, src/managesieve/managesieve-
	client.c, src/plugins/doveadm-sieve/doveadm-sieve-plugin.c:
	doveadm-sieve: Prevented Sieve storage from logging useless while
	synchronizing. Added flag to prevent warnings about non-link active
	scripts and disable critical error logging. A rather fundamental
	synchronization problem remains to be solved.
	[9f14740cc1c0]

	* INSTALL, NEWS, README, TODO, doc/plugins/sieve_extprograms.txt:
	Made preparations for first v0.4 release.
	[5fa5e2dfbb57]

	* src/testsuite/testsuite-variables.c,
	tests/plugins/extprograms/bin/sleep10,
	tests/plugins/extprograms/execute/command.svtest,
	tests/plugins/extprograms/execute/errors.svtest,
	tests/plugins/extprograms/execute/execute.svtest,
	tests/plugins/extprograms/filter/command.svtest,
	tests/plugins/extprograms/filter/errors.svtest,
	tests/plugins/extprograms/filter/execute.svtest,
	tests/plugins/extprograms/pipe/command.svtest,
	tests/plugins/extprograms/pipe/errors.svtest,
	tests/plugins/extprograms/pipe/errors/timeout.sieve,
	tests/plugins/extprograms/pipe/execute.svtest:
	Fixed distcheck failure on sieve_extprograms plugin testsuite.
	[ee5a40db9e73]

	* tests/plugins/extprograms/execute/execute.svtest:
	Fixed test suite for vnd.dovecot.execute extension. Testsuite
	hostname is now true local hostname.
	[2688c750b426]

2013-04-12  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/sieve.c:
	Fixed doveconf crash caused by previous change. Patch by Timo
	Sirainen.
	[70f0b7140939]

2013-04-11  Stephan Bosch  <stephan@rename-it.nl>

	* README, src/lib-sieve-tool/sieve-tool.c, src/lib-
	sieve/plugins/environment/ext-environment-common.c, src/lib-sieve
	/sieve-common.h, src/lib-sieve/sieve-types.h, src/lib-sieve/sieve.c,
	src/plugins/lda-sieve/lda-sieve-plugin.c,
	tests/extensions/environment/basic.svtest,
	tests/extensions/environment/rfc.svtest:
	lib-sieve: environment extension: Finally finished this extension a
	much as possible. Some environment items in the base specification
	are not (yet) applicable to Dovecot and are therefore not supported.
	[9d38ca755000]

	* src/plugins/doveadm-sieve/doveadm-sieve-plugin.c:
	doveadm-sieve: Updated to dsync changes in Dovecot mail storage API.
	Patch by Timo Sirainen.
	[1a3a4545fa10]

2013-04-07  Stephan Bosch  <stephan@rename-it.nl>

	* src/plugins/sieve-extprograms/script-client-remote.c, src/plugins
	/sieve-extprograms/sieve-extprograms-common.h:
	Compile warning fixes.
	[aafcff20c8a7]

	* TODO:
	Updated TODO to include items related to sieve_extprograms plugin.
	[1d2bf4a7dc9f]

	* INSTALL, Makefile.am, configure.ac, doc/Makefile.am, doc/example-
	config/conf.d/90-sieve-extprograms.conf, doc/example-
	config/conf.d/90-sieve.conf, doc/example-config/conf.d/Makefile.am,
	doc/plugins/sieve_extprograms.txt, doc/rfc/spec-bosch-sieve-
	extprograms.txt, doc/rfc/xml/reference.DSN.xml,
	doc/rfc/xml/reference.MDN.xml, doc/rfc/xml/reference.NET-
	UNICODE.xml, doc/rfc/xml/reference.RFC.3894.xml,
	doc/rfc/xml/reference.RFC.5429.xml,
	doc/rfc/xml/reference.SUBADDRESS.xml,
	doc/rfc/xml/reference.UTF-8.xml, doc/rfc/xml/spec-bosch-sieve-
	extprograms.xml, src/plugins/Makefile.am, src/plugins/sieve-
	extprograms/Makefile.am, src/plugins/sieve-extprograms/cmd-
	execute.c, src/plugins/sieve-extprograms/cmd-filter.c, src/plugins
	/sieve-extprograms/cmd-pipe.c, src/plugins/sieve-extprograms/ext-
	execute.c, src/plugins/sieve-extprograms/ext-filter.c, src/plugins
	/sieve-extprograms/ext-pipe.c, src/plugins/sieve-extprograms/script-
	client-local.c, src/plugins/sieve-extprograms/script-client-
	private.h, src/plugins/sieve-extprograms/script-client-remote.c,
	src/plugins/sieve-extprograms/script-client.c, src/plugins/sieve-
	extprograms/script-client.h, src/plugins/sieve-extprograms/sieve-
	extprograms-common.c, src/plugins/sieve-extprograms/sieve-
	extprograms-common.h, src/plugins/sieve-extprograms/sieve-
	extprograms-plugin.c, src/plugins/sieve-extprograms/sieve-
	extprograms-plugin.h, tests/plugins/extprograms/bin/addheader,
	tests/plugins/extprograms/bin/cat,
	tests/plugins/extprograms/bin/env,
	tests/plugins/extprograms/bin/frame,
	tests/plugins/extprograms/bin/modify,
	tests/plugins/extprograms/bin/program,
	tests/plugins/extprograms/bin/replace,
	tests/plugins/extprograms/bin/sleep2,
	tests/plugins/extprograms/bin/stderr,
	tests/plugins/extprograms/errors.svtest,
	tests/plugins/extprograms/errors/arguments.sieve,
	tests/plugins/extprograms/errors/programname.sieve,
	tests/plugins/extprograms/execute/command.svtest,
	tests/plugins/extprograms/execute/errors.svtest,
	tests/plugins/extprograms/execute/errors/syntax.sieve,
	tests/plugins/extprograms/execute/errors/variables.sieve,
	tests/plugins/extprograms/execute/execute.svtest,
	tests/plugins/extprograms/filter/command.svtest,
	tests/plugins/extprograms/filter/errors.svtest,
	tests/plugins/extprograms/filter/errors/syntax.sieve,
	tests/plugins/extprograms/filter/execute.svtest,
	tests/plugins/extprograms/pipe/command.svtest,
	tests/plugins/extprograms/pipe/errors.svtest,
	tests/plugins/extprograms/pipe/errors/syntax.sieve,
	tests/plugins/extprograms/pipe/errors/timeout.sieve,
	tests/plugins/extprograms/pipe/execute.svtest:
	Added sieve_extprograms plugin to the main Pigeonhole tree. It is
	still a plugin, but no longer a separate package.
	[a68530fb25d4]

	* TODO:
	Updated TODO.
	[c6c6af49f8ac]

	* TODO, configure.ac, src/lib-managesieve/managesieve-parser.c, src
	/lib-sieve-tool/mail-raw.c, src/lib-sieve/cmd-redirect.c, src/lib-
	sieve/edit-mail.c, src/lib-sieve/ext-encoded-character.c, src/lib-
	sieve/ext-envelope.c, src/lib-sieve/ext-fileinto.c, src/lib-sieve
	/ext-reject.c, src/lib-sieve/plugins/body/ext-body-common.c, src
	/lib-sieve/plugins/body/ext-body.c, src/lib-
	sieve/plugins/comparator-i-ascii-numeric/ext-cmp-i-ascii-numeric.c,
	src/lib-sieve/plugins/copy/ext-copy.c, src/lib-sieve/plugins/date
	/ext-date-common.c, src/lib-sieve/plugins/date/ext-date.c, src/lib-
	sieve/plugins/editheader/ext-editheader-common.c, src/lib-
	sieve/plugins/editheader/ext-editheader.c, src/lib-
	sieve/plugins/enotify/ext-enotify-common.h, src/lib-
	sieve/plugins/enotify/ext-enotify.c, src/lib-
	sieve/plugins/enotify/mailto/ntfy-mailto.c, src/lib-
	sieve/plugins/environment/ext-environment-common.c, src/lib-
	sieve/plugins/environment/ext-environment.c, src/lib-
	sieve/plugins/ihave/ext-ihave-binary.c, src/lib-sieve/plugins/ihave
	/ext-ihave-common.h, src/lib-sieve/plugins/ihave/ext-ihave.c, src
	/lib-sieve/plugins/ihave/tst-ihave.c, src/lib-
	sieve/plugins/imap4flags/ext-imap4flags.c, src/lib-
	sieve/plugins/imap4flags/ext-imapflags.c, src/lib-
	sieve/plugins/imap4flags/tag-flags.c, src/lib-sieve/plugins/include
	/cmd-include.c, src/lib-sieve/plugins/include/ext-include-binary.c,
	src/lib-sieve/plugins/include/ext-include-binary.h, src/lib-
	sieve/plugins/include/ext-include-common.c, src/lib-
	sieve/plugins/include/ext-include-common.h, src/lib-
	sieve/plugins/include/ext-include.c, src/lib-sieve/plugins/mailbox
	/ext-mailbox.c, src/lib-sieve/plugins/notify/cmd-notify.c, src/lib-
	sieve/plugins/notify/ext-notify-common.c, src/lib-
	sieve/plugins/notify/ext-notify.c, src/lib-sieve/plugins/regex/ext-
	regex.c, src/lib-sieve/plugins/regex/mcht-regex.c, src/lib-
	sieve/plugins/relational/ext-relational.c, src/lib-
	sieve/plugins/spamvirustest/ext-spamvirustest.c, src/lib-
	sieve/plugins/subaddress/ext-subaddress.c, src/lib-
	sieve/plugins/vacation/cmd-vacation.c, src/lib-
	sieve/plugins/vacation/ext-vacation-seconds.c, src/lib-
	sieve/plugins/vacation/ext-vacation.c, src/lib-
	sieve/plugins/variables/cmd-set.c, src/lib-sieve/plugins/variables
	/ext-variables-common.c, src/lib-sieve/plugins/variables/ext-
	variables-dump.c, src/lib-sieve/plugins/variables/ext-variables.c,
	src/lib-sieve/plugins/vnd.dovecot/debug/ext-debug.c, src/lib-
	sieve/plugins/vnd.dovecot/duplicate/ext-duplicate-common.c, src/lib-
	sieve/plugins/vnd.dovecot/duplicate/ext-duplicate.c, src/lib-
	sieve/rfc2822.c, src/lib-sieve/rfc2822.h, src/lib-sieve/sieve-
	actions.c, src/lib-sieve/sieve-address-parts.c, src/lib-sieve/sieve-
	ast.c, src/lib-sieve/sieve-binary-file.c, src/lib-sieve/sieve-
	binary-private.h, src/lib-sieve/sieve-binary.h, src/lib-sieve/sieve-
	code-dumper.c, src/lib-sieve/sieve-comparators.c, src/lib-sieve
	/sieve-error.c, src/lib-sieve/sieve-extensions.c, src/lib-sieve
	/sieve-extensions.h, src/lib-sieve/sieve-generator.c, src/lib-sieve
	/sieve-generator.h, src/lib-sieve/sieve-interpreter.c, src/lib-sieve
	/sieve-lexer.c, src/lib-sieve/sieve-match-types.c, src/lib-sieve
	/sieve-message.c, src/lib-sieve/sieve-plugins.c, src/lib-sieve
	/sieve-result.c, src/lib-sieve/sieve-script-dict.c, src/lib-sieve
	/sieve-script-file.c, src/lib-sieve/sieve-script-private.h, src/lib-
	sieve/sieve-script.c, src/lib-sieve/sieve-script.h, src/lib-sieve
	/sieve-smtp.c, src/lib-sieve/sieve-smtp.h, src/lib-sieve/sieve-
	stringlist.c, src/lib-sieve/sieve-types.h, src/lib-sieve/sieve-
	validator.c, src/lib-sieve/sieve.c, src/lib-sievestorage/sieve-
	storage-list.c, src/lib-sievestorage/sieve-storage-private.h, src
	/lib-sievestorage/sieve-storage-save.c, src/lib-sievestorage/sieve-
	storage-save.h, src/lib-sievestorage/sieve-storage-script.c, src
	/lib-sievestorage/sieve-storage-script.h, src/lib-sievestorage
	/sieve-storage.c, src/lib-sievestorage/sieve-storage.h, src
	/managesieve-login/client-authenticate.c, src/managesieve-login
	/client-authenticate.h, src/managesieve-login/client.c, src
	/managesieve-login/client.h, src/managesieve-login/managesieve-
	login-settings-plugin.c, src/managesieve-login/managesieve-proxy.c,
	src/managesieve-login/managesieve-proxy.h, src/managesieve/cmd-
	getscript.c, src/managesieve/cmd-putscript.c,
	src/managesieve/main.c, src/managesieve/managesieve-capabilities.c,
	src/managesieve/managesieve-client.c, src/managesieve/managesieve-
	commands.c, src/managesieve/managesieve-settings.c, src/plugins
	/doveadm-sieve/doveadm-sieve-plugin.c, src/plugins/lda-sieve/lda-
	sieve-plugin.c, src/sieve-tools/sieve-dump.c, src/sieve-tools/sieve-
	test.c, src/sieve-tools/sievec.c, src/testsuite/ext-testsuite.c,
	src/testsuite/testsuite-log.c, src/testsuite/testsuite-settings.c,
	src/testsuite/testsuite-smtp.c, src/testsuite/testsuite-smtp.h:
	Merged changes from Pigeonhole v0.3 tree.
	[f4b4676a2784]

2013-04-06  Stephan Bosch  <stephan@rename-it.nl>

	* .hgsigs:
	Added signature for changeset 493202676845
	[e3700924ac8c]

	* .hgtags:
	Added tag 0.3.4 for changeset 493202676845
	[c318f65361af]

	* NEWS, TODO, configure.in:
	Released v0.3.4 for Dovecot v2.1.16.
	[493202676845] [0.3.4]

	* src/lib-managesieve/managesieve-arg.c, src/lib-managesieve
	/managesieve-arg.h, src/lib-managesieve/managesieve-parser.c, src
	/lib-managesieve/managesieve-parser.h, src/lib-managesieve
	/managesieve-quote.c, src/lib-managesieve/managesieve-quote.h, src
	/lib-sieve-tool/mail-raw.c, src/lib-sieve-tool/mail-raw.h, src/lib-
	sieve-tool/sieve-tool.c, src/lib-sieve-tool/sieve-tool.h, src/lib-
	sieve/cmd-discard.c, src/lib-sieve/cmd-if.c, src/lib-sieve/cmd-
	keep.c, src/lib-sieve/cmd-redirect.c, src/lib-sieve/cmd-require.c,
	src/lib-sieve/cmd-stop.c, src/lib-sieve/cmp-i-ascii-casemap.c, src
	/lib-sieve/cmp-i-octet.c, src/lib-sieve/edit-mail.c, src/lib-sieve
	/edit-mail.h, src/lib-sieve/ext-encoded-character.c, src/lib-sieve
	/ext-envelope.c, src/lib-sieve/ext-fileinto.c, src/lib-sieve/ext-
	reject.c, src/lib-sieve/mcht-contains.c, src/lib-sieve/mcht-is.c,
	src/lib-sieve/mcht-matches.c, src/lib-sieve/plugins/body/ext-body-
	common.c, src/lib-sieve/plugins/body/ext-body-common.h, src/lib-
	sieve/plugins/body/ext-body.c, src/lib-sieve/plugins/body/tst-
	body.c, src/lib-sieve/plugins/comparator-i-ascii-numeric/ext-cmp-i
	-ascii-numeric.c, src/lib-sieve/plugins/copy/ext-copy.c, src/lib-
	sieve/plugins/copy/sieve-ext-copy.h, src/lib-sieve/plugins/date/ext-
	date-common.c, src/lib-sieve/plugins/date/ext-date-common.h, src
	/lib-sieve/plugins/date/ext-date.c, src/lib-sieve/plugins/date/tst-
	date.c, src/lib-sieve/plugins/editheader/cmd-addheader.c, src/lib-
	sieve/plugins/editheader/cmd-deleteheader.c, src/lib-
	sieve/plugins/editheader/ext-editheader-common.c, src/lib-
	sieve/plugins/editheader/ext-editheader-common.h, src/lib-
	sieve/plugins/editheader/ext-editheader-limits.h, src/lib-
	sieve/plugins/editheader/ext-editheader.c, src/lib-
	sieve/plugins/enotify/cmd-notify.c, src/lib-sieve/plugins/enotify
	/ext-enotify-common.c, src/lib-sieve/plugins/enotify/ext-enotify-
	common.h, src/lib-sieve/plugins/enotify/ext-enotify-limits.h, src
	/lib-sieve/plugins/enotify/ext-enotify.c, src/lib-
	sieve/plugins/enotify/mailto/ntfy-mailto.c, src/lib-
	sieve/plugins/enotify/mailto/uri-mailto.c, src/lib-
	sieve/plugins/enotify/mailto/uri-mailto.h, src/lib-
	sieve/plugins/enotify/sieve-ext-enotify.h, src/lib-
	sieve/plugins/enotify/tst-notify-method-capability.c, src/lib-
	sieve/plugins/enotify/tst-valid-notify-method.c, src/lib-
	sieve/plugins/enotify/vmodf-encodeurl.c, src/lib-
	sieve/plugins/environment/ext-environment-common.c, src/lib-
	sieve/plugins/environment/ext-environment-common.h, src/lib-
	sieve/plugins/environment/ext-environment.c, src/lib-
	sieve/plugins/environment/sieve-ext-environment.h, src/lib-
	sieve/plugins/environment/tst-environment.c, src/lib-
	sieve/plugins/ihave/cmd-error.c, src/lib-sieve/plugins/ihave/ext-
	ihave-binary.c, src/lib-sieve/plugins/ihave/ext-ihave-binary.h, src
	/lib-sieve/plugins/ihave/ext-ihave-common.c, src/lib-
	sieve/plugins/ihave/ext-ihave-common.h, src/lib-sieve/plugins/ihave
	/ext-ihave.c, src/lib-sieve/plugins/ihave/tst-ihave.c, src/lib-
	sieve/plugins/imap4flags/cmd-flag.c, src/lib-
	sieve/plugins/imap4flags/ext-imap4flags-common.c, src/lib-
	sieve/plugins/imap4flags/ext-imap4flags-common.h, src/lib-
	sieve/plugins/imap4flags/ext-imap4flags.c, src/lib-
	sieve/plugins/imap4flags/ext-imapflags.c, src/lib-
	sieve/plugins/imap4flags/tag-flags.c, src/lib-
	sieve/plugins/imap4flags/tst-hasflag.c, src/lib-
	sieve/plugins/include/cmd-global.c, src/lib-sieve/plugins/include
	/cmd-include.c, src/lib-sieve/plugins/include/cmd-return.c, src/lib-
	sieve/plugins/include/ext-include-binary.c, src/lib-
	sieve/plugins/include/ext-include-binary.h, src/lib-
	sieve/plugins/include/ext-include-common.c, src/lib-
	sieve/plugins/include/ext-include-common.h, src/lib-
	sieve/plugins/include/ext-include-limits.h, src/lib-
	sieve/plugins/include/ext-include-variables.c, src/lib-
	sieve/plugins/include/ext-include-variables.h, src/lib-
	sieve/plugins/include/ext-include.c, src/lib-sieve/plugins/mailbox
	/ext-mailbox-common.h, src/lib-sieve/plugins/mailbox/ext-mailbox.c,
	src/lib-sieve/plugins/mailbox/tag-mailbox-create.c, src/lib-
	sieve/plugins/mailbox/tst-mailboxexists.c, src/lib-
	sieve/plugins/notify/cmd-denotify.c, src/lib-sieve/plugins/notify
	/cmd-notify.c, src/lib-sieve/plugins/notify/ext-notify-common.c, src
	/lib-sieve/plugins/notify/ext-notify-common.h, src/lib-
	sieve/plugins/notify/ext-notify-limits.h, src/lib-
	sieve/plugins/notify/ext-notify.c, src/lib-sieve/plugins/regex/ext-
	regex-common.c, src/lib-sieve/plugins/regex/ext-regex-common.h, src
	/lib-sieve/plugins/regex/ext-regex.c, src/lib-sieve/plugins/regex
	/mcht-regex.c, src/lib-sieve/plugins/relational/ext-relational-
	common.c, src/lib-sieve/plugins/relational/ext-relational-common.h,
	src/lib-sieve/plugins/relational/ext-relational.c, src/lib-
	sieve/plugins/relational/mcht-count.c, src/lib-
	sieve/plugins/relational/mcht-value.c, src/lib-
	sieve/plugins/spamvirustest/ext-spamvirustest-common.c, src/lib-
	sieve/plugins/spamvirustest/ext-spamvirustest-common.h, src/lib-
	sieve/plugins/spamvirustest/ext-spamvirustest.c, src/lib-
	sieve/plugins/spamvirustest/tst-spamvirustest.c, src/lib-
	sieve/plugins/subaddress/ext-subaddress.c, src/lib-
	sieve/plugins/vacation/cmd-vacation.c, src/lib-
	sieve/plugins/vacation/ext-vacation-common.c, src/lib-
	sieve/plugins/vacation/ext-vacation-common.h, src/lib-
	sieve/plugins/vacation/ext-vacation-seconds.c, src/lib-
	sieve/plugins/vacation/ext-vacation.c, src/lib-
	sieve/plugins/variables/cmd-set.c, src/lib-sieve/plugins/variables
	/ext-variables-arguments.c, src/lib-sieve/plugins/variables/ext-
	variables-arguments.h, src/lib-sieve/plugins/variables/ext-
	variables-common.c, src/lib-sieve/plugins/variables/ext-variables-
	common.h, src/lib-sieve/plugins/variables/ext-variables-dump.c, src
	/lib-sieve/plugins/variables/ext-variables-dump.h, src/lib-
	sieve/plugins/variables/ext-variables-limits.h, src/lib-
	sieve/plugins/variables/ext-variables-modifiers.c, src/lib-
	sieve/plugins/variables/ext-variables-modifiers.h, src/lib-
	sieve/plugins/variables/ext-variables-name.c, src/lib-
	sieve/plugins/variables/ext-variables-name.h, src/lib-
	sieve/plugins/variables/ext-variables-namespaces.c, src/lib-
	sieve/plugins/variables/ext-variables-namespaces.h, src/lib-
	sieve/plugins/variables/ext-variables-operands.c, src/lib-
	sieve/plugins/variables/ext-variables-operands.h, src/lib-
	sieve/plugins/variables/ext-variables.c, src/lib-
	sieve/plugins/variables/sieve-ext-variables.h, src/lib-
	sieve/plugins/variables/tst-string.c, src/lib-
	sieve/plugins/vnd.dovecot/debug/cmd-debug-log.c, src/lib-
	sieve/plugins/vnd.dovecot/debug/ext-debug-common.h, src/lib-
	sieve/plugins/vnd.dovecot/debug/ext-debug.c, src/lib-
	sieve/plugins/vnd.dovecot/duplicate/ext-duplicate-common.c, src/lib-
	sieve/plugins/vnd.dovecot/duplicate/ext-duplicate-common.h, src/lib-
	sieve/plugins/vnd.dovecot/duplicate/ext-duplicate.c, src/lib-
	sieve/plugins/vnd.dovecot/duplicate/tst-duplicate.c, src/lib-
	sieve/rfc2822.c, src/lib-sieve/rfc2822.h, src/lib-sieve/sieve-
	actions.c, src/lib-sieve/sieve-actions.h, src/lib-sieve/sieve-
	address-parts.c, src/lib-sieve/sieve-address-parts.h, src/lib-sieve
	/sieve-address.c, src/lib-sieve/sieve-address.h, src/lib-sieve
	/sieve-ast.c, src/lib-sieve/sieve-ast.h, src/lib-sieve/sieve-binary-
	code.c, src/lib-sieve/sieve-binary-debug.c, src/lib-sieve/sieve-
	binary-dumper.c, src/lib-sieve/sieve-binary-dumper.h, src/lib-sieve
	/sieve-binary-file.c, src/lib-sieve/sieve-binary-private.h, src/lib-
	sieve/sieve-binary.c, src/lib-sieve/sieve-binary.h, src/lib-sieve
	/sieve-code-dumper.c, src/lib-sieve/sieve-code-dumper.h, src/lib-
	sieve/sieve-code.c, src/lib-sieve/sieve-code.h, src/lib-sieve/sieve-
	commands.c, src/lib-sieve/sieve-commands.h, src/lib-sieve/sieve-
	common.h, src/lib-sieve/sieve-comparators.c, src/lib-sieve/sieve-
	comparators.h, src/lib-sieve/sieve-config.h, src/lib-sieve/sieve-
	dump.h, src/lib-sieve/sieve-error-private.h, src/lib-sieve/sieve-
	error.c, src/lib-sieve/sieve-error.h, src/lib-sieve/sieve-
	extensions.c, src/lib-sieve/sieve-extensions.h, src/lib-sieve/sieve-
	generator.c, src/lib-sieve/sieve-generator.h, src/lib-sieve/sieve-
	interpreter.c, src/lib-sieve/sieve-interpreter.h, src/lib-sieve
	/sieve-lexer.c, src/lib-sieve/sieve-lexer.h, src/lib-sieve/sieve-
	limits.h, src/lib-sieve/sieve-match-types.c, src/lib-sieve/sieve-
	match-types.h, src/lib-sieve/sieve-match.c, src/lib-sieve/sieve-
	match.h, src/lib-sieve/sieve-message.c, src/lib-sieve/sieve-
	message.h, src/lib-sieve/sieve-objects.c, src/lib-sieve/sieve-
	objects.h, src/lib-sieve/sieve-parser.c, src/lib-sieve/sieve-
	parser.h, src/lib-sieve/sieve-plugins.c, src/lib-sieve/sieve-
	plugins.h, src/lib-sieve/sieve-result.c, src/lib-sieve/sieve-
	result.h, src/lib-sieve/sieve-runtime-trace.c, src/lib-sieve/sieve-
	runtime-trace.h, src/lib-sieve/sieve-runtime.h, src/lib-sieve/sieve-
	script-dict.c, src/lib-sieve/sieve-script-file.c, src/lib-sieve
	/sieve-script-file.h, src/lib-sieve/sieve-script-private.h, src/lib-
	sieve/sieve-script.c, src/lib-sieve/sieve-script.h, src/lib-sieve
	/sieve-settings.c, src/lib-sieve/sieve-settings.h, src/lib-sieve
	/sieve-smtp.c, src/lib-sieve/sieve-smtp.h, src/lib-sieve/sieve-
	stringlist.c, src/lib-sieve/sieve-stringlist.h, src/lib-sieve/sieve-
	types.h, src/lib-sieve/sieve-validator.c, src/lib-sieve/sieve-
	validator.h, src/lib-sieve/sieve.c, src/lib-sieve/sieve.h, src/lib-
	sieve/tst-address.c, src/lib-sieve/tst-allof.c, src/lib-sieve/tst-
	anyof.c, src/lib-sieve/tst-exists.c, src/lib-sieve/tst-header.c, src
	/lib-sieve/tst-not.c, src/lib-sieve/tst-size.c, src/lib-sieve/tst-
	truefalse.c, src/lib-sievestorage/sieve-storage-list.c, src/lib-
	sievestorage/sieve-storage-list.h, src/lib-sievestorage/sieve-
	storage-private.h, src/lib-sievestorage/sieve-storage-quota.c, src
	/lib-sievestorage/sieve-storage-quota.h, src/lib-sievestorage/sieve-
	storage-save.c, src/lib-sievestorage/sieve-storage-save.h, src/lib-
	sievestorage/sieve-storage-script.c, src/lib-sievestorage/sieve-
	storage-script.h, src/lib-sievestorage/sieve-storage.c, src/lib-
	sievestorage/sieve-storage.h, src/managesieve-login/client-
	authenticate.c, src/managesieve-login/client-authenticate.h, src
	/managesieve-login/client.c, src/managesieve-login/client.h, src
	/managesieve-login/managesieve-login-settings-plugin.c, src
	/managesieve-login/managesieve-login-settings-plugin.h, src
	/managesieve-login/managesieve-login-settings.c, src/managesieve-
	login/managesieve-login-settings.h, src/managesieve-login
	/managesieve-proxy.c, src/managesieve-login/managesieve-proxy.h,
	src/managesieve/cmd-capability.c, src/managesieve/cmd-
	deletescript.c, src/managesieve/cmd-getscript.c, src/managesieve
	/cmd-havespace.c, src/managesieve/cmd-listscripts.c, src/managesieve
	/cmd-logout.c, src/managesieve/cmd-noop.c, src/managesieve/cmd-
	putscript.c, src/managesieve/cmd-renamescript.c, src/managesieve
	/cmd-setactive.c, src/managesieve/main.c, src/managesieve
	/managesieve-capabilities.c, src/managesieve/managesieve-
	capabilities.h, src/managesieve/managesieve-client.c,
	src/managesieve/managesieve-client.h, src/managesieve/managesieve-
	commands.c, src/managesieve/managesieve-commands.h, src/managesieve
	/managesieve-common.h, src/managesieve/managesieve-quota.c,
	src/managesieve/managesieve-quota.h, src/managesieve/managesieve-
	settings.c, src/managesieve/managesieve-settings.h, src/plugins/lda-
	sieve/lda-sieve-plugin.c, src/plugins/lda-sieve/lda-sieve-plugin.h,
	src/sieve-tools/sieve-dump.c, src/sieve-tools/sieve-filter.c, src
	/sieve-tools/sieve-test.c, src/sieve-tools/sievec.c, src/testsuite
	/cmd-test-binary.c, src/testsuite/cmd-test-config.c, src/testsuite
	/cmd-test-fail.c, src/testsuite/cmd-test-mailbox.c, src/testsuite
	/cmd-test-message.c, src/testsuite/cmd-test-result.c, src/testsuite
	/cmd-test-set.c, src/testsuite/cmd-test.c, src/testsuite/ext-
	testsuite.c, src/testsuite/testsuite-arguments.c, src/testsuite
	/testsuite-arguments.h, src/testsuite/testsuite-binary.c,
	src/testsuite/testsuite-binary.h, src/testsuite/testsuite-common.c,
	src/testsuite/testsuite-common.h, src/testsuite/testsuite-log.c,
	src/testsuite/testsuite-log.h, src/testsuite/testsuite-mailstore.c,
	src/testsuite/testsuite-mailstore.h, src/testsuite/testsuite-
	message.c, src/testsuite/testsuite-message.h, src/testsuite
	/testsuite-objects.c, src/testsuite/testsuite-objects.h,
	src/testsuite/testsuite-result.c, src/testsuite/testsuite-result.h,
	src/testsuite/testsuite-script.c, src/testsuite/testsuite-script.h,
	src/testsuite/testsuite-settings.c, src/testsuite/testsuite-
	settings.h, src/testsuite/testsuite-smtp.c, src/testsuite/testsuite-
	smtp.h, src/testsuite/testsuite-substitutions.c, src/testsuite
	/testsuite-substitutions.h, src/testsuite/testsuite-variables.c,
	src/testsuite/testsuite-variables.h, src/testsuite/testsuite.c,
	src/testsuite/tst-test-error.c, src/testsuite/tst-test-
	multiscript.c, src/testsuite/tst-test-result-action.c, src/testsuite
	/tst-test-result-execute.c, src/testsuite/tst-test-script-compile.c,
	src/testsuite/tst-test-script-run.c:
	Updated copyright notices to include the year 2013.
	[850cdbcf7976]

2013-04-07  Stephan Bosch  <stephan@rename-it.nl>

	* src/plugins/doveadm-sieve/doveadm-sieve-plugin.c:
	doveadm-sieve: Fixed handling of non-link active script. Unsetting
	the normal active script attribute would 'rescue' the non-link
	script and turn it into a symlink.
	[1a06d4b9483c]

2013-04-05  Stephan Bosch  <stephan@rename-it.nl>

	* src/plugins/doveadm-sieve/doveadm-sieve-plugin.c:
	doveadm-sieve: Adjusted to Dovecot API change.
	[3514cbec0e06]

2013-04-03  Stephan Bosch  <stephan@rename-it.nl>

	* src/plugins/doveadm-sieve/doveadm-sieve-plugin.c:
	doveadm-sieve: Prevented initializing the Sieve storage multiple
	times.
	[097d68a9dd32]

2013-04-02  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/sieve-plugins.c:
	Merged changes from Pigeonhole v0.3 tree.
	[0dffac42192b]

	* src/lib-sieve/sieve-plugins.c, src/lib-sievestorage/sieve-storage-
	list.c, src/lib-sievestorage/sieve-storage-save.c, src/lib-
	sievestorage/sieve-storage-save.h, src/lib-sievestorage/sieve-
	storage-script.c, src/lib-sievestorage/sieve-storage-script.h, src
	/lib-sievestorage/sieve-storage.c, src/plugins/doveadm-sieve
	/doveadm-sieve-plugin.c:
	doveadm-sieve: Implemented handling the situation when the main
	active script is a regular file. Tested whether this change breaks
	ManageSieve and basic dsync, but not much more. More tests pending.
	If you use sync be careful with this commit.
	[8b8bba6e8c2c]

	* src/lib-sieve/sieve-plugins.c:
	lib-sieve: Fixed plugin module load functionality. Initializing
	multiple Sieve instances would hang.
	[5860cbaaffaa]

2013-03-28  Stephan Bosch  <stephan@rename-it.nl>

	* Merged changes from Pigeonhole v0.3 tree.
	[5323b5e65289]

	* src/lib-sievestorage/sieve-storage-save.c:
	lib-sievestorage: Fixed a few potential problems in script save
	code.
	[b086291b9b9a]

	* src/lib-sievestorage/sieve-storage-script.c, src/lib-sievestorage
	/sieve-storage.c:
	Merged changes from Pigeonhole v0.3 tree.
	[42f11a1be763]

	* src/lib-sievestorage/sieve-storage-script.c, src/lib-sievestorage
	/sieve-storage.c:
	lib-sievestorage: A few debug messages were still logged using
	i_info() instead of i_debug().
	[3ba1c379a6b8]

	* src/lib-sievestorage/sieve-storage-private.h, src/lib-sievestorage
	/sieve-storage-script.c, src/lib-sievestorage/sieve-storage-
	script.h, src/lib-sievestorage/sieve-storage.c, src/plugins/doveadm-
	sieve/doveadm-sieve-plugin.c:
	doveadm-sieve: Implemented obtaining last modification time for the
	active script attribute. It compiles, doesn't break normal
	ManageSieve operation, but it remains untested otherwise.
	[c6e283350b5d]

2013-03-25  Stephan Bosch  <stephan@rename-it.nl>

	* src/plugins/doveadm-sieve/doveadm-sieve-plugin.c:
	doveadm-sieve: Crash instead of writing empty .sieve files. Patch by
	Timo Sirainen.
	[097764f6bbe3]

2013-03-23  Stephan Bosch  <stephan@rename-it.nl>

	* src/Makefile.am:
	Fixed compile order for previous change.
	[cb910570ad88]

2013-03-22  Stephan Bosch  <stephan@rename-it.nl>

	* configure.ac, src/lib-sievestorage/Makefile.am, src/lib-sievestorage
	/sieve-storage.c, src/lib-sievestorage/sieve-storage.h,
	src/managesieve/Makefile.am, src/plugins/Makefile.am, src/plugins
	/doveadm-sieve/Makefile.am, src/plugins/doveadm-sieve/doveadm-sieve-
	plugin.c:
	Committed Timo's patch that adds a plugin that provides Sieve dsync
	support. http://dovecot.org/patches/2.2/doveadm-sieve-plugin.diff
	Made some small modifications. This code should not interfere with
	normal ManageSieve operation, so I commit this right now without
	much testing. The actual doveadm sieve plugin has a few open issues
	that need to be resolved still.
	[43b09b9a2f72]

2013-03-04  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/sieve-actions.c:
	lib-sieve: Fixed segfault bug in reject. Passed senv->script_context
	rather than senv itself. Somehow the compiler fails to warn about
	this.
	[b75b00760b86]

2013-03-03  Stephan Bosch  <stephan@rename-it.nl>

	* src/plugins/lda-sieve/lda-sieve-plugin.c:
	Merged changes from Pigeonhole v0.3.
	[07983d15ad19]

	* src/plugins/lda-sieve/lda-sieve-plugin.c:
	LDA Sieve plugin: further reduced useless error messages in
	administrator log.
	[06c89405bdc6]

	* src/lib-sieve/sieve-script.c, src/plugins/lda-sieve/lda-sieve-
	plugin.c:
	LDA Sieve plugin: fixed bug in opening script files for multiscript.
	Used sieve_script_create instead of sieve_script_create_open.
	Changed plugin debug output a bit as well.
	[f43c7609497c]

	* src/lib-sieve/cmd-redirect.c, src/lib-sieve/edit-mail.c, src/lib-
	sieve/plugins/editheader/ext-editheader-common.c, src/lib-sieve
	/sieve-ast.c, src/lib-sieve/sieve-error.c, src/lib-sieve/sieve-
	validator.c, src/managesieve-login/client-authenticate.c,
	src/plugins/lda-sieve/lda-sieve-plugin.c:
	Merged changes from Pigeonhole v0.3.
	[feb8fca97a0e]

	* src/plugins/lda-sieve/lda-sieve-plugin.c:
	LDA Sieve plugin: fixed stupid mistake in error handling for
	multiscript. Used errno instead of error variable.
	[9e8392895ab7]

2013-03-02  Stephan Bosch  <stephan@rename-it.nl>

	* src/plugins/lda-sieve/lda-sieve-plugin.c:
	LDA Sieve plugin: adjusted script compile/load error reporting. Made
	normal compile error an info log item in the administrator log.
	[5a440010d1cf]

2013-02-28  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/edit-mail.c,
	tests/extensions/editheader/alternating.svtest:
	Sieve: editheader: fixed bug in header cloning for snapshot. Forgot
	to increment count for the clone.
	[994b45b58e91]

	* src/lib-sieve/edit-mail.c:
	Sieve: editheader: fixed bug in full header parsing when addheader
	:last is used.
	[13d41cc284fc]

2013-02-06  Stephan Bosch  <stephan@rename-it.nl>

	* src/managesieve-login/client-authenticate.c:
	managesieve: Fixed bug in skipping of CRLF at end of AUTHENTICATE
	command. Setting skip_newline is useless when the connection is
	transfered to another process after successful login.
	[32d178f5e1a2]

2013-01-26  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/plugins/editheader/ext-editheader-common.c, src/lib-
	sieve/sieve-ast.c, src/lib-sieve/sieve-binary.c, src/lib-sieve
	/sieve-error.c, src/lib-sieve/sieve-validator.c:
	lib-sieve: Increased a few initial memory pool sizes.
	[f8fad363984d]

	* src/lib-sieve/cmd-redirect.c:
	Changed behavior of redirect in case of a duplicate message delivery
	or a mail loop. If a duplicate is detected the implicit keep is
	canceled, as though the redirect was successful. This prevents
	getting local deliveries. The original SMTP recipient is used when
	it is available to augment the entry in the LDA duplicate database.
	This way, duplicates are only detected when (initially) addressed to
	the same recipient. The main goal of the duplicate detection is mail
	loop prevention, but this also has the effect that mere duplicate
	deliveries are handled specially whithout a good reason. We should
	fix this in a future version.
	[ab15c5eabc09]

2013-03-02  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/sieve.c:
	lib-sieve: added debug message showing Pigeonhole version at
	initialization. Very useful to show that debugging is enabled and
	what version of pigeonhole is actually running.
	[44721c50833e]

2013-01-14  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/plugins/vacation/cmd-vacation.c, src/lib-
	sieve/plugins/vnd.dovecot/duplicate/ext-duplicate-common.c, src/lib-
	sieve/plugins/vnd.dovecot/duplicate/ext-duplicate.c, src/lib-sieve
	/sieve-message.c:
	Merged changes from Pigeonhole v0.3 tree.
	[99eec511aa2c]

2012-12-26  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/Makefile.am:
	Fixed compile on Mageia Linux. Added LIBDOVECOT_STORAGE to library
	dependencies in src/lib-sieve/Makefile.am.
	[fe5f2738d538]

2012-12-22  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/sieve-config.h, src/lib-sieve/sieve-message.c:
	lib-sieve: Prevent passing NULL sender to raw mail storage when
	active message is substituted.
	[fc0bf6b1cb6b]

2012-11-26  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/plugins/vacation/cmd-vacation.c:
	lib-sieve: vacation extension: Fixed determination of From: address
	for when sieve_vacation_dont_check_recipient is active.
	[b56711807edc]

2012-10-17  Stephan Bosch  <stephan@rename-it.nl>

	* doc/extensions/vnd.dovecot.duplicate.txt:
	Updated installation documentation for vnd.dovecot.duplicate
	extension.
	[0dc8453e07c4]

	* src/lib-sieve/plugins/vnd.dovecot/duplicate/ext-duplicate-common.c:
	lib-sieve: vnd.dovecot.duplicate: Fixed default max period setting.
	[c3b14a8784dc]

	* doc/rfc/spec-bosch-sieve-duplicate.txt,
	doc/rfc/xml/reference.INCLUDE.xml, doc/rfc/xml/spec-bosch-sieve-
	duplicate.xml:
	Improved specification of the vnd.dovecot.duplicate extension.
	[fd7257cb40ea]

	* src/lib-sieve/plugins/vnd.dovecot/duplicate/ext-duplicate-common.c,
	src/lib-sieve/plugins/vnd.dovecot/duplicate/ext-duplicate-common.h,
	src/lib-sieve/plugins/vnd.dovecot/duplicate/tst-duplicate.c:
	lib-sieve: vnd.dovecot.duplicate extension: Only track duplicate
	when Sieve script executes successfully.
	[762b6a885897]

	* src/lib-sieve/plugins/vnd.dovecot/duplicate/tst-duplicate.c:
	lib-sieve: vnd.dovecot.duplicate extension: Fixed segfault occurring
	in testsuite.
	[3a972efe012b]

	* src/lib-sieve/plugins/vnd.dovecot/duplicate/tst-duplicate.c:
	lib-sieve: vnd.dovecot.duplicate extension: fixed bug in previous
	change. Forgot to initialize variable, causing a segfault at
	runtime.
	[2b767751ff27]

2012-10-16  Stephan Bosch  <stephan@rename-it.nl>

	* doc/rfc/spec-bosch-sieve-duplicate.txt,
	doc/rfc/xml/reference.IMAP4FLAGS.xml,
	doc/rfc/xml/reference.MAILBOX.xml,
	doc/rfc/xml/reference.VACATION.xml, doc/rfc/xml/spec-bosch-sieve-
	duplicate.xml, src/lib-sieve/plugins/vnd.dovecot/duplicate/ext-
	duplicate-common.c, src/lib-sieve/plugins/vnd.dovecot/duplicate/ext-
	duplicate-common.h, src/lib-sieve/plugins/vnd.dovecot/duplicate/ext-
	duplicate.c, src/lib-sieve/plugins/vnd.dovecot/duplicate/tst-
	duplicate.c, tests/extensions/vnd.dovecot/duplicate/errors.svtest,
	tests/extensions/vnd.dovecot/duplicate/errors/syntax.sieve,
	tests/extensions/vnd.dovecot/duplicate/execute.svtest:
	lib-sieve: vnd.dovecot.duplicate extension: Added new features to
	the duplicate test. It is now possible to track duplicates based on
	arbitrary headers or even arbitrary string values using the new
	:header and :value arguments respectively. The experation time can
	be configured using the new :seconds argument. This change is
	backwards compatible as long as the name argument wasn't used. This
	is now a :handle <handle> argument.
	[12a4e11ecd4c]

2013-01-09  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/sieve-smtp.c:
	Fixed SMTP crash. By Timo Sirainen.
	[c937a4060ee2]

	* src/lib-sieve/edit-mail.c:
	Adjusted to changes in Dovecot.
	[50c067006c67]

2012-10-29  Stephan Bosch  <stephan@rename-it.nl>

	* configure.ac, configure.in:
	Renamed configure.in to configure.ac. Apparently automakes in future
	won't support configure.in anymore.
	[613258f9f541]

2012-10-17  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/sieve-script-dict.c:
	lib-sieve: Fixed a stupidity in the dict script implementation.
	[f147ddb83586]

2012-10-13  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/sieve-script-dict.c:
	Adjusted to Dovecot dict API changes.
	[6979dbc334fa]

	* src/lib-sieve/plugins/date/ext-date-common.c, src/lib-sieve/sieve-
	actions.c, src/lib-sieve/sieve-error.c, src/lib-sieve/sieve-
	result.c, src/lib-sieve/sieve-script-dict.c, src/managesieve-
	login/client.c, src/plugins/lda-sieve/lda-sieve-plugin.c:
	Merged changes from Pigeonhole v0.3.
	[9f9459bd038f]

	* src/lib-sieve/sieve-script-dict.c:
	lib-sieve: dict script: fixed potential segfault occuring when dict
	initialization fails.
	[2b5ff3818a9f]

2012-10-11  Stephan Bosch  <stephan@rename-it.nl>

	* src/managesieve-login/client.c:
	ManageSieve: fixed handling of unkown commands pre-login. Forgot to
	skip line upon error.
	[ceef02768dee]

	* src/lib-sieve/sieve-actions.c, src/lib-sieve/sieve-error-private.h,
	src/lib-sieve/sieve-error.c, src/lib-sieve/sieve-error.h, src/lib-
	sieve/sieve-result.c, src/lib-sieve/sieve-result.h, src/plugins/lda-
	sieve/lda-sieve-plugin.c:
	lib-sieve: Further improved handling of quota errors. Added means to
	log user errors/warnings as info in master log. Previous change was
	inadequate because an error was still logged.
	[5c1ce25596ed]

	* src/lib-sieve/sieve-actions.c:
	lib-sieve: fileinto/keep: don't log quota errors to syslog but
	rather to user's log. Prevents administrator frustration about
	useless log messages caused by users with too much mail.
	[7301a7ed8800]

2012-09-26  Stephan Bosch  <stephan@rename-it.nl>

	* tests/extensions/date/basic.svtest:
	testsuite: date extension: Added test for date comparisons.
	[1963a329c539]

	* src/lib-sieve/plugins/date/ext-date-common.c, src/lib-
	sieve/plugins/date/ext-date-common.h, src/lib-sieve/plugins/date
	/tst-date.c:
	lib-sieve: date extension: Generate warning when invalid date part
	is specified.
	[bf7b7aa7f667]

2012-10-12  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/sieve-plugins.c, src/managesieve-login/managesieve-
	login-settings-plugin.c, src/managesieve/managesieve-settings.c:
	Incorporated Dovecot plugin ABI changes (forgot a few issues).
	[cf079ce8368b]

	* src/plugins/lda-sieve/lda-sieve-plugin.c:
	Incorporated Dovecot plugin ABI changes.
	[c7db8f43e414]

2012-10-03  Stephan Bosch  <stephan@rename-it.nl>

	* src/managesieve-login/client.h, src/managesieve/managesieve-
	client.c:
	Adjusted to changes in Dovecot network API.
	[df0ac1d9be50]

2012-09-23  Stephan Bosch  <stephan@rename-it.nl>

	* configure.in, src/lib-sieve/plugins/include/ext-include-binary.c,
	src/sieve-tools/sieve-dump.c, src/sieve-tools/sieve-test.c, src
	/sieve-tools/sievec.c:
	Merged changes from Pigeonhole v0.3.
	[7d171ec86a4c]

	* src/lib-sieve/plugins/mailbox/tag-mailbox-create.c:
	lib-sieve: mailbox extension: After creating mailbox only open it,
	don't bother syncing it.
	[fcd5208ed8b2]

2012-09-20  Stephan Bosch  <stephan@rename-it.nl>

	* doc/man/sieve-dump.1.in, doc/man/sievec.1.in, src/sieve-tools/sieve-
	dump.c, src/sieve-tools/sievec.c:
	sieve-tools: The -D option wasn't enabled and documented for all
	tools. Change backported from Pigeonhole v0.4 tree, which means that
	this change will duplicate there upon merge.
	[d7b06a1be3e1]

	* src/lib-sieve/plugins/include/ext-include-binary.c:
	lib-sieve: include extension: fixed missing error cleanup that
	caused a resource leak.
	[df4088161da0]

2012-09-18  Stephan Bosch  <stephan@rename-it.nl>

	* .hgsigs:
	Added signature for changeset 64474c359678
	[1e4ecd174edf]

	* .hgtags:
	Added tag 0.3.3 for changeset 64474c359678
	[e4fe281d33e8]

	* NEWS, configure.in:
	Released v0.3.3 for Dovecot v2.1.10.
	[64474c359678] [0.3.3]

	* src/lib-sieve/Makefile.am:
	Fixed compile against installed Dovecot headers. This was broken by
	the ld.gold fix.
	[8144fb698cb3]

	* .hgsigs:
	Added signature for changeset 265061e0d3f4
	[2347ddfd9057]

	* .hgtags:
	Added tag 0.3.2 for changeset 265061e0d3f4
	[2dbb17d08591]

	* configure.in:
	Released v0.3.2 for Dovecot v2.1.9.
	[265061e0d3f4] [0.3.2]

	* NEWS:
	Updated NEWS file for next release.
	[0505fc4b10c4]

2012-09-09  Stephan Bosch  <stephan@rename-it.nl>

	* doc/man/sieve-filter.1.in:
	sieve-refilter: improved man page documentation by explicitly
	specifying the syntax used for mailbox arguments.
	[b1bedb88e615]

2012-08-16  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/plugins/spamvirustest/ext-spamvirustest-common.c, src
	/lib-sieve/plugins/spamvirustest/tst-spamvirustest.c:
	lib-sieve: spamvirustest: improved trace debugging of score
	calculation.
	[ff55c9946366]

2012-08-15  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve-tool/sieve-tool.c, src/lib-sieve-tool/sieve-tool.h,
	src/sieve-tools/sieve-dump.c, src/sieve-tools/sieve-filter.c, src
	/sieve-tools/sieve-test.c, src/sieve-tools/sievec.c,
	src/testsuite/testsuite.c:
	sieve-tools: sievec and sieve-dump now ignore mail_uid and mail_gid
	settings when run as root. Before, sievec and sieve-dump would
	switch to mail_uid:mail_gid and then fail to compile/dump a root
	script.
	[cfe8e9f49dfe]

2012-09-20  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/plugins/include/ext-include-binary.c, src/lib-
	sieve/plugins/include/ext-include-common.c:
	lib-sieve: include extension: didn't get semantics of mixing
	optional and non-optional includes for the same script quite right.
	[ead2e76425bf]

	* src/lib-sieve/plugins/include/ext-include-binary.c:
	Fixed a few resource leaks caused by previous change.
	[3d3d8549c834]

	* Makefile.am, README, TODO, doc/rfc/draft-ietf-sieve-include-05.txt,
	doc/rfc/include.rfc6609.txt, src/lib-sieve/plugins/include/cmd-
	include.c, src/lib-sieve/plugins/include/ext-include-binary.c, src
	/lib-sieve/plugins/include/ext-include-binary.h, src/lib-
	sieve/plugins/include/ext-include-common.c, src/lib-
	sieve/plugins/include/ext-include-common.h, src/lib-
	sieve/plugins/include/ext-include.c, src/lib-sieve/sieve-lexer.c,
	src/lib-sieve/sieve-script-dict.c, src/lib-sieve/sieve-script-
	file.c, src/lib-sieve/sieve-script-private.h, src/lib-sieve/sieve-
	script.c, src/lib-sieve/sieve-script.h, src/lib-sieve/sieve.c, src
	/lib-sievestorage/sieve-storage-script.c, src/managesieve/cmd-
	getscript.c, src/plugins/lda-sieve/lda-sieve-plugin.c,
	tests/extensions/include/execute/optional.sieve,
	tests/extensions/include/included/optional-1.sieve,
	tests/extensions/include/included/optional-2.sieve,
	tests/extensions/include/optional.svtest:
	lib-sieve: Finished implementation of include extension. Added
	support for the :optional tag of the include command. Changed Sieve
	script API in the process; opening the script is now available as a
	separate step.
	[7e2dbfc9206d]

	* doc/man/sieve-dump.1.in, doc/man/sievec.1.in, src/sieve-tools/sieve-
	dump.c, src/sieve-tools/sievec.c:
	sieve-tools: The -D option wasn't enabled and documented for all
	tools.
	[ea0eef5b5578]

2012-09-19  Stephan Bosch  <stephan@rename-it.nl>

	* src/managesieve-login/managesieve-login-settings-plugin.c:
	Last commit was quite inadequate.
	[f069f8bff55b]

	* src/managesieve-login/managesieve-login-settings-plugin.c:
	Updated to changes in Dovecot config API.
	[b16a4c228dd5]

2012-09-18  Stephan Bosch  <stephan@rename-it.nl>

	* TODO:
	Minor change to TODO.
	[fa9411b742f6]

	* src/lib-sieve/sieve-binary-file.c, src/lib-sieve/sieve-binary.h, src
	/lib-sieve/sieve-extensions.h:
	lib-sieve: Added version numbers to Sieve extensions. Those version
	numbers are now also stored in the binary, making sure it is
	recompiled when a new version of an extension is used. This avoids
	updating the binary version for minor changes to extensions and also
	makes this work for plugins.
	[47c3b3dd8cf4]

	* src/lib-sieve/ext-encoded-character.c, src/lib-sieve/ext-envelope.c,
	src/lib-sieve/ext-fileinto.c, src/lib-sieve/ext-reject.c, src/lib-
	sieve/plugins/body/ext-body.c, src/lib-sieve/plugins/comparator-i
	-ascii-numeric/ext-cmp-i-ascii-numeric.c, src/lib-sieve/plugins/copy
	/ext-copy.c, src/lib-sieve/plugins/date/ext-date.c, src/lib-
	sieve/plugins/editheader/ext-editheader.c, src/lib-
	sieve/plugins/enotify/ext-enotify.c, src/lib-
	sieve/plugins/environment/ext-environment.c, src/lib-
	sieve/plugins/ihave/ext-ihave.c, src/lib-sieve/plugins/imap4flags
	/ext-imap4flags.c, src/lib-sieve/plugins/imap4flags/ext-imapflags.c,
	src/lib-sieve/plugins/include/ext-include.c, src/lib-
	sieve/plugins/mailbox/ext-mailbox.c, src/lib-sieve/plugins/notify
	/ext-notify.c, src/lib-sieve/plugins/regex/ext-regex.c, src/lib-
	sieve/plugins/relational/ext-relational.c, src/lib-
	sieve/plugins/spamvirustest/ext-spamvirustest.c, src/lib-
	sieve/plugins/subaddress/ext-subaddress.c, src/lib-
	sieve/plugins/vacation/ext-vacation-seconds.c, src/lib-
	sieve/plugins/vacation/ext-vacation.c, src/lib-
	sieve/plugins/variables/ext-variables.c, src/lib-
	sieve/plugins/vnd.dovecot/debug/ext-debug.c, src/lib-
	sieve/plugins/vnd.dovecot/duplicate/ext-duplicate.c, src/lib-sieve
	/sieve-address-parts.c, src/lib-sieve/sieve-comparators.c, src/lib-
	sieve/sieve-extensions.c, src/lib-sieve/sieve-extensions.h, src/lib-
	sieve/sieve-match-types.c, src/testsuite/ext-testsuite.c:
	lib-sieve: Changed the way Sieve extensions are defined to a more
	compact format.
	[a80af8740468]

	* src/lib-sieve/plugins/date/ext-date-common.c:
	lib-sieve: date extension: composition of iso8601 dates is moved to
	Dovecot.
	[fb47824079c7]

	* src/lib-sieve/plugins/body/ext-body-common.c, src/lib-
	sieve/plugins/notify/ext-notify-common.c, src/lib-sieve/sieve-
	script-dict.c:
	Updated to recent changes in Dovecot.
	[e31e89e7791b]

2012-09-06  Stephan Bosch  <stephan@rename-it.nl>

	* src/managesieve/main.c:
	Adjusted to buffer API change in Dovecot.
	[dda9e3c21214]

2012-09-02  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/Makefile.am:
	Small compile fix.
	[66adbdd89d5c]

2012-08-29  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/edit-mail.c:
	lib-sieve: fixed edit-mail istream to work with latest Dovecot.
	Testsuite failed with an assertion, because the stream returned -2
	at an unexpected time. I've restructured the buffering
	implementation to prevent this. The testsuite succeeds now, but this
	needs to be tested more thoroughly.
	[061d4993b509]

2012-08-28  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-managesieve/managesieve-parser.c, src/lib-sieve/edit-mail.c,
	src/lib-sieve/sieve-lexer.c:
	Adjusted to changes in Dovecot istream API.
	[0eafbad49e41]

2012-08-20  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/plugins/include/ext-include-binary.c, src/lib-
	sieve/plugins/variables/ext-variables-common.c, src/lib-sieve/sieve-
	extensions.c, src/testsuite/testsuite-settings.c:
	Adjusted to some more changes in Dovecot API.
	[6ccbfb64bea5]

	* src/lib-sieve/cmd-redirect.c, src/lib-sieve/edit-mail.c, src/lib-
	sieve/ext-envelope.c, src/lib-sieve/plugins/body/ext-body-common.c,
	src/lib-sieve/plugins/editheader/ext-editheader-common.c, src/lib-
	sieve/plugins/enotify/ext-enotify-common.h, src/lib-
	sieve/plugins/environment/ext-environment-common.c, src/lib-
	sieve/plugins/ihave/ext-ihave-binary.c, src/lib-sieve/plugins/ihave
	/ext-ihave-common.h, src/lib-sieve/plugins/ihave/tst-ihave.c, src
	/lib-sieve/plugins/imap4flags/tag-flags.c, src/lib-
	sieve/plugins/include/ext-include-binary.c, src/lib-
	sieve/plugins/include/ext-include-common.c, src/lib-
	sieve/plugins/include/ext-include-common.h, src/lib-
	sieve/plugins/regex/mcht-regex.c, src/lib-sieve/plugins/vacation
	/cmd-vacation.c, src/lib-sieve/plugins/variables/cmd-set.c, src/lib-
	sieve/plugins/variables/ext-variables-common.c, src/lib-
	sieve/plugins/variables/ext-variables-dump.c, src/lib-sieve/sieve-
	actions.c, src/lib-sieve/sieve-ast.c, src/lib-sieve/sieve-binary-
	private.h, src/lib-sieve/sieve-code-dumper.c, src/lib-sieve/sieve-
	error.c, src/lib-sieve/sieve-extensions.c, src/lib-sieve/sieve-
	generator.c, src/lib-sieve/sieve-generator.h, src/lib-sieve/sieve-
	interpreter.c, src/lib-sieve/sieve-match-types.c, src/lib-sieve
	/sieve-message.c, src/lib-sieve/sieve-result.c, src/lib-sieve/sieve-
	stringlist.c, src/lib-sieve/sieve-validator.c, src/managesieve/cmd-
	putscript.c, src/managesieve/managesieve-capabilities.c,
	src/managesieve/managesieve-commands.c, src/testsuite/testsuite-
	log.c, src/testsuite/testsuite-settings.c, src/testsuite/testsuite-
	smtp.c:
	Adjusted to changes in Dovecot API regarding arrays and hash tables.
	Also contains a few other small fixes by Timo.
	[02f24456eabf]

2012-08-12  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/edit-mail.c:
	lib-sieve: Adjusted edit-mail.c to changes in Dovecot mail storage
	API.
	[c5cebc7dbd6b]

	* TODO, configure.in, src/lib-managesieve/managesieve-parser.c, src
	/lib-sieve-tool/mail-raw.c, src/lib-sieve/cmd-redirect.c, src/lib-
	sieve/edit-mail.c, src/lib-sieve/plugins/body/ext-body-common.c, src
	/lib-sieve/plugins/enotify/mailto/ntfy-mailto.c, src/lib-
	sieve/plugins/notify/cmd-notify.c, src/lib-sieve/plugins/vacation
	/cmd-vacation.c, src/lib-sieve/rfc2822.c, src/lib-sieve/rfc2822.h,
	src/lib-sieve/sieve-actions.c, src/lib-sieve/sieve-types.h, src
	/managesieve-login/client-authenticate.c, src/managesieve-
	login/client.c, src/managesieve-login/client.h, src/managesieve-
	login/managesieve-proxy.c, src/plugins/lda-sieve/lda-sieve-plugin.c,
	src/sieve-tools/sieve-test.c, src/testsuite/testsuite-smtp.c,
	src/testsuite/testsuite-smtp.h:
	Merged changes from Pigeonhole v0.3.
	[69ee3b171848]

	* AUTHORS, COPYING, INSTALL, Makefile.am, NEWS, README, TODO,
	configure.in, doc/devel/DESIGN, doc/example-
	config/conf.d/20-managesieve.conf, doc/example-
	config/conf.d/90-sieve.conf, doc/extensions/editheader.txt,
	doc/extensions/include.txt, doc/extensions/spamtest-virustest.txt,
	doc/extensions/vacation.txt, doc/man/pigeonhole.7.in, doc/man/sieve-
	dump.1.in, doc/man/sieve-filter.1.in, doc/man/sieve-test.1.in,
	doc/man/sievec.1.in, doc/script-location-dict.txt, src/lib-
	managesieve/Makefile.am, src/lib-managesieve/managesieve-arg.c, src
	/lib-managesieve/managesieve-arg.h, src/lib-managesieve/managesieve-
	parser.c, src/lib-managesieve/managesieve-parser.h, src/lib-
	managesieve/managesieve-quote.c, src/lib-sieve-tool/mail-raw.c, src
	/lib-sieve-tool/sieve-tool.c, src/lib-sieve-tool/sieve-tool.h, src
	/lib-sieve/Makefile.am, src/lib-sieve/cmd-discard.c, src/lib-sieve
	/cmd-if.c, src/lib-sieve/cmd-keep.c, src/lib-sieve/cmd-redirect.c,
	src/lib-sieve/cmd-require.c, src/lib-sieve/cmd-stop.c, src/lib-
	sieve/cmp-i-ascii-casemap.c, src/lib-sieve/cmp-i-octet.c, src/lib-
	sieve/edit-mail.c, src/lib-sieve/ext-encoded-character.c, src/lib-
	sieve/ext-envelope.c, src/lib-sieve/ext-fileinto.c, src/lib-sieve
	/ext-reject.c, src/lib-sieve/mcht-contains.c, src/lib-sieve/mcht-
	is.c, src/lib-sieve/mcht-matches.c, src/lib-
	sieve/plugins/Makefile.am, src/lib-sieve/plugins/body/ext-body-
	common.c, src/lib-sieve/plugins/body/ext-body-common.h, src/lib-
	sieve/plugins/body/ext-body.c, src/lib-sieve/plugins/body/tst-
	body.c, src/lib-sieve/plugins/comparator-i-ascii-numeric/ext-cmp-i
	-ascii-numeric.c, src/lib-sieve/plugins/copy/Makefile.am, src/lib-
	sieve/plugins/copy/ext-copy.c, src/lib-sieve/plugins/date/ext-date-
	common.c, src/lib-sieve/plugins/date/ext-date-common.h, src/lib-
	sieve/plugins/date/ext-date.c, src/lib-sieve/plugins/date/tst-
	date.c, src/lib-sieve/plugins/editheader/cmd-addheader.c, src/lib-
	sieve/plugins/editheader/cmd-deleteheader.c, src/lib-
	sieve/plugins/editheader/ext-editheader-common.c, src/lib-
	sieve/plugins/editheader/ext-editheader-limits.h, src/lib-
	sieve/plugins/editheader/ext-editheader.c, src/lib-
	sieve/plugins/enotify/Makefile.am, src/lib-sieve/plugins/enotify
	/cmd-notify.c, src/lib-sieve/plugins/enotify/ext-enotify-common.c,
	src/lib-sieve/plugins/enotify/ext-enotify-common.h, src/lib-
	sieve/plugins/enotify/ext-enotify-limits.h, src/lib-
	sieve/plugins/enotify/ext-enotify.c, src/lib-
	sieve/plugins/enotify/mailto/ntfy-mailto.c, src/lib-
	sieve/plugins/enotify/mailto/uri-mailto.c, src/lib-
	sieve/plugins/enotify/mailto/uri-mailto.h, src/lib-
	sieve/plugins/enotify/sieve-ext-enotify.h, src/lib-
	sieve/plugins/enotify/tst-notify-method-capability.c, src/lib-
	sieve/plugins/enotify/tst-valid-notify-method.c, src/lib-
	sieve/plugins/enotify/vmodf-encodeurl.c, src/lib-
	sieve/plugins/environment/ext-environment-common.c, src/lib-
	sieve/plugins/environment/ext-environment-common.h, src/lib-
	sieve/plugins/environment/ext-environment.c, src/lib-
	sieve/plugins/environment/sieve-ext-environment.h, src/lib-
	sieve/plugins/environment/tst-environment.c, src/lib-
	sieve/plugins/ihave/ext-ihave-binary.c, src/lib-sieve/plugins/ihave
	/ext-ihave-binary.h, src/lib-sieve/plugins/ihave/ext-ihave-common.c,
	src/lib-sieve/plugins/ihave/ext-ihave.c, src/lib-sieve/plugins/ihave
	/tst-ihave.c, src/lib-sieve/plugins/imap4flags/Makefile.am, src/lib-
	sieve/plugins/imap4flags/cmd-flag.c, src/lib-
	sieve/plugins/imap4flags/ext-imap4flags-common.c, src/lib-
	sieve/plugins/imap4flags/ext-imap4flags-common.h, src/lib-
	sieve/plugins/imap4flags/ext-imap4flags.c, src/lib-
	sieve/plugins/imap4flags/ext-imapflags.c, src/lib-
	sieve/plugins/imap4flags/tag-flags.c, src/lib-
	sieve/plugins/imap4flags/tst-hasflag.c, src/lib-
	sieve/plugins/include/cmd-global.c, src/lib-sieve/plugins/include
	/cmd-include.c, src/lib-sieve/plugins/include/cmd-return.c, src/lib-
	sieve/plugins/include/ext-include-binary.c, src/lib-
	sieve/plugins/include/ext-include-binary.h, src/lib-
	sieve/plugins/include/ext-include-common.c, src/lib-
	sieve/plugins/include/ext-include-common.h, src/lib-
	sieve/plugins/include/ext-include-variables.c, src/lib-
	sieve/plugins/include/ext-include-variables.h, src/lib-
	sieve/plugins/include/ext-include.c, src/lib-sieve/plugins/mailbox
	/ext-mailbox.c, src/lib-sieve/plugins/mailbox/tag-mailbox-create.c,
	src/lib-sieve/plugins/mailbox/tst-mailboxexists.c, src/lib-
	sieve/plugins/notify/cmd-denotify.c, src/lib-sieve/plugins/notify
	/cmd-notify.c, src/lib-sieve/plugins/notify/ext-notify-common.c, src
	/lib-sieve/plugins/notify/ext-notify-common.h, src/lib-
	sieve/plugins/notify/ext-notify-limits.h, src/lib-
	sieve/plugins/notify/ext-notify.c, src/lib-sieve/plugins/regex/ext-
	regex-common.c, src/lib-sieve/plugins/regex/ext-regex.c, src/lib-
	sieve/plugins/regex/mcht-regex.c, src/lib-
	sieve/plugins/relational/Makefile.am, src/lib-
	sieve/plugins/relational/ext-relational-common.c, src/lib-
	sieve/plugins/relational/ext-relational-common.h, src/lib-
	sieve/plugins/relational/ext-relational.c, src/lib-
	sieve/plugins/relational/mcht-count.c, src/lib-
	sieve/plugins/relational/mcht-value.c, src/lib-
	sieve/plugins/spamvirustest/ext-spamvirustest-common.c, src/lib-
	sieve/plugins/spamvirustest/ext-spamvirustest-common.h, src/lib-
	sieve/plugins/spamvirustest/ext-spamvirustest.c, src/lib-
	sieve/plugins/spamvirustest/tst-spamvirustest.c, src/lib-
	sieve/plugins/subaddress/ext-subaddress.c, src/lib-
	sieve/plugins/vacation/cmd-vacation.c, src/lib-
	sieve/plugins/vacation/ext-vacation-common.c, src/lib-
	sieve/plugins/vacation/ext-vacation-common.h, src/lib-
	sieve/plugins/vacation/ext-vacation-seconds.c, src/lib-
	sieve/plugins/vacation/ext-vacation.c, src/lib-
	sieve/plugins/variables/Makefile.am, src/lib-sieve/plugins/variables
	/cmd-set.c, src/lib-sieve/plugins/variables/ext-variables-
	arguments.c, src/lib-sieve/plugins/variables/ext-variables-
	arguments.h, src/lib-sieve/plugins/variables/ext-variables-common.c,
	src/lib-sieve/plugins/variables/ext-variables-common.h, src/lib-
	sieve/plugins/variables/ext-variables-dump.c, src/lib-
	sieve/plugins/variables/ext-variables-dump.h, src/lib-
	sieve/plugins/variables/ext-variables-limits.h, src/lib-
	sieve/plugins/variables/ext-variables-modifiers.c, src/lib-
	sieve/plugins/variables/ext-variables-modifiers.h, src/lib-
	sieve/plugins/variables/ext-variables-name.h, src/lib-
	sieve/plugins/variables/ext-variables-namespaces.c, src/lib-
	sieve/plugins/variables/ext-variables-namespaces.h, src/lib-
	sieve/plugins/variables/ext-variables-operands.c, src/lib-
	sieve/plugins/variables/ext-variables-operands.h, src/lib-
	sieve/plugins/variables/ext-variables.c, src/lib-
	sieve/plugins/variables/sieve-ext-variables.h, src/lib-
	sieve/plugins/variables/tst-string.c, src/lib-
	sieve/plugins/vnd.dovecot/duplicate/ext-duplicate-common.c, src/lib-
	sieve/plugins/vnd.dovecot/duplicate/ext-duplicate-common.h, src/lib-
	sieve/plugins/vnd.dovecot/duplicate/ext-duplicate.c, src/lib-
	sieve/plugins/vnd.dovecot/duplicate/tst-duplicate.c, src/lib-
	sieve/rfc2822.c, src/lib-sieve/rfc2822.h, src/lib-sieve/sieve-
	actions.c, src/lib-sieve/sieve-actions.h, src/lib-sieve/sieve-
	address-parts.c, src/lib-sieve/sieve-address-parts.h, src/lib-sieve
	/sieve-address.c, src/lib-sieve/sieve-address.h, src/lib-sieve
	/sieve-ast.c, src/lib-sieve/sieve-ast.h, src/lib-sieve/sieve-binary-
	code.c, src/lib-sieve/sieve-binary-debug.c, src/lib-sieve/sieve-
	binary-dumper.c, src/lib-sieve/sieve-binary-dumper.h, src/lib-sieve
	/sieve-binary-file.c, src/lib-sieve/sieve-binary-private.h, src/lib-
	sieve/sieve-binary.c, src/lib-sieve/sieve-binary.h, src/lib-sieve
	/sieve-code-dumper.c, src/lib-sieve/sieve-code-dumper.h, src/lib-
	sieve/sieve-code.c, src/lib-sieve/sieve-code.h, src/lib-sieve/sieve-
	commands.c, src/lib-sieve/sieve-commands.h, src/lib-sieve/sieve-
	common.h, src/lib-sieve/sieve-comparators.c, src/lib-sieve/sieve-
	comparators.h, src/lib-sieve/sieve-config.h, src/lib-sieve/sieve-
	dump.h, src/lib-sieve/sieve-error-private.h, src/lib-sieve/sieve-
	error.c, src/lib-sieve/sieve-error.h, src/lib-sieve/sieve-
	extensions.c, src/lib-sieve/sieve-extensions.h, src/lib-sieve/sieve-
	generator.c, src/lib-sieve/sieve-generator.h, src/lib-sieve/sieve-
	interpreter.c, src/lib-sieve/sieve-interpreter.h, src/lib-sieve
	/sieve-lexer.c, src/lib-sieve/sieve-lexer.h, src/lib-sieve/sieve-
	match-types.c, src/lib-sieve/sieve-match-types.h, src/lib-sieve
	/sieve-match.c, src/lib-sieve/sieve-match.h, src/lib-sieve/sieve-
	message.c, src/lib-sieve/sieve-message.h, src/lib-sieve/sieve-
	objects.c, src/lib-sieve/sieve-objects.h, src/lib-sieve/sieve-
	parser.c, src/lib-sieve/sieve-parser.h, src/lib-sieve/sieve-
	plugins.c, src/lib-sieve/sieve-plugins.h, src/lib-sieve/sieve-
	result.c, src/lib-sieve/sieve-result.h, src/lib-sieve/sieve-runtime-
	trace.c, src/lib-sieve/sieve-runtime-trace.h, src/lib-sieve/sieve-
	runtime.h, src/lib-sieve/sieve-script-dict.c, src/lib-sieve/sieve-
	script-file.c, src/lib-sieve/sieve-script-file.h, src/lib-sieve
	/sieve-script-private.h, src/lib-sieve/sieve-script.c, src/lib-sieve
	/sieve-script.h, src/lib-sieve/sieve-settings.c, src/lib-sieve
	/sieve-stringlist.c, src/lib-sieve/sieve-stringlist.h, src/lib-sieve
	/sieve-types.h, src/lib-sieve/sieve-validator.c, src/lib-sieve
	/sieve-validator.h, src/lib-sieve/sieve.c, src/lib-sieve/sieve.h,
	src/lib-sieve/tst-address.c, src/lib-sieve/tst-allof.c, src/lib-
	sieve/tst-anyof.c, src/lib-sieve/tst-exists.c, src/lib-sieve/tst-
	header.c, src/lib-sieve/tst-not.c, src/lib-sieve/tst-size.c, src
	/lib-sieve/tst-truefalse.c, src/lib-sievestorage/Makefile.am, src
	/lib-sievestorage/sieve-storage-list.c, src/lib-sievestorage/sieve-
	storage-list.h, src/lib-sievestorage/sieve-storage-private.h, src
	/lib-sievestorage/sieve-storage-quota.c, src/lib-sievestorage/sieve-
	storage-quota.h, src/lib-sievestorage/sieve-storage-save.c, src/lib-
	sievestorage/sieve-storage-script.c, src/lib-sievestorage/sieve-
	storage.c, src/lib-sievestorage/sieve-storage.h, src/managesieve-
	login/client-authenticate.c, src/managesieve-login/client.c, src
	/managesieve-login/client.h, src/managesieve-login/managesieve-
	login-settings-plugin.c, src/managesieve-login/managesieve-login-
	settings.c, src/managesieve-login/managesieve-proxy.c,
	src/managesieve/Makefile.am, src/managesieve/cmd-capability.c,
	src/managesieve/cmd-deletescript.c, src/managesieve/cmd-getscript.c,
	src/managesieve/cmd-listscripts.c, src/managesieve/cmd-putscript.c,
	src/managesieve/cmd-renamescript.c, src/managesieve/cmd-setactive.c,
	src/managesieve/managesieve-capabilities.c, src/managesieve
	/managesieve-client.c, src/managesieve/managesieve-client.h,
	src/managesieve/managesieve-commands.c, src/managesieve/managesieve-
	quota.c, src/managesieve/managesieve-settings.c, src/plugins/lda-
	sieve/Makefile.am, src/plugins/lda-sieve/lda-sieve-plugin.c, src
	/sieve-tools/Makefile.am, src/sieve-tools/sieve-dump.c, src/sieve-
	tools/sieve-filter.c, src/sieve-tools/sieve-test.c, src/sieve-
	tools/sievec.c, src/testsuite/cmd-test-binary.c, src/testsuite/cmd-
	test-config.c, src/testsuite/cmd-test-fail.c, src/testsuite/cmd-
	test-mailbox.c, src/testsuite/cmd-test-message.c, src/testsuite/cmd-
	test-result.c, src/testsuite/cmd-test-set.c, src/testsuite/cmd-
	test.c, src/testsuite/ext-testsuite.c, src/testsuite/testsuite-
	arguments.c, src/testsuite/testsuite-binary.c, src/testsuite
	/testsuite-binary.h, src/testsuite/testsuite-common.c, src/testsuite
	/testsuite-common.h, src/testsuite/testsuite-log.c, src/testsuite
	/testsuite-mailstore.c, src/testsuite/testsuite-mailstore.h,
	src/testsuite/testsuite-message.c, src/testsuite/testsuite-
	objects.c, src/testsuite/testsuite-objects.h, src/testsuite
	/testsuite-result.c, src/testsuite/testsuite-result.h, src/testsuite
	/testsuite-script.c, src/testsuite/testsuite-script.h, src/testsuite
	/testsuite-settings.c, src/testsuite/testsuite-smtp.c, src/testsuite
	/testsuite-smtp.h, src/testsuite/testsuite-substitutions.c,
	src/testsuite/testsuite-substitutions.h, src/testsuite/testsuite-
	variables.c, src/testsuite/testsuite-variables.h,
	src/testsuite/testsuite.c, src/testsuite/tst-test-error.c,
	src/testsuite/tst-test-multiscript.c, src/testsuite/tst-test-result-
	action.c, src/testsuite/tst-test-result-execute.c, src/testsuite
	/tst-test-script-compile.c, src/testsuite/tst-test-script-run.c,
	tests/compile/errors.svtest, tests/compile/errors/address.sieve,
	tests/compile/errors/envelope.sieve, tests/compile/errors/if.sieve,
	tests/compile/errors/keep.sieve, tests/compile/errors/lexer.sieve,
	tests/compile/errors/out-address.sieve,
	tests/compile/errors/parser.sieve,
	tests/compile/errors/require.sieve, tests/compile/errors/size.sieve,
	tests/compile/errors/tag.sieve, tests/compile/errors/typos.sieve,
	tests/compile/errors/unsupported.sieve,
	tests/compile/recover.svtest, tests/control-if.svtest,
	tests/deprecated/notify/basic.svtest,
	tests/deprecated/notify/mailto.svtest, tests/execute/actions.svtest,
	tests/execute/actions/redirect.sieve, tests/execute/errors.svtest,
	tests/execute/examples.svtest, tests/execute/mailstore.svtest,
	tests/extensions/body/basic.svtest,
	tests/extensions/body/content.svtest,
	tests/extensions/body/raw.svtest,
	tests/extensions/date/basic.svtest,
	tests/extensions/date/zones.svtest,
	tests/extensions/editheader/addheader.svtest,
	tests/extensions/editheader/alternating.svtest,
	tests/extensions/editheader/deleteheader.svtest,
	tests/extensions/editheader/errors.svtest,
	tests/extensions/editheader/errors/command-syntax.sieve,
	tests/extensions/editheader/protected.svtest, tests/extensions
	/encoded-character.svtest, tests/extensions/enotify/basic.svtest,
	tests/extensions/enotify/errors/uri-mailto.sieve,
	tests/extensions/enotify/mailto.svtest,
	tests/extensions/enotify/valid_notify_method.svtest,
	tests/extensions/envelope.svtest,
	tests/extensions/environment/rfc.svtest,
	tests/extensions/imap4flags/basic.svtest,
	tests/extensions/imap4flags/execute.svtest,
	tests/extensions/imap4flags/execute/flags-side-effect.sieve,
	tests/extensions/imap4flags/hasflag.svtest,
	tests/extensions/imap4flags/multiscript.svtest,
	tests/extensions/include/execute.svtest,
	tests/extensions/regex/basic.svtest, tests/extensions/regex/match-
	values.svtest, tests/extensions/relational/basic.svtest,
	tests/extensions/relational/comparators.svtest,
	tests/extensions/relational/errors/validation.sieve,
	tests/extensions/relational/rfc.svtest,
	tests/extensions/spamvirustest/spamtest.svtest,
	tests/extensions/subaddress/basic.svtest,
	tests/extensions/subaddress/rfc.svtest,
	tests/extensions/vacation/execute.svtest,
	tests/extensions/vacation/execute/no-handle.sieve,
	tests/extensions/vacation/message.svtest,
	tests/extensions/vacation/reply.svtest,
	tests/extensions/vacation/utf-8.svtest,
	tests/extensions/variables/basic.svtest,
	tests/extensions/variables/errors/limits.sieve,
	tests/extensions/variables/match.svtest,
	tests/extensions/variables/modifiers.svtest,
	tests/extensions/variables/quoting.svtest,
	tests/extensions/variables/regex.svtest,
	tests/extensions/variables/string.svtest, tests/match-
	types/contains.svtest, tests/match-types/is.svtest, tests/match-
	types/matches.svtest, tests/multiscript/basic.svtest,
	tests/multiscript/conflicts.svtest, tests/test-address.svtest, tests
	/test-allof.svtest, tests/test-anyof.svtest, tests/test-
	exists.svtest, tests/test-header.svtest, tests/testsuite.svtest:
	Removed trailing whitespace everywhere.
	[7e100dcd888a]

2012-08-09  Stephan Bosch  <stephan@rename-it.nl>

	* Merged changes from Pigeonhole v0.3 tree.
	[368c8f1c0511]

	* doc/rfc/spec-bosch-sieve-debug.txt,
	doc/rfc/xml/reference.VARIABLES.xml, doc/rfc/xml/spec-bosch-sieve-
	debug.xml, doc/rfc/xml/spec-bosch-sieve-duplicate.xml:
	Created specification for the vnd.dovecot.debug extension. Also
	fixed a small mistake in the spefication for the
	vnd.dovecot.duplicate extension.
	[54a0d0552be7]

2012-08-07  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/sieve-result.c:
	lib-sieve: increase action instance count (for limit checking) only
	when an action is actually created.
	[9d962388f5f6]

	* src/lib-sieve/sieve-result.c:
	lib-sieve: fixed potential action duplication bug.
	[837c108f0363]

2012-08-06  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/sieve-result.c:
	lib-sieve: made action limit error messages more verbose.
	[b25d4208949f]

2012-08-05  Stephan Bosch  <stephan@rename-it.nl>

	* src/testsuite/testsuite-variables.c:
	Testsuite: fixed compiler warning.
	[bb8a9332e3d5]

	* src/testsuite/Makefile.am, src/testsuite/cmd-test-binary.c,
	src/testsuite/ext-testsuite.c, src/testsuite/testsuite-common.c,
	src/testsuite/testsuite-common.h, src/testsuite/testsuite-script.c,
	src/testsuite/testsuite-script.h, src/testsuite/testsuite-
	variables.c, src/testsuite/testsuite-variables.h,
	src/testsuite/testsuite.c, tests/extensions/include/execute.svtest,
	tests/extensions/include/execute/namespace.sieve,
	tests/extensions/include/included-global/namespace.dict,
	tests/extensions/include/included/namespace.dict:
	Testsuite: added support for executing sub-scripts and added tst
	variables namespace. Added test for interaction between include
	extension and dict script location support.
	[e44101914a27]

2012-08-04  Stephan Bosch  <stephan@rename-it.nl>

	* src/testsuite/testsuite-log.c:
	Testsuite: fixed displaying debug messages.
	[09e393e4274b]

2012-08-03  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/sieve-script-dict.c, src/lib-sieve/sieve-script-
	file.c, src/lib-sieve/sieve-script.c,
	tests/extensions/include/execute.svtest, tests/extensions/include
	/included-global/namespace.sieve,
	tests/extensions/include/included/namespace.sieve:
	Include: fixed namespace separation of :global and :personal
	scripts. Sieve script equality function implementation was wrong.
	[6a34eda7924e]

2012-07-31  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/rfc2822.h:
	Merged changes from Pigeonhole v0.2 tree.
	[bea6fcece21e]

	* src/lib-sieve/Makefile.am:
	Fix linkage with ld.gold. Patch by Eray Aslan.
	[c52a0c561311]

2012-07-30  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/rfc2822.h, src/lib-sieve/sieve-binary-dumper.c, src
	/lib-sieve/sieve-binary-dumper.h, src/lib-sieve/sieve-error.c, src
	/lib-sieve/sieve-result.h, src/lib-sieve/sieve-runtime-trace.c, src
	/lib-sieve/sieve-runtime-trace.h, src/lib-sievestorage/sieve-
	storage.c, src/testsuite/testsuite-log.c:
	Fixed several Clang compile warnings and a few potential bugs. Patch
	by Timo Sirainen.
	[e3ea0270985a]

2012-07-25  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/plugins/editheader/cmd-addheader.c:
	Editheader: name of added header is now first sanitized to have
	capital letters where conventional.
	[b614a99f40f1]

2012-07-16  Stephan Bosch  <stephan@rename-it.nl>

	* doc/example-config/conf.d/20-managesieve.conf:
	Example config: disabled default sections for managesieve and
	managesieve-login services. This currently breaks uninstall when the
	settings plugins are removed and 20-managesieve.conf remains in
	conf.d directory. These sections only need to be active in the
	config file when settings for the services themselves need to be
	disabled.
	[e6d102e6f0fc]

2012-07-13  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-managesieve/managesieve-parser.c:
	ManageSieve: fixed segfault caused by Dovecot API change.
	[a1668b71e657]

	* configure.in:
	Merged changes from Dovecot v2.1.
	[d6ccbf5136bd]

2012-07-12  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sievestorage/sieve-storage-save.c:
	ManageSieve: fixed segfault bug triggered by CHECKSCRIPT command.
	[6ceeb6421231]

2012-05-26  Stephan Bosch  <stephan@rename-it.nl>

	* .hgsigs:
	Added signature for changeset e9ed5d5cef4b
	[602d93069d3a]

	* .hgtags:
	Added tag 0.3.1 for changeset e9ed5d5cef4b
	[396e429dc550]

	* NEWS, configure.in:
	Released v0.3.1 for Dovecot v2.1.6.
	[e9ed5d5cef4b] [0.3.1]

2012-07-12  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-managesieve/managesieve-parser.c, src/lib-sieve-tool/mail-
	raw.c, src/lib-sieve/edit-mail.c:
	Adjusted to Dovecot API changes.
	[f9b7eb9a567e]

2012-05-20  Stephan Bosch  <stephan@rename-it.nl>

	* configure.in, doc/editheader.txt, doc/include.txt, doc/spamtest-
	virustest.txt, doc/vacation.txt, src/lib-sieve-tool/mail-raw.c, src
	/lib-sieve/cmd-redirect.c, src/lib-sieve/edit-mail.c, src/lib-
	sieve/plugins/body/ext-body-common.c, src/lib-sieve/sieve-smtp.c,
	src/managesieve-login/client-authenticate.c, src/plugins/lda-sieve
	/lda-sieve-plugin.c, src/sieve-tools/sieve-test.c:
	Merged changes from Pigeonhole v0.2 tree.
	[258d83f111b9]

2012-05-11  Stephan Bosch  <stephan@rename-it.nl>

	* INSTALL, Makefile.am, configure.in, doc/Makefile.am,
	doc/editheader.txt, doc/extensions/editheader.txt,
	doc/extensions/include.txt, doc/extensions/spamtest-virustest.txt,
	doc/extensions/vacation.txt,
	doc/extensions/vnd.dovecot.duplicate.txt, doc/include.txt,
	doc/rfc/Makefile.am, doc/rfc/spec-bosch-sieve-duplicate.txt,
	doc/rfc/xml/reference.KEYWORDS.xml, doc/rfc/xml/reference.SIEVE.xml,
	doc/rfc/xml/spec-bosch-sieve-duplicate.xml, doc/spamtest-
	virustest.txt, doc/vacation.txt, src/lib-sieve/Makefile.am, src/lib-
	sieve/plugins/vnd.dovecot/Makefile.am, src/lib-
	sieve/plugins/vnd.dovecot/duplicate/Makefile.am, src/lib-
	sieve/plugins/vnd.dovecot/duplicate/ext-duplicate-common.c, src/lib-
	sieve/plugins/vnd.dovecot/duplicate/ext-duplicate-common.h, src/lib-
	sieve/plugins/vnd.dovecot/duplicate/ext-duplicate.c, src/lib-
	sieve/plugins/vnd.dovecot/duplicate/tst-duplicate.c, src/lib-sieve
	/sieve-extensions.c,
	tests/extensions/vnd.dovecot/duplicate/errors.svtest,
	tests/extensions/vnd.dovecot/duplicate/errors/syntax.sieve,
	tests/extensions/vnd.dovecot/duplicate/execute.svtest:
	Incorporated sieve_duplicate plugin into main Pigeonhole tree as a
	normal extension (vnd.dovecot.duplicate). Also restructured doc dir
	a bit in the process.
	[12bcfe5e748a]

	* src/lib-sieve/sieve-validator.c:
	Fixed compiler warning.
	[f362b56485fa]

2012-05-04  Stephan Bosch  <stephan@rename-it.nl>

	* src/plugins/lda-sieve/lda-sieve-plugin.c:
	LDA Sieve plugin: fixed sieve_before bug that made it only work when
	mail_debug=yes.
	[aa611f912da6]

2012-05-02  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve-tool/mail-raw.c, src/lib-sieve/cmd-redirect.c, src
	/lib-sieve/edit-mail.c, src/lib-sieve/mcht-matches.c, src/lib-
	sieve/plugins/body/ext-body-common.c, src/lib-
	sieve/plugins/editheader/ext-editheader-common.c, src/lib-
	sieve/plugins/imap4flags/tag-flags.c, src/lib-sieve/plugins/include
	/cmd-include.c, src/lib-sieve/plugins/notify/ext-notify-common.c,
	src/lib-sieve/plugins/variables/ext-variables-modifiers.c, src/lib-
	sieve/plugins/variables/ext-variables-namespaces.c, src/lib-sieve
	/sieve-address.c, src/lib-sieve/sieve-ast.c, src/lib-sieve/sieve-
	ast.h, src/lib-sieve/sieve-commands.h, src/lib-sieve/sieve-script.c,
	src/lib-sieve/sieve-validator.c, src/lib-sieve/sieve.c, src/lib-
	sievestorage/sieve-storage-quota.c, src/managesieve-login
	/managesieve-login-settings-plugin.c, src/plugins/lda-sieve/lda-
	sieve-plugin.c, src/sieve-tools/sieve-dump.c, src/sieve-tools/sieve-
	filter.c, src/sieve-tools/sieve-test.c, src/sieve-tools/sievec.c,
	src/testsuite/cmd-test-message.c, src/testsuite/testsuite.c:
	Fixed several small issues, including a few potential segfault bugs,
	based on static analysis. Clang static analyzer is happy now.
	[7f9218fe9fac]

2012-04-30  Stephan Bosch  <stephan@rename-it.nl>

	* INSTALL, README, doc/example-config/conf.d/90-sieve.conf, src/lib-
	sieve/sieve.c, src/plugins/lda-sieve/lda-sieve-plugin.c:
	Added support for specifying multiple sieve_before and sieve_after
	paths. Additional paths are specified by adding a sequence number
	(starting at 2) to the setting name. Added support for specifying
	home-relative paths for sieve_before and sieve_after. This enables
	administrators to specify user-specific global Sieve scripts that
	cannot be viewed or changed by virtual users.
	[b2ff597c2279]

2012-04-27  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/sieve-smtp.c:
	Fixed segfault bug. Forgot to change Sieve SMTP API to use scriptenv
	in stead of script_context directly.
	[f146790b5db3]

2012-04-24  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/sieve-binary-file.c, src/lib-sieve/sieve-script-
	file.c, src/lib-sieve/sieve.c:
	sievec tool: fixed segfault bug and another bug making it omit
	actually saving the binary.
	[93bfa75d9ab9]

	* src/lib-managesieve/managesieve-parser.c, src/managesieve-login
	/client-authenticate.c, src/managesieve/cmd-putscript.c:
	lib-managesieve: changed EPROTO error to EIO in ManageSieve string
	stream because it is apparently not known in BSD.
	[ef5045159e6b]

2012-05-20  Stephan Bosch  <stephan@rename-it.nl>

	* TODO, src/lib-sieve/plugins/enotify/mailto/ntfy-mailto.c, src/lib-
	sieve/plugins/notify/cmd-notify.c, src/lib-sieve/plugins/vacation
	/cmd-vacation.c, src/lib-sieve/sieve-actions.c, src/lib-sieve/sieve-
	types.h, src/managesieve-login/client-authenticate.c, src/plugins
	/lda-sieve/lda-sieve-plugin.c, src/sieve-tools/sieve-test.c,
	src/testsuite/testsuite-smtp.c, src/testsuite/testsuite-smtp.h:
	Merged changes from Pigeonhole v0.2 tree.
	[2841e6b2f973]

2012-04-22  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/sieve-script-dict.c, src/lib-sieve/sieve-script.c:
	lib-sieve: fixed cleanup bug in dict script implementation.
	[2ff0a5c5c892]

	* doc/script-location-dict.txt:
	Finished documentation example for SQL dict script location type.
	[d07dad1ad41c]

	* src/plugins/lda-sieve/lda-sieve-plugin.c:
	LDA Sieve: fixed bug in debug message.
	[3161dcf7cd8e]

	* INSTALL, TODO, doc/script-location-dict.txt, src/lib-sieve-tool
	/sieve-tool.c, src/lib-sieve/Makefile.am, src/lib-
	sieve/plugins/enotify/mailto/ntfy-mailto.c, src/lib-
	sieve/plugins/environment/ext-environment-common.c, src/lib-
	sieve/plugins/environment/sieve-ext-environment.h, src/lib-
	sieve/plugins/include/cmd-include.c, src/lib-sieve/plugins/include
	/ext-include-binary.c, src/lib-sieve/plugins/include/ext-include-
	common.c, src/lib-sieve/plugins/include/ext-include-common.h, src
	/lib-sieve/plugins/notify/cmd-notify.c, src/lib-
	sieve/plugins/vacation/cmd-vacation.c, src/lib-sieve/sieve-
	actions.c, src/lib-sieve/sieve-binary-file.c, src/lib-sieve/sieve-
	binary.c, src/lib-sieve/sieve-binary.h, src/lib-sieve/sieve-
	common.h, src/lib-sieve/sieve-message.c, src/lib-sieve/sieve-
	message.h, src/lib-sieve/sieve-script-dict.c, src/lib-sieve/sieve-
	script-file.c, src/lib-sieve/sieve-script-file.h, src/lib-sieve
	/sieve-script-private.h, src/lib-sieve/sieve-script.c, src/lib-sieve
	/sieve-script.h, src/lib-sieve/sieve-settings.h, src/lib-sieve
	/sieve-types.h, src/lib-sieve/sieve.c, src/lib-sieve/sieve.h, src
	/lib-sievestorage/sieve-storage-list.c, src/lib-sievestorage/sieve-
	storage-quota.c, src/lib-sievestorage/sieve-storage-save.c, src/lib-
	sievestorage/sieve-storage-script.c, src/lib-sievestorage/sieve-
	storage.c, src/managesieve/cmd-getscript.c, src/managesieve
	/managesieve-capabilities.c, src/managesieve/managesieve-client.c,
	src/plugins/lda-sieve/lda-sieve-plugin.c, src/sieve-tools/sieve-
	filter.c, src/sieve-tools/sieve-test.c, src/sieve-tools/sievec.c,
	src/testsuite/testsuite-binary.c, src/testsuite/testsuite-script.c,
	src/testsuite/testsuite-smtp.c, src/testsuite/testsuite-smtp.h,
	src/testsuite/testsuite.c,
	tests/extensions/environment/basic.svtest:
	Added support for retrieving Sieve scripts from dict lookup.
	  - Built generic interface for alternative script sources.
	  - Implemented dict script location. NOTE: ManageSieve will not work
	with this yet, nor will sieve_before/sieve_after.
	[f7ea71241032]

2012-05-20  Stephan Bosch  <stephan@rename-it.nl>

	* Merged minor changes from Pigeonhole v0.2 tree (causes a few
	duplicate commit messages).
	[39730d5f39e4]

2012-03-26  Stephan Bosch  <stephan@rename-it.nl>

	* m4/dovecot.m4:
	Updated dovecot.m4.
	[a88c63b2d0b0]

2012-03-19  Stephan Bosch  <stephan@rename-it.nl>

	* src/sieve-tools/sieve-filter.c, src/sieve-tools/sieve-test.c:
	sieve-tools: forgot to enable debug in error handlers.
	[916f09fc6a5e]

2012-03-15  Stephan Bosch  <stephan@rename-it.nl>

	* src/managesieve-login/client-authenticate.c:
	managesieve-login: fixed x86 compile warning.
	[75c1a2fd9b26]

2012-03-08  Stephan Bosch  <stephan@rename-it.nl>

	* src/managesieve/main.c, src/managesieve/managesieve-client.c,
	src/managesieve/managesieve-client.h, src/managesieve/managesieve-
	common.h:
	Added a "session ID" string for managesieve connections, available
	in %{session} variable. This change matches a similar change in
	Dovecot for IMAP/POP3. Also includes other small changes that make
	ManageSieve match IMAP implementation a little more closely.
	[e55350fb6786]

2012-03-07  Stephan Bosch  <stephan@rename-it.nl>

	* stamp.h.in:
	Gave stamp.h.in some content to prevent it from disappearing in
	patch files.
	[36c9ab4d2b45]

2012-02-29  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/sieve.c:
	Fixed bug that caused SunStudio CC compile failure (reported by
	Piotr Tarnowski).
	[9da3a8398ea4]

2012-02-22  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/plugins/enotify/ext-enotify-common.c, src/lib-
	sieve/plugins/include/ext-include-common.c, src/lib-
	sieve/plugins/vnd.dovecot/debug/ext-debug.c, src/lib-sieve/sieve-
	interpreter.c, src/lib-sieve/sieve-runtime.h:
	lib-sieve: made error handler part of public runtime environment.
	[a4ea7e3f8d9e]

2012-02-16  Stephan Bosch  <stephan@rename-it.nl>

	* .hgsigs:
	Added signature for changeset fe7bd7ee6c2e
	[6cca5f460f86]

	* .hgtags:
	Added tag 0.3.0 for changeset fe7bd7ee6c2e
	[abf95290dc4d]

	* NEWS:
	Released v0.3.0 for Dovecot v2.1.0.
	[fe7bd7ee6c2e] [0.3.0]

2012-02-29  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve-tool/mail-raw.c, src/lib-sieve/cmd-redirect.c, src
	/lib-sieve/edit-mail.c, src/lib-sieve/plugins/enotify/mailto/ntfy-
	mailto.c, src/lib-sieve/plugins/notify/cmd-notify.c, src/lib-
	sieve/plugins/vacation/cmd-vacation.c, src/lib-sieve/rfc2822.c, src
	/lib-sieve/rfc2822.h, src/lib-sieve/sieve-actions.c, src/lib-sieve
	/sieve-smtp.c, src/lib-sieve/sieve-smtp.h, src/lib-sieve/sieve-
	types.h, src/plugins/lda-sieve/lda-sieve-plugin.c, src/sieve-tools
	/sieve-test.c, src/testsuite/testsuite-smtp.c, src/testsuite
	/testsuite-smtp.h:
	Adjusted Sieve implementation and testsuite to Dovecot's new
	smtp_client_open() API.
	[b88a6d76839b]

	* src/lib-sieve/sieve.c:
	Fixed bug that caused SunStudio CC compile failure (reported by
	Piotr Tarnowski).
	[7b8cc0897a79]

2012-02-22  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/plugins/enotify/ext-enotify-common.c, src/lib-
	sieve/plugins/include/ext-include-common.c, src/lib-
	sieve/plugins/vnd.dovecot/debug/ext-debug.c, src/lib-sieve/sieve-
	interpreter.c, src/lib-sieve/sieve-runtime.h:
	lib-sieve: made error handler part of public runtime environment.
	[b4c69a7ae260]

2012-02-13  Stephan Bosch  <stephan@rename-it.nl>

	* TODO, src/lib-sieve/plugins/body/ext-body-common.c:
	Applied sieve-body-fix.patch. Fixes behavior of body test with
	multipart MIME body parts. Testsuite needs to be extended
	accordingly.
	[eed6fba433f4]

2012-02-12  Stephan Bosch  <stephan@rename-it.nl>

	* configure.in, src/managesieve-login/client-authenticate.c, src
	/managesieve-login/client-authenticate.h, src/managesieve-
	login/client.c, src/managesieve-login/client.h, src/managesieve-
	login/managesieve-proxy.c, src/managesieve-login/managesieve-
	proxy.h:
	Updated to Dovecot v2.2. Updated version number to v0.4.0 and added
	a warning to configure. Applied generic-login.patch.
	[408cc4b15640]

2012-01-28  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-managesieve/Makefile.am, src/lib-managesieve/managesieve-
	arg.c, src/lib-managesieve/managesieve-arg.h, src/lib-managesieve
	/managesieve-parser.c, src/lib-managesieve/managesieve-parser.h, src
	/managesieve-login/client-authenticate.c, src/managesieve-login
	/client-authenticate.h, src/managesieve-login/client.c, src
	/managesieve-login/managesieve-proxy.c, src/managesieve/cmd-
	havespace.c, src/managesieve/cmd-noop.c, src/managesieve/cmd-
	putscript.c, src/managesieve/managesieve-client.c, src/managesieve
	/managesieve-client.h:
	ManageSieve: cleaned up parser and updated it to match newer
	structure of imap parser.
	[b2a456e15ed5]

2012-01-27  Stephan Bosch  <stephan@rename-it.nl>

	* src/managesieve-login/managesieve-proxy.c:
	managesieve-login: matched proxy and auth_verbose changes in
	Dovecot.
	[968410a02493]

	* src/testsuite/cmd-test-message.c:
	testsuite: fixed compile warning.
	[a130a50f82e1]

2012-01-23  Stephan Bosch  <stephan@rename-it.nl>

	* src/managesieve/cmd-putscript.c:
	ManageSieve: fixed quota problem in previous change.
	[bc5acd9e957e]

2012-01-22  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-managesieve/managesieve-parser.c, src/lib-managesieve
	/managesieve-parser.h, src/lib-sievestorage/sieve-storage-quota.c,
	src/lib-sievestorage/sieve-storage-quota.h, src/managesieve-login
	/client-authenticate.c, src/managesieve-login/client.c, src
	/managesieve-login/client.h, src/managesieve-login/managesieve-
	proxy.c, src/managesieve/cmd-putscript.c, src/managesieve
	/managesieve-client.c, src/managesieve/managesieve-quota.c,
	src/managesieve/managesieve-quota.h:
	ManageSieve: added support for reading quoted and literal strings as
	a stream. Fixes support for handing large SASL responses. Also
	resolves long-standing FIXME regarding the second parameter of
	PUTSCRIPT: it can now be a quoted string. Includes a few small
	changes in the login daemon that were done in the dovecot
	equivalents before.
	[ae857042882b]

2012-01-20  Stephan Bosch  <stephan@rename-it.nl>

	* src/managesieve/main.c:
	managesieve: Added -t parameter to specify post-login script timeout
	(Dovecot change).
	[66c9a4a82428]

2012-01-12  Stephan Bosch  <stephan@rename-it.nl>

	* src/managesieve-login/client-authenticate.c:
	managesieve-login: Include hostname and timestamp in "temporary auth
	failure" message.
	[523eae0118b1]

2012-01-07  Stephan Bosch  <stephan@rename-it.nl>

	* doc/man/pigeonhole.7.in, doc/man/sieve-dump.1.in, doc/man/sieve-
	filter.1.in, doc/man/sieve-test.1.in, doc/man/sievec.1.in, src/lib-
	managesieve/managesieve-parser.c, src/lib-managesieve/managesieve-
	parser.h, src/lib-managesieve/managesieve-quote.c, src/lib-
	managesieve/managesieve-quote.h, src/lib-sieve-tool/mail-raw.c, src
	/lib-sieve-tool/mail-raw.h, src/lib-sieve-tool/sieve-tool.c, src
	/lib-sieve-tool/sieve-tool.h, src/lib-sieve/cmd-discard.c, src/lib-
	sieve/cmd-if.c, src/lib-sieve/cmd-keep.c, src/lib-sieve/cmd-
	redirect.c, src/lib-sieve/cmd-require.c, src/lib-sieve/cmd-stop.c,
	src/lib-sieve/cmp-i-ascii-casemap.c, src/lib-sieve/cmp-i-octet.c,
	src/lib-sieve/edit-mail.c, src/lib-sieve/edit-mail.h, src/lib-sieve
	/ext-encoded-character.c, src/lib-sieve/ext-envelope.c, src/lib-
	sieve/ext-fileinto.c, src/lib-sieve/ext-reject.c, src/lib-sieve
	/mcht-contains.c, src/lib-sieve/mcht-is.c, src/lib-sieve/mcht-
	matches.c, src/lib-sieve/plugins/body/ext-body-common.c, src/lib-
	sieve/plugins/body/ext-body-common.h, src/lib-sieve/plugins/body
	/ext-body.c, src/lib-sieve/plugins/body/tst-body.c, src/lib-
	sieve/plugins/comparator-i-ascii-numeric/ext-cmp-i-ascii-numeric.c,
	src/lib-sieve/plugins/copy/ext-copy.c, src/lib-sieve/plugins/copy
	/sieve-ext-copy.h, src/lib-sieve/plugins/date/ext-date-common.c, src
	/lib-sieve/plugins/date/ext-date-common.h, src/lib-
	sieve/plugins/date/ext-date.c, src/lib-sieve/plugins/date/tst-
	date.c, src/lib-sieve/plugins/editheader/cmd-addheader.c, src/lib-
	sieve/plugins/editheader/cmd-deleteheader.c, src/lib-
	sieve/plugins/editheader/ext-editheader-common.c, src/lib-
	sieve/plugins/editheader/ext-editheader-common.h, src/lib-
	sieve/plugins/editheader/ext-editheader-limits.h, src/lib-
	sieve/plugins/editheader/ext-editheader.c, src/lib-
	sieve/plugins/enotify/cmd-notify.c, src/lib-sieve/plugins/enotify
	/ext-enotify-common.c, src/lib-sieve/plugins/enotify/ext-enotify-
	common.h, src/lib-sieve/plugins/enotify/ext-enotify-limits.h, src
	/lib-sieve/plugins/enotify/ext-enotify.c, src/lib-
	sieve/plugins/enotify/mailto/ntfy-mailto.c, src/lib-
	sieve/plugins/enotify/mailto/uri-mailto.c, src/lib-
	sieve/plugins/enotify/mailto/uri-mailto.h, src/lib-
	sieve/plugins/enotify/sieve-ext-enotify.h, src/lib-
	sieve/plugins/enotify/tst-notify-method-capability.c, src/lib-
	sieve/plugins/enotify/tst-valid-notify-method.c, src/lib-
	sieve/plugins/enotify/vmodf-encodeurl.c, src/lib-
	sieve/plugins/environment/ext-environment-common.c, src/lib-
	sieve/plugins/environment/ext-environment-common.h, src/lib-
	sieve/plugins/environment/ext-environment.c, src/lib-
	sieve/plugins/environment/sieve-ext-environment.h, src/lib-
	sieve/plugins/environment/tst-environment.c, src/lib-
	sieve/plugins/ihave/cmd-error.c, src/lib-sieve/plugins/ihave/ext-
	ihave-binary.c, src/lib-sieve/plugins/ihave/ext-ihave-binary.h, src
	/lib-sieve/plugins/ihave/ext-ihave-common.c, src/lib-
	sieve/plugins/ihave/ext-ihave-common.h, src/lib-sieve/plugins/ihave
	/ext-ihave.c, src/lib-sieve/plugins/ihave/tst-ihave.c, src/lib-
	sieve/plugins/imap4flags/cmd-flag.c, src/lib-
	sieve/plugins/imap4flags/ext-imap4flags-common.c, src/lib-
	sieve/plugins/imap4flags/ext-imap4flags-common.h, src/lib-
	sieve/plugins/imap4flags/ext-imap4flags.c, src/lib-
	sieve/plugins/imap4flags/ext-imapflags.c, src/lib-
	sieve/plugins/imap4flags/tag-flags.c, src/lib-
	sieve/plugins/imap4flags/tst-hasflag.c, src/lib-
	sieve/plugins/include/cmd-global.c, src/lib-sieve/plugins/include
	/cmd-include.c, src/lib-sieve/plugins/include/cmd-return.c, src/lib-
	sieve/plugins/include/ext-include-binary.c, src/lib-
	sieve/plugins/include/ext-include-binary.h, src/lib-
	sieve/plugins/include/ext-include-common.c, src/lib-
	sieve/plugins/include/ext-include-common.h, src/lib-
	sieve/plugins/include/ext-include-limits.h, src/lib-
	sieve/plugins/include/ext-include-variables.c, src/lib-
	sieve/plugins/include/ext-include-variables.h, src/lib-
	sieve/plugins/include/ext-include.c, src/lib-sieve/plugins/mailbox
	/ext-mailbox-common.h, src/lib-sieve/plugins/mailbox/ext-mailbox.c,
	src/lib-sieve/plugins/mailbox/tag-mailbox-create.c, src/lib-
	sieve/plugins/mailbox/tst-mailboxexists.c, src/lib-
	sieve/plugins/notify/cmd-denotify.c, src/lib-sieve/plugins/notify
	/cmd-notify.c, src/lib-sieve/plugins/notify/ext-notify-common.c, src
	/lib-sieve/plugins/notify/ext-notify-common.h, src/lib-
	sieve/plugins/notify/ext-notify-limits.h, src/lib-
	sieve/plugins/notify/ext-notify.c, src/lib-sieve/plugins/regex/ext-
	regex-common.c, src/lib-sieve/plugins/regex/ext-regex-common.h, src
	/lib-sieve/plugins/regex/ext-regex.c, src/lib-sieve/plugins/regex
	/mcht-regex.c, src/lib-sieve/plugins/relational/ext-relational-
	common.c, src/lib-sieve/plugins/relational/ext-relational-common.h,
	src/lib-sieve/plugins/relational/ext-relational.c, src/lib-
	sieve/plugins/relational/mcht-count.c, src/lib-
	sieve/plugins/relational/mcht-value.c, src/lib-
	sieve/plugins/spamvirustest/ext-spamvirustest-common.c, src/lib-
	sieve/plugins/spamvirustest/ext-spamvirustest-common.h, src/lib-
	sieve/plugins/spamvirustest/ext-spamvirustest.c, src/lib-
	sieve/plugins/spamvirustest/tst-spamvirustest.c, src/lib-
	sieve/plugins/subaddress/ext-subaddress.c, src/lib-
	sieve/plugins/vacation/cmd-vacation.c, src/lib-
	sieve/plugins/vacation/ext-vacation-common.c, src/lib-
	sieve/plugins/vacation/ext-vacation-common.h, src/lib-
	sieve/plugins/vacation/ext-vacation-seconds.c, src/lib-
	sieve/plugins/vacation/ext-vacation.c, src/lib-
	sieve/plugins/variables/cmd-set.c, src/lib-sieve/plugins/variables
	/ext-variables-arguments.c, src/lib-sieve/plugins/variables/ext-
	variables-arguments.h, src/lib-sieve/plugins/variables/ext-
	variables-common.c, src/lib-sieve/plugins/variables/ext-variables-
	common.h, src/lib-sieve/plugins/variables/ext-variables-dump.c, src
	/lib-sieve/plugins/variables/ext-variables-dump.h, src/lib-
	sieve/plugins/variables/ext-variables-limits.h, src/lib-
	sieve/plugins/variables/ext-variables-modifiers.c, src/lib-
	sieve/plugins/variables/ext-variables-modifiers.h, src/lib-
	sieve/plugins/variables/ext-variables-name.c, src/lib-
	sieve/plugins/variables/ext-variables-name.h, src/lib-
	sieve/plugins/variables/ext-variables-namespaces.c, src/lib-
	sieve/plugins/variables/ext-variables-namespaces.h, src/lib-
	sieve/plugins/variables/ext-variables-operands.c, src/lib-
	sieve/plugins/variables/ext-variables-operands.h, src/lib-
	sieve/plugins/variables/ext-variables.c, src/lib-
	sieve/plugins/variables/sieve-ext-variables.h, src/lib-
	sieve/plugins/variables/tst-string.c, src/lib-
	sieve/plugins/vnd.dovecot/debug/cmd-debug-log.c, src/lib-
	sieve/plugins/vnd.dovecot/debug/ext-debug-common.h, src/lib-
	sieve/plugins/vnd.dovecot/debug/ext-debug.c, src/lib-
	sieve/rfc2822.c, src/lib-sieve/rfc2822.h, src/lib-sieve/sieve-
	actions.c, src/lib-sieve/sieve-actions.h, src/lib-sieve/sieve-
	address-parts.c, src/lib-sieve/sieve-address-parts.h, src/lib-sieve
	/sieve-address.c, src/lib-sieve/sieve-address.h, src/lib-sieve
	/sieve-ast.c, src/lib-sieve/sieve-ast.h, src/lib-sieve/sieve-binary-
	code.c, src/lib-sieve/sieve-binary-debug.c, src/lib-sieve/sieve-
	binary-dumper.c, src/lib-sieve/sieve-binary-dumper.h, src/lib-sieve
	/sieve-binary-file.c, src/lib-sieve/sieve-binary-private.h, src/lib-
	sieve/sieve-binary.c, src/lib-sieve/sieve-binary.h, src/lib-sieve
	/sieve-code-dumper.c, src/lib-sieve/sieve-code-dumper.h, src/lib-
	sieve/sieve-code.c, src/lib-sieve/sieve-code.h, src/lib-sieve/sieve-
	commands.c, src/lib-sieve/sieve-commands.h, src/lib-sieve/sieve-
	common.h, src/lib-sieve/sieve-comparators.c, src/lib-sieve/sieve-
	comparators.h, src/lib-sieve/sieve-config.h, src/lib-sieve/sieve-
	dump.h, src/lib-sieve/sieve-error-private.h, src/lib-sieve/sieve-
	error.c, src/lib-sieve/sieve-error.h, src/lib-sieve/sieve-
	extensions.c, src/lib-sieve/sieve-extensions.h, src/lib-sieve/sieve-
	generator.c, src/lib-sieve/sieve-generator.h, src/lib-sieve/sieve-
	interpreter.c, src/lib-sieve/sieve-interpreter.h, src/lib-sieve
	/sieve-lexer.c, src/lib-sieve/sieve-lexer.h, src/lib-sieve/sieve-
	limits.h, src/lib-sieve/sieve-match-types.c, src/lib-sieve/sieve-
	match-types.h, src/lib-sieve/sieve-match.c, src/lib-sieve/sieve-
	match.h, src/lib-sieve/sieve-message.c, src/lib-sieve/sieve-
	message.h, src/lib-sieve/sieve-objects.c, src/lib-sieve/sieve-
	objects.h, src/lib-sieve/sieve-parser.c, src/lib-sieve/sieve-
	parser.h, src/lib-sieve/sieve-plugins.c, src/lib-sieve/sieve-
	plugins.h, src/lib-sieve/sieve-result.c, src/lib-sieve/sieve-
	result.h, src/lib-sieve/sieve-runtime-trace.c, src/lib-sieve/sieve-
	runtime-trace.h, src/lib-sieve/sieve-runtime.h, src/lib-sieve/sieve-
	script-private.h, src/lib-sieve/sieve-script.c, src/lib-sieve/sieve-
	script.h, src/lib-sieve/sieve-settings.c, src/lib-sieve/sieve-
	settings.h, src/lib-sieve/sieve-smtp.c, src/lib-sieve/sieve-smtp.h,
	src/lib-sieve/sieve-stringlist.c, src/lib-sieve/sieve-stringlist.h,
	src/lib-sieve/sieve-types.h, src/lib-sieve/sieve-validator.c, src
	/lib-sieve/sieve-validator.h, src/lib-sieve/sieve.c, src/lib-
	sieve/sieve.h, src/lib-sieve/tst-address.c, src/lib-sieve/tst-
	allof.c, src/lib-sieve/tst-anyof.c, src/lib-sieve/tst-exists.c, src
	/lib-sieve/tst-header.c, src/lib-sieve/tst-not.c, src/lib-sieve/tst-
	size.c, src/lib-sieve/tst-truefalse.c, src/lib-sievestorage/sieve-
	storage-list.c, src/lib-sievestorage/sieve-storage-list.h, src/lib-
	sievestorage/sieve-storage-private.h, src/lib-sievestorage/sieve-
	storage-quota.c, src/lib-sievestorage/sieve-storage-quota.h, src
	/lib-sievestorage/sieve-storage-save.c, src/lib-sievestorage/sieve-
	storage-save.h, src/lib-sievestorage/sieve-storage-script.c, src
	/lib-sievestorage/sieve-storage-script.h, src/lib-sievestorage
	/sieve-storage.c, src/lib-sievestorage/sieve-storage.h, src
	/managesieve-login/client-authenticate.c, src/managesieve-login
	/client-authenticate.h, src/managesieve-login/client.c, src
	/managesieve-login/client.h, src/managesieve-login/managesieve-
	login-settings-plugin.c, src/managesieve-login/managesieve-login-
	settings-plugin.h, src/managesieve-login/managesieve-login-
	settings.c, src/managesieve-login/managesieve-login-settings.h, src
	/managesieve-login/managesieve-proxy.c, src/managesieve-login
	/managesieve-proxy.h, src/managesieve/cmd-capability.c,
	src/managesieve/cmd-deletescript.c, src/managesieve/cmd-getscript.c,
	src/managesieve/cmd-havespace.c, src/managesieve/cmd-listscripts.c,
	src/managesieve/cmd-logout.c, src/managesieve/cmd-noop.c,
	src/managesieve/cmd-putscript.c, src/managesieve/cmd-renamescript.c,
	src/managesieve/cmd-setactive.c, src/managesieve/main.c,
	src/managesieve/managesieve-capabilities.c, src/managesieve
	/managesieve-capabilities.h, src/managesieve/managesieve-client.c,
	src/managesieve/managesieve-client.h, src/managesieve/managesieve-
	commands.c, src/managesieve/managesieve-commands.h, src/managesieve
	/managesieve-common.h, src/managesieve/managesieve-quota.c,
	src/managesieve/managesieve-quota.h, src/managesieve/managesieve-
	settings.c, src/managesieve/managesieve-settings.h, src/plugins/lda-
	sieve/lda-sieve-plugin.c, src/plugins/lda-sieve/lda-sieve-plugin.h,
	src/sieve-tools/sieve-dump.c, src/sieve-tools/sieve-filter.c, src
	/sieve-tools/sieve-test.c, src/sieve-tools/sievec.c, src/testsuite
	/cmd-test-binary.c, src/testsuite/cmd-test-config.c, src/testsuite
	/cmd-test-fail.c, src/testsuite/cmd-test-mailbox.c, src/testsuite
	/cmd-test-message.c, src/testsuite/cmd-test-result.c, src/testsuite
	/cmd-test-set.c, src/testsuite/cmd-test.c, src/testsuite/ext-
	testsuite.c, src/testsuite/testsuite-arguments.c, src/testsuite
	/testsuite-arguments.h, src/testsuite/testsuite-binary.c,
	src/testsuite/testsuite-binary.h, src/testsuite/testsuite-common.c,
	src/testsuite/testsuite-common.h, src/testsuite/testsuite-log.c,
	src/testsuite/testsuite-log.h, src/testsuite/testsuite-mailstore.c,
	src/testsuite/testsuite-mailstore.h, src/testsuite/testsuite-
	message.c, src/testsuite/testsuite-message.h, src/testsuite
	/testsuite-objects.c, src/testsuite/testsuite-objects.h,
	src/testsuite/testsuite-result.c, src/testsuite/testsuite-result.h,
	src/testsuite/testsuite-script.c, src/testsuite/testsuite-script.h,
	src/testsuite/testsuite-settings.c, src/testsuite/testsuite-
	settings.h, src/testsuite/testsuite-smtp.c, src/testsuite/testsuite-
	smtp.h, src/testsuite/testsuite-substitutions.c, src/testsuite
	/testsuite-substitutions.h, src/testsuite/testsuite.c, src/testsuite
	/tst-test-error.c, src/testsuite/tst-test-multiscript.c,
	src/testsuite/tst-test-result-action.c, src/testsuite/tst-test-
	result-execute.c, src/testsuite/tst-test-script-compile.c,
	src/testsuite/tst-test-script-run.c:
	Updated copyright notices to include year 2012.
	[c2e3b2c93c8c]

	* INSTALL, README, doc/example-config/conf.d/90-sieve.conf,
	src/plugins/lda-sieve/lda-sieve-plugin.c:
	LDA Sieve plugin: renamed sieve_global_path setting to sieve_default
	for clarity. Old name is now deprecated. Support for the even older
	global_script_path name for this setting is dropped.
	[bd5cffe2ed95]

	* INSTALL, doc/example-config/conf.d/90-sieve.conf, src/lib-sieve/cmd-
	redirect.c:
	lib-sieve: added means to prohibit use of redirect action. Setting
	sieve_max_redirects=0 now means that redirects are prohibited rather
	than unlimited. Now there is always a limit, but it can be enormous
	if the administrator wants to.
	[83fc2f6edefa]

2012-01-06  Stephan Bosch  <stephan@rename-it.nl>

	* INSTALL, doc/editheader.txt, doc/include.txt, doc/spamtest-
	virustest.txt, doc/vacation.txt:
	Fixed indentation problems in documentation.
	[8602aa5093be]

	* doc/editheader.txt, doc/example-config/conf.d/20-managesieve.conf,
	doc/example-config/conf.d/90-sieve.conf, doc/spamtest-virustest.txt,
	doc/vacation.txt:
	Updated documentation and example config.
	[2e94c8350e36]

2011-12-27  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/sieve-message.c:
	lib-sieve: fixed bug in message snapshots. Message substitutions
	would not always cause a proper snapshot.
	[d17f4a699ad2]

	* src/lib-sieve/sieve-message.c:
	lib-sieve: fixed memory leak in previous change.
	[c58e9eb1010d]

	* src/lib-sieve/cmd-discard.c, src/lib-sieve/cmd-keep.c, src/lib-sieve
	/cmd-redirect.c, src/lib-sieve/ext-reject.c, src/lib-
	sieve/plugins/body/ext-body-common.c, src/lib-sieve/plugins/enotify
	/cmd-notify.c, src/lib-sieve/plugins/notify/cmd-notify.c, src/lib-
	sieve/plugins/vacation/cmd-vacation.c, src/lib-sieve/sieve-
	actions.c, src/lib-sieve/sieve-message.c, src/lib-sieve/sieve-
	message.h, src/lib-sieve/sieve-result.c, src/lib-sieve/sieve-
	result.h, src/testsuite/testsuite-message.c:
	lib-sieve: added support for substituting the entire message. This
	is needed for the new extprograms plugin.
	[4cc6444438f6]

	* src/lib-sieve-tool/mail-raw.c:
	lib-sieve-tool: mail_raw: started using mail_temp_dir setting.
	[fc9923837fa0]

2011-12-20  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/cmd-redirect.c, src/lib-sieve/ext-fileinto.c, src/lib-
	sieve/plugins/date/tst-date.c, src/lib-sieve/plugins/editheader/cmd-
	deleteheader.c, src/lib-sieve/plugins/imap4flags/tag-flags.c, src
	/lib-sieve/sieve-code.c, src/lib-sieve/sieve-code.h:
	lib-sieve: adjusted code fetch api for handling omitted operands
	better. Removes quite a bit of duplicated source code.
	[35639e4925a7]

2011-12-17  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/sieve-config.h, src/lib-sieve/sieve-script.c, src/lib-
	sieve/sieve-script.h, src/lib-sieve/sieve.c, src/lib-sievestorage
	/sieve-storage-list.c, src/lib-sievestorage/sieve-storage-quota.c,
	src/lib-sievestorage/sieve-storage-save.c, src/lib-sievestorage
	/sieve-storage-script.c, src/lib-sievestorage/sieve-storage-
	script.h, src/lib-sievestorage/sieve-storage.c, src/sieve-
	tools/sievec.c, src/testsuite/testsuite-binary.c,
	tests/extensions/include/errors/circular-1.sieve,
	tests/extensions/include/errors/circular-2.sieve,
	tests/extensions/include/included/circular-one.sieve,
	tests/extensions/include/included/circular-three-2.sieve,
	tests/extensions/include/included/circular-three.sieve,
	tests/extensions/include/included/circular-two.sieve,
	tests/extensions/include/included/once-2.sieve,
	tests/extensions/include/included/twice-2.sieve:
	lib-sieve: made uniform scriptname <-> filename conversion
	functions. This puts the ".sieve" and ".svbin" file extension
	definitions in a single locatio. IMPORTANT: this fixes a bug in the
	include extension that implicitly mapped script names like
	"name.sieve" to "name".
	[66b7b1636c8c]

	* src/lib-sievestorage/sieve-storage-private.h, src/lib-sievestorage
	/sieve-storage.c:
	lib-managesieve-storage: added code to cleanup tmp directory every
	once in a while. This is borrowed from Dovecot's lib-
	storage/index/maildir.
	[5834cc823e38]

	* TODO, src/lib-sieve/plugins/include/cmd-include.c, src/lib-
	sieve/plugins/include/ext-include-common.c, src/lib-
	sieve/plugins/include/ext-include-common.h, src/lib-sieve/sieve-
	commands.h, src/lib-sieve/sieve-generator.c, src/lib-sieve/sieve-
	generator.h, src/lib-sieve/sieve-types.h, src/lib-sieve/sieve.c, src
	/lib-sievestorage/sieve-storage-save.c, src/lib-sievestorage/sieve-
	storage-save.h, src/lib-sievestorage/sieve-storage-script.c, src
	/lib-sievestorage/sieve-storage-script.h, src/managesieve/cmd-
	putscript.c, src/managesieve/cmd-setactive.c:
	Fixed interaction of Sieve include extension with ManageSieve. Upon
	upload, the include extension is more lenient towards circular
	includes and missing scripts as required by RFC. The script is now
	also verified upon SETACTIVE when it was not active before. However,
	this new SETACTIVE behavior is not optimal for the situation where
	the active script was updated with PUTSCRIPT and contains an
	nonexistent include (ignored during upload). This can still cause
	runtime errors, since an already active script is not verified again
	during SETACTIVE.
	[c67b7a0aec7b]

	* src/lib-sieve/sieve-error.c:
	lib-sieve: fixed copy-paste error in sieve_get_warnings() It
	returned the number of errors in stead of the number of warnings.
	[f566e0fce176]

	* doc/man/pigeonhole.7.in, doc/man/sieve-dump.1.in, doc/man/sieve-
	filter.1.in, doc/man/sieve-test.1.in, doc/man/sievec.1.in:
	Updated man pages.
	[8632ccc7173f]

2011-12-16  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/edit-mail.c, src/lib-sieve/sieve-actions.c:
	lib-sieve: made sure that modified messages are not stored in the
	source mailbox when it was opened read-only. This is currently only
	relevant for the sieve-filter tool to avoid duplicating messages in
	the source folder. This can happen when the messages are modified
	(e.g. by the editheader extension) and the source folder is opened
	read-only, thus preventing deletion of the original message.
	[a8780b39f887]

2011-12-12  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/sieve-actions.c:
	lib-sieve: store action: copy flags and keywords from input mail,
	also when imap4flags extension is not active. This is currently only
	relevant for sieve-filter, which now properly preserves flags with
	this change.
	[a2d645ca6e32]

	* doc/man/sieve-dump.1.in, doc/man/sieve-filter.1.in, doc/man/sieve-
	test.1.in, doc/man/sievec.1.in:
	Updated man pages with recent extension configuration changes.
	[8fe82c5f0185]

	* TODO:
	Updated TODO.
	[b5a2419f0dee]

	* INSTALL, src/lib-sieve-tool/sieve-tool.c, src/lib-
	sieve/plugins/ihave/ext-ihave-binary.c, src/lib-sieve/plugins/ihave
	/tst-ihave.c, src/lib-sieve/plugins/include/ext-include-binary.c,
	src/lib-sieve/plugins/include/ext-include-common.c, src/lib-sieve
	/sieve-binary.c, src/lib-sieve/sieve-binary.h, src/lib-sieve/sieve-
	common.h, src/lib-sieve/sieve-extensions.c, src/lib-sieve/sieve-
	extensions.h, src/lib-sieve/sieve-interpreter.c, src/lib-sieve
	/sieve-interpreter.h, src/lib-sieve/sieve-plugins.c, src/lib-sieve
	/sieve-runtime.h, src/lib-sieve/sieve-types.h, src/lib-sieve/sieve-
	validator.c, src/lib-sieve/sieve-validator.h, src/lib-sieve/sieve.c,
	src/lib-sieve/sieve.h, src/managesieve/cmd-putscript.c, src/plugins
	/lda-sieve/lda-sieve-plugin.c, src/sieve-tools/sieve-filter.c, src
	/sieve-tools/sieve-test.c, src/testsuite/testsuite-script.c,
	src/testsuite/testsuite.c:
	lib-sieve: added support for restricting certain extensions to
	(admin-controled) global scripts
	- Added sieve_global_extensions setting.
	[595ce12806d9]

	* src/lib-sieve/sieve-error.c:
	lib-sieve: made sure error locations never report `line 0'.
	[d56a318174db]

	* src/lib-sieve/sieve.c:
	lib-sieve: fixed potention segfault occuring when interpreter
	initialization fails.
	[a224cdad4aa3]

2011-12-07  Stephan Bosch  <stephan@rename-it.nl>

	* TODO, doc/man/Makefile.am, doc/man/sieve-filter.1.in, src/sieve-
	tools/Makefile.am, src/sieve-tools/sieve-filter.c:
	Completed sieve-filter tool to a useful state.
	- Now compiles regularly without --with-unfinished-features
	- Still experimental though, so be careful.
	- Changed command structure a bit, removing the useless -M option.
	[3eb7a7460fa3]

2011-12-05  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/edit-mail.c:
	lib-sieve: fixed -Wunused-but-set-variable compiler warning in edit-
	mail.c.
	[5c6c99a303da]

2011-11-29  Stephan Bosch  <stephan@rename-it.nl>

	* INSTALL, TODO, doc/editheader.txt, src/lib-sieve/sieve-extensions.c:
	lib-sieve: implementation of editheader extension completed
	- Updated documentation.
	- Made editheader extension disabled by default
	[b3bff60a18da]

	* TODO, src/lib-sieve/plugins/editheader/Makefile.am, src/lib-
	sieve/plugins/editheader/cmd-addheader.c, src/lib-
	sieve/plugins/editheader/cmd-deleteheader.c, src/lib-
	sieve/plugins/editheader/ext-editheader-common.c, src/lib-
	sieve/plugins/editheader/ext-editheader-common.h, src/lib-
	sieve/plugins/editheader/ext-editheader-limits.h,
	tests/extensions/editheader/errors.svtest,
	tests/extensions/editheader/errors/size-limit-runtime.sieve,
	tests/extensions/editheader/errors/size-limit.sieve:
	lib-sieve: editheader: implemented configurable length limit.
	[00c5cd8ca1d2]

	* tests/extensions/editheader/errors.svtest:
	testsuite: editheader: fixed test name for command syntax checks.
	[3cacf01fbbab]

	* src/lib-sieve/plugins/vacation/cmd-vacation.c:
	lib-sieve: vacation: made vacation action header checks use the
	modified message (editheader).
	[77a20a67153d]

	* TODO, tests/extensions/editheader/errors.svtest,
	tests/extensions/editheader/errors/command-syntax.sieve:
	testsuite: editheader: added command syntax checks.
	[3fc2c1bfb4ca]

2011-11-28  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/edit-mail.c,
	tests/extensions/editheader/deleteheader.svtest:
	lib-sieve: editheader: made deleteheader match ignore leading and
	trailing whitespace.
	[9a0b9ca3aca5]

	* Makefile.am, TODO, src/lib-sieve/plugins/editheader/Makefile.am, src
	/lib-sieve/plugins/editheader/cmd-addheader.c, src/lib-
	sieve/plugins/editheader/cmd-deleteheader.c, src/lib-
	sieve/plugins/editheader/ext-editheader-common.c, src/lib-
	sieve/plugins/editheader/ext-editheader-common.h, src/lib-
	sieve/plugins/editheader/ext-editheader.c,
	tests/extensions/editheader/protected.svtest:
	lib-sieve: editheader: added simple configuration for protected
	headers.
	[8d0cfe6f66f0]

	* src/lib-sieve/sieve-result.c,
	tests/extensions/editheader/addheader.svtest,
	tests/extensions/editheader/deleteheader.svtest:
	lib-sieve: editheader: fixed normal implicit keep. This was broken
	by previous change. It now properly uses the final version of the
	message instead of the original.
	[f13a2fc82fa0]

	* TODO:
	Updated TODO.
	[6798ae05aa0a]

	* src/lib-sieve/sieve-actions.c,
	tests/extensions/editheader/errors.svtest,
	tests/extensions/editheader/errors/runtime-error.sieve:
	lib-sieve: editheader: fixed implicit keep after runtime error. It
	did not use the original message in this case.
	[9c2fa28f7123]

2011-11-26  Stephan Bosch  <stephan@rename-it.nl>

	* tests/extensions/editheader/addheader.svtest,
	tests/extensions/editheader/deleteheader.svtest:
	testsuite: editheader extension: added various tests for folded
	headers.
	[23fbd8454d98]

	* src/lib-sieve/edit-mail.c:
	lib-sieve: editheader extension: fixed handling of pre-folded header
	values for added header fields.
	[f7ec0ff8c3ba]

	* src/lib-sieve/plugins/editheader/cmd-deleteheader.c:
	lib-sieve: editheader extension: fixed compile warning caused by
	spurious comma.
	[3d01485cb539]

	* src/testsuite/cmd-test-message.c, src/testsuite/ext-testsuite.c,
	src/testsuite/testsuite-common.h:
	testsuite: added test_message_print command to print the current
	message content.
	[8af074872b41]

	* src/lib-sieve/plugins/editheader/cmd-addheader.c, src/lib-
	sieve/plugins/editheader/cmd-deleteheader.c, src/lib-
	sieve/rfc2822.c, tests/extensions/editheader/errors.svtest,
	tests/extensions/editheader/errors/field-value.sieve:
	testsuite: editheader extension: added error tests for header value
	verification.
	[df95edf614c4]

	* src/lib-sieve/rfc2822.c:
	lib-sieve: fixed bug caused by last change to rfc2822 header
	verification.
	[1143c225b528]

	* Makefile.am, tests/extensions/editheader/errors.svtest,
	tests/extensions/editheader/errors/field-name-runtime.sieve,
	tests/extensions/editheader/errors/field-name.sieve:
	testsuite: editheader extension: added error tests for header field
	name verification.
	[258108f6eea5]

	* src/lib-sieve/plugins/editheader/cmd-addheader.c, src/lib-
	sieve/plugins/editheader/cmd-deleteheader.c:
	lib-sieve: editheader extension: added runtime header field name
	verification.
	[a691c5c035f2]

	* src/lib-sieve/plugins/enotify/mailto/uri-mailto.c, src/lib-
	sieve/rfc2822.c, src/lib-sieve/rfc2822.h:
	lib-sieve: updated rfc2822 header field body verification to exclude
	non-printing characters (RFC5322).
	[cdf52ef61f65]

2011-11-24  Stephan Bosch  <stephan@rename-it.nl>

	* tests/extensions/editheader/utf8.svtest:
	lib-sieve: editheader extension: added utf8-decoding-related
	testsuite item.
	[6757a772b086]

	* Makefile.am, README, TODO, configure.in,
	doc/rfc/editheader.rfc5293.txt, src/lib-sieve/Makefile.am, src/lib-
	sieve/cmd-keep.c, src/lib-sieve/cmd-redirect.c, src/lib-sieve/edit-
	mail.c, src/lib-sieve/edit-mail.h, src/lib-sieve/ext-fileinto.c, src
	/lib-sieve/plugins/Makefile.am, src/lib-
	sieve/plugins/editheader/Makefile.am, src/lib-
	sieve/plugins/editheader/cmd-addheader.c, src/lib-
	sieve/plugins/editheader/cmd-deleteheader.c, src/lib-
	sieve/plugins/editheader/ext-editheader-common.c, src/lib-
	sieve/plugins/editheader/ext-editheader-common.h, src/lib-
	sieve/plugins/editheader/ext-editheader.c, src/lib-sieve/rfc2822.c,
	src/lib-sieve/rfc2822.h, src/lib-sieve/sieve-actions.c, src/lib-
	sieve/sieve-actions.h, src/lib-sieve/sieve-extensions.c, src/lib-
	sieve/sieve-interpreter.c, src/lib-sieve/sieve-match-types.c, src
	/lib-sieve/sieve-match-types.h, src/lib-sieve/sieve-message.c, src
	/lib-sieve/sieve-message.h, src/lib-sieve/sieve-result.c, src/lib-
	sieve/tst-exists.c, src/lib-sieve/tst-size.c, src/testsuite
	/testsuite-message.c, tests/extensions/editheader/addheader.svtest,
	tests/extensions/editheader/alternating.svtest,
	tests/extensions/editheader/deleteheader.svtest,
	tests/extensions/editheader/utf8.svtest:
	Added editheader support.
	[253a0672ad92]

2011-11-19  Stephan Bosch  <stephan@rename-it.nl>

	* INSTALL, NEWS, README, TODO, configure.in, doc/man/pigeonhole.7.in,
	doc/man/sieve-dump.1.in, doc/man/sieve-filter.1.in, doc/man/sieve-
	test.1.in, doc/man/sievec.1.in:
	Upgraded package version to 0.3.0 and updated documentation.
	[c94b71745f38]

	* src/lib-sieve-tool/mail-raw.c, src/lib-sieve-tool/mail-raw.h, src
	/lib-sieve-tool/sieve-tool.c, src/lib-sieve/plugins/mailbox/tst-
	mailboxexists.c, src/lib-sieve/sieve-actions.c, src/managesieve-
	login/client.c, src/testsuite/testsuite-mailstore.c:
	Upgraded to Dovecot v2.1.
	[7de7d7d01d55]

	* .hgsigs:
	Added signature for changeset 873baa85e220
	[e2c092d3198e]

	* .hgtags:
	Added tag 0.2.5 for changeset 873baa85e220
	[618ccb1e3750]

	* NEWS, configure.in:
	Released v0.2.5 for Dovecot v2.0.16.
	[873baa85e220] [0.2.5]

2011-11-09  Stephan Bosch  <stephan@rename-it.nl>

	* src/managesieve-login/managesieve-login-settings.c:
	managesieve-login: Use default_vsz_limit instead of adding our own.
	This change matches identical changes for Dovecot's imap-login and
	pop3-login.
	[5b1080bbeee5]

2011-10-05  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/plugins/vacation/cmd-vacation.c:
	lib-sieve: vacation extension: further tinkered on log message about
	implicitly delivered messages.
	[bf72eada1f1b]

	* src/sieve-tools/sieve-test.c:
	sieve-test tool: mixed up original and final envelope recipient in
	actual implementation.
	[027f450bd498]

	* doc/man/sieve-dump.1.in, doc/man/sieve-filter.1.in, doc/man/sieve-
	test.1.in, doc/man/sievec.1.in, src/sieve-tools/sieve-dump.c, src
	/sieve-tools/sieve-test.c, src/sieve-tools/sievec.c:
	Updated documentation of sieve tools.
	[78e92af7aa61]

	* src/lib-sieve/plugins/vacation/cmd-vacation.c:
	lib-sieve: vacation extension: made discard message for implicit
	deliver more verbose.
	[936f29175330]

2011-09-21  Stephan Bosch  <stephan@rename-it.nl>

	* tests/extensions/vacation/message.svtest:
	test suite: forgot to remove test_result_print command in previous
	change.
	[e10d402769fb]

	* src/lib-sieve/plugins/vacation/cmd-vacation.c:
	lib-sieve: vacation: handled FIXME regarding the use of variables in
	the :handle argument. Variables are now handled correctly.
	[fe6df3425850]

	* tests/extensions/vacation/message.svtest:
	test suite: added test for usage of variables in vacation command.
	[4353ad991f1c]

2011-09-17  Stephan Bosch  <stephan@rename-it.nl>

	* Merged concurrent changes.
	[b4f0fe1f54c3]

2011-09-16  Stephan Bosch  <stephan@rename-it.nl>

	* TODO:
	Updated TODO.
	[78654f55c9a0]

2011-09-14  Stephan Bosch  <stephan@rename-it.nl>

	* src/testsuite/testsuite-script.c:
	testsuite: fixed compiler warning.
	[6cb7f5478ca4]

	* src/lib-sieve/plugins/body/ext-body-common.c,
	tests/extensions/body/content.svtest:
	body extension: fixed handling of :content message/rfc822.
	[f3a4ddd68bc8]

2011-09-17  Stephan Bosch  <stephan@rename-it.nl>

	* src/plugins/lda-sieve/lda-sieve-plugin.c:
	Last change did not even compile.
	[7cd2dce9ab6b]

	* src/plugins/lda-sieve/lda-sieve-plugin.c:
	lda-sieve: fall back to global recipient_delimiter setting if
	plugin/recipient_delimiter is not set.
	[296bb15850b4]

2011-09-13  Stephan Bosch  <stephan@rename-it.nl>

	* .hgsigs:
	Added signature for changeset 0d071eaa6d5e
	[9e0d1a75c546]

	* .hgtags:
	Added tag 0.2.4 for changeset 0d071eaa6d5e
	[5459f69f6aa2]

	* NEWS, configure.in:
	Released v0.2.4 for Dovecot v2.0.14.
	[0d071eaa6d5e] [0.2.4]

2011-09-11  Stephan Bosch  <stephan@rename-it.nl>

	* INSTALL, doc/include.txt, doc/rfc/draft-ietf-sieve-include-03.txt,
	doc/rfc/draft-ietf-sieve-include-05.txt, doc/vacation.txt:
	Updated INSTALL documentation for new configuration options of the
	include extension.
	[6e46c17ab0b7]

	* src/lib-sieve/plugins/include/ext-include-binary.c, src/lib-
	sieve/plugins/include/ext-include-common.c, src/lib-
	sieve/plugins/include/ext-include-common.h, src/lib-
	sieve/plugins/include/ext-include-limits.h, src/testsuite/testsuite-
	script.c, tests/extensions/include/errors.svtest,
	tests/extensions/include/errors/depth-limit.sieve,
	tests/extensions/include/errors/include-limit.sieve,
	tests/extensions/include/included/depth-limit-1.sieve,
	tests/extensions/include/included/depth-limit-2.sieve,
	tests/extensions/include/included/depth-limit-3.sieve:
	include extension: made nesting_depth and max_includes limits
	configurable.
	[f12899a3d02f]

	* src/lib-sieve/plugins/include/ext-include-common.c, src/lib-
	sieve/plugins/include/ext-include-common.h, src/lib-
	sieve/plugins/include/ext-include.c, src/testsuite/testsuite.c,
	tests/extensions/include/errors/included/action-fileinto.sieve,
	tests/extensions/include/errors/included/action-reject.sieve,
	tests/extensions/include/errors/included/circular-one.sieve,
	tests/extensions/include/errors/included/circular-three-2.sieve,
	tests/extensions/include/errors/included/circular-three-3.sieve,
	tests/extensions/include/errors/included/circular-three.sieve,
	tests/extensions/include/errors/included/circular-two-2.sieve,
	tests/extensions/include/errors/included/circular-two.sieve,
	tests/extensions/include/execute/included/actions-fileinto1.sieve,
	tests/extensions/include/execute/included/actions-fileinto2.sieve,
	tests/extensions/include/execute/included/actions-fileinto3.sieve,
	tests/extensions/include/included/action-fileinto.sieve,
	tests/extensions/include/included/action-reject.sieve,
	tests/extensions/include/included/actions-fileinto1.sieve,
	tests/extensions/include/included/actions-fileinto2.sieve,
	tests/extensions/include/included/actions-fileinto3.sieve,
	tests/extensions/include/included/circular-one.sieve,
	tests/extensions/include/included/circular-three-2.sieve,
	tests/extensions/include/included/circular-three-3.sieve,
	tests/extensions/include/included/circular-three.sieve,
	tests/extensions/include/included/circular-two-2.sieve,
	tests/extensions/include/included/circular-two.sieve:
	include extension: implemented proper configuration handling
	Configuration is now only read once at extension initialization.
	[ce825c9671a6]

	* src/lib-sieve/plugins/variables/ext-variables-common.c:
	variables extension: fixed deinitialization problem (unfreed
	variable scope data) newly found by Valgrind.
	[6d0da356f0fd]

	* src/lib-sieve/plugins/include/ext-include-common.c, src/lib-
	sieve/plugins/variables/ext-variables-common.c, src/lib-
	sieve/plugins/variables/ext-variables-dump.c, src/lib-
	sieve/plugins/variables/sieve-ext-variables.h:
	variables extension: fixed segfault bug triggered when dumping
	binary variable scopes.
	[75bb6c3f4176]

2011-08-29  Stephan Bosch  <stephan@rename-it.nl>

	* NEWS, README:
	Updated NEWS and README for next release.
	[2b7f00ea1062]

	* TODO:
	Updated TODO.
	[3901d10186e0]

	* src/lib-sieve-tool/sieve-tool.c, src/lib-sieve/sieve-error.c, src
	/lib-sieve/sieve-script.c:
	sieve: fixed debug mode; no messages were logged in some situations.
	[db043c016009]

	* src/sieve-tools/sievec.c:
	sievec: forgot to enable -D (debug) parameter.
	[04b4edd4bf6e]

2011-08-02  Stephan Bosch  <stephan@rename-it.nl>

	* doc/vacation.txt, src/lib-sieve/plugins/vacation/cmd-vacation.c, src
	/lib-sieve/plugins/vacation/ext-vacation-common.c, src/lib-
	sieve/plugins/vacation/ext-vacation-common.h, src/testsuite
	/testsuite-message.c, src/testsuite/testsuite-message.h,
	src/testsuite/testsuite-objects.c,
	tests/extensions/vacation/reply.svtest:
	lib-sieve: vacation extension: finally added support for using the
	original recipient in vacation address check.
	[81f7acac82f2]

	* src/lib-sieve/cmd-redirect.c:
	lib-sieve: forgot to check for NULL recipient in previous change.
	[efad75f779de]

	* src/lib-sieve/cmd-redirect.c:
	lib-sieve: added X-Sieve-Redirected-From header for people using
	SPF/SRS.
	[81b37c0055c3]

2011-07-05  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/plugins/include/cmd-global.c, src/lib-
	sieve/plugins/include/ext-include-variables.c, src/lib-
	sieve/plugins/variables/ext-variables-arguments.c, src/lib-
	sieve/plugins/variables/ext-variables-name.c, src/lib-
	sieve/plugins/variables/sieve-ext-variables.h,
	tests/extensions/include/rfc-ex2-default.sieve:
	lib-sieve: include extension: forgot to check variable identifier
	syntax.
	[08bbe5872576]

2011-07-02  Stephan Bosch  <stephan@rename-it.nl>

	* Merged concurrent changes.
	[e9bb226739cb]

	* NEWS, README:
	Updated documentation.
	[278efc729dc3]

	* TODO:
	Updated TODO.
	[b69e1c556ad4]

2011-06-29  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/plugins/variables/ext-variables-common.c:
	lib-sieve: variables extension: fixed -Wunused-but-set-variable
	compiler warning.
	[a720b0775fa5]

2011-06-26  Stephan Bosch  <stephan@rename-it.nl>

	* doc/rfc/ihave.rfc5463.txt:
	Added ihave RFC to repository.
	[ac0870035061]

	* Makefile.am, src/lib-sieve/plugins/ihave/Makefile.am, src/lib-
	sieve/plugins/ihave/cmd-error.c, src/lib-sieve/plugins/ihave/ext-
	ihave-common.h, src/lib-sieve/plugins/ihave/ext-ihave.c, src/lib-
	sieve/plugins/ihave/tst-ihave.c,
	tests/extensions/ihave/errors.svtest,
	tests/extensions/ihave/errors/error.sieve,
	tests/extensions/ihave/restrictions.svtest:
	lib-sieve: finished ihave extension.
	[bdb94146c89c]

	* TODO:
	Updated TODO list.
	[2eec49242135]

	* Makefile.am, configure.in, src/lib-sieve/Makefile.am, src/lib-sieve
	/cmd-require.c, src/lib-sieve/plugins/Makefile.am, src/lib-
	sieve/plugins/ihave/Makefile.am, src/lib-sieve/plugins/ihave/ext-
	ihave-binary.c, src/lib-sieve/plugins/ihave/ext-ihave-binary.h, src
	/lib-sieve/plugins/ihave/ext-ihave-common.c, src/lib-
	sieve/plugins/ihave/ext-ihave-common.h, src/lib-sieve/plugins/ihave
	/ext-ihave.c, src/lib-sieve/plugins/ihave/tst-ihave.c, src/lib-sieve
	/sieve-ast.c, src/lib-sieve/sieve-ast.h, src/lib-sieve/sieve-
	extensions.c, src/lib-sieve/sieve-extensions.h, src/lib-sieve/sieve-
	validator.c, src/lib-sieve/sieve-validator.h,
	tests/extensions/ihave/execute.svtest,
	tests/extensions/ihave/execute/ihave.sieve:
	lib-sieve: implemented ihave extension.
	[d6c207acbc8d]

	* TODO, src/lib-sieve/cmd-discard.c, src/lib-sieve/cmd-if.c, src/lib-
	sieve/cmd-keep.c, src/lib-sieve/cmd-redirect.c, src/lib-sieve/cmd-
	require.c, src/lib-sieve/cmd-stop.c, src/lib-sieve/ext-envelope.c,
	src/lib-sieve/ext-fileinto.c, src/lib-sieve/ext-reject.c, src/lib-
	sieve/plugins/body/tst-body.c, src/lib-sieve/plugins/date/tst-
	date.c, src/lib-sieve/plugins/enotify/cmd-notify.c, src/lib-
	sieve/plugins/enotify/tst-notify-method-capability.c, src/lib-
	sieve/plugins/enotify/tst-valid-notify-method.c, src/lib-
	sieve/plugins/environment/tst-environment.c, src/lib-
	sieve/plugins/imap4flags/cmd-flag.c, src/lib-
	sieve/plugins/imap4flags/ext-imapflags.c, src/lib-
	sieve/plugins/imap4flags/tst-hasflag.c, src/lib-
	sieve/plugins/include/cmd-global.c, src/lib-sieve/plugins/include
	/cmd-include.c, src/lib-sieve/plugins/include/cmd-return.c, src/lib-
	sieve/plugins/mailbox/tst-mailboxexists.c, src/lib-
	sieve/plugins/notify/cmd-denotify.c, src/lib-sieve/plugins/notify
	/cmd-notify.c, src/lib-sieve/plugins/spamvirustest/tst-
	spamvirustest.c, src/lib-sieve/plugins/vacation/cmd-vacation.c, src
	/lib-sieve/plugins/variables/cmd-set.c, src/lib-
	sieve/plugins/variables/tst-string.c, src/lib-
	sieve/plugins/vnd.dovecot/debug/cmd-debug-log.c, src/lib-sieve
	/sieve-commands.h, src/lib-sieve/sieve-validator.c, src/lib-sieve
	/tst-address.c, src/lib-sieve/tst-allof.c, src/lib-sieve/tst-
	anyof.c, src/lib-sieve/tst-exists.c, src/lib-sieve/tst-header.c, src
	/lib-sieve/tst-not.c, src/lib-sieve/tst-size.c, src/lib-sieve/tst-
	truefalse.c, src/testsuite/cmd-test-binary.c, src/testsuite/cmd-
	test-config.c, src/testsuite/cmd-test-fail.c, src/testsuite/cmd-
	test-mailbox.c, src/testsuite/cmd-test-message.c, src/testsuite/cmd-
	test-result.c, src/testsuite/cmd-test-set.c, src/testsuite/cmd-
	test.c, src/testsuite/tst-test-error.c, src/testsuite/tst-test-
	multiscript.c, src/testsuite/tst-test-result-action.c, src/testsuite
	/tst-test-result-execute.c, src/testsuite/tst-test-script-compile.c,
	src/testsuite/tst-test-script-run.c, tests/control-if.svtest, tests
	/test-allof.svtest, tests/test-anyof.svtest:
	lib-sieve: optimized compilation of tests that yield constant
	results (i.e. known at compile tme), such as true and false. If the
	result of a test is known at compile time, it is optimized away. If
	an if-command depends on an entirely constant test, it is optimized
	away as well, causing only the 'true' sub-block to be compiled.
	[cf3b58e583ec]

2011-06-22  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve-tool/sieve-tool.c, src/sieve-tools/sieve-test.c,
	src/testsuite/testsuite.c:
	Sieve tools: started using mail_namespaces_init_location instead of
	mail_namespaces_init_empty.
	[b9050c63a238]

	* src/lib-sieve/sieve-actions.c:
	lib-sieve: made sure that flags and keywords are only checked when
	the mailbox is actually opened.
	[850d5748a115]

	* tests/extensions/imap4flags/execute.svtest:
	Finished testsuite item for the imap4flags extension.
	[9b3368611f32]

2011-06-21  Stephan Bosch  <stephan@rename-it.nl>

	* doc/man/sieve-dump.1.in, doc/man/sieve-filter.1.in, doc/man/sieve-
	test.1.in, doc/man/sievec.1.in:
	Fixed a few minor textual problems in the manual pages.
	[de8753dad82f]

2011-06-06  Stephan Bosch  <stephan@rename-it.nl>

	* Makefile.am, configure.in, doc/man/sieve-test.1.in, src/lib-
	sieve/Makefile.am, src/lib-sieve/plugins/Makefile.am, src/lib-
	sieve/plugins/vnd.dovecot/Makefile.am, src/lib-
	sieve/plugins/vnd.dovecot/debug/Makefile.am, src/lib-
	sieve/plugins/vnd.dovecot/debug/cmd-debug-log.c, src/lib-
	sieve/plugins/vnd.dovecot/debug/ext-debug-common.h, src/lib-
	sieve/plugins/vnd.dovecot/debug/ext-debug.c, src/lib-sieve/sieve-
	extensions.c, src/lib-sieve/sieve-extensions.h, src/sieve-
	tools/Makefile.am, src/sieve-tools/debug/Makefile.am, src/sieve-
	tools/debug/cmd-debug-print.c, src/sieve-tools/debug/ext-debug-
	common.h, src/sieve-tools/debug/ext-debug.c, src/sieve-tools/debug
	/sieve-ext-debug.h, src/sieve-tools/sieve-dump.c, src/sieve-tools
	/sieve-filter.c, src/sieve-tools/sieve-test.c, src/sieve-
	tools/sievec.c, src/testsuite/testsuite-log.c,
	tests/extensions/vnd.dovecot/debug/execute.svtest:
	Made vnd.dovecot.debug extension available to the LDA plugin instead
	of only the command line tools.
	[9d328e6732ff]

2011-05-11  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sievestorage/sieve-storage.c, src/managesieve/managesieve-
	client.c:
	Sieve Storage: improved handling of unconfigured user home
	directory.
	[560057691dac]

2011-05-10  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/sieve-extensions.c, src/lib-sieve/sieve-extensions.h,
	src/lib-sieve/sieve-validator.c:
	Imap4flags: previous change was inadequate.
	[cc25d9fa8183]

2011-05-09  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve/plugins/imap4flags/ext-imapflags.c, src/lib-
	sieve/plugins/vacation/ext-vacation-seconds.c, src/lib-sieve/sieve-
	extensions.c, src/lib-sieve/sieve-extensions.h:
	Imap4flags: prevent forcibly enabling imap4flags when imapflags is
	enabled.
	[ef58ace33b47]

2011-04-14  Stephan Bosch  <stephan@rename-it.nl>

	* .hgsigs:
	Added signature for changeset 3ab2a125e1e2
	[42497f1c37ff]

	* .hgtags:
	Added tag 0.2.3 for changeset 3ab2a125e1e2
	[ae64daced5b1]

	* configure.in:
	Released v0.2.3 for Dovecot v2.0.12.
	[3ab2a125e1e2] [0.2.3]

	* NEWS:
	Prepared NEWS file for next release.
	[cbb671878b87]

	* INSTALL:
	Small changes to the INSTALL file regarding configuration of
	vacation extension.
	[599e23b5adfb]

	* doc/rfc/draft-ietf-sieve-vacation-seconds-03.txt, doc/rfc/vacation-
	seconds.rfc6131.txt:
	Updated RFC for vacation-seconds extension.
	[c2c35cc3da1f]

	* doc/spamtest-virustest.txt, doc/vacation.txt:
	Restructured extension-specific install documentation.
	[2e1ce7cf1b19]

2011-04-13  Stephan Bosch  <stephan@rename-it.nl>

	* src/managesieve-login/managesieve-login-settings-plugin.c:
	Managesieve-login: increased dump-capability time-out from 5 to 60
	s.
	[5a485986b032]

2011-04-10  Stephan Bosch  <stephan@rename-it.nl>

	* src/managesieve-login/client.c:
	managsieve-login: Reduced the max. number of allowed bad commands.
	[035f71059f3d]

2011-03-22  Stephan Bosch  <stephan@rename-it.nl>

	* src/lib-sieve-tool/sieve-tool.c, src/lib-sieve-tool/sieve-tool.h,
	src/sieve-tools/sieve-dump.c, src/sieve-tools/sieve-filter.c, src
	/sieve-tools/sieve-test.c, src/sieve-tools/sievec.c,
	src/testsuite/testsuite.c:
	Sieve tools: avoid initializing mail store (namespaces) for sievec
	and sieve-dump.
	[ed2d01aff6d0]

	* src/lib-sieve-tool/mail-raw.c, src/lib-sieve/plugins/mailbox/tag-
	mailbox-create.c, src/lib-sieve/sieve-result.c, src/testsuite/cmd-
	test-message.c:
	Fixed various compile warnings related to spurious semicolons and
	inappropriate variable initialization.
	[b9c507cfa061]

2011-03-05  Stephan Bosch  <stephan@rename-it.nl>

	* doc/man/pigeonhole.7.in, src/lib-managesieve/managesieve-parser.c,
	src/lib-managesieve/managesieve-parser.h, src/lib-managesieve
	/managesieve-quote.c, src/lib-managesieve/managesieve-quote.h, src
	/lib-sieve-tool/mail-raw.c, src/lib-sieve-tool/mail-raw.h, src/lib-
	sieve-tool/sieve-tool.c, src/lib-sieve-tool/sieve-tool.h, src/lib-
	sieve/cmd-discard.c, src/lib-sieve/cmd-if.c, src/lib-sieve/cmd-
	keep.c, src/lib-sieve/cmd-redirect.c, src/lib-sieve/cmd-require.c,
	src/lib-sieve/cmd-stop.c, src/lib-sieve/cmp-i-ascii-casemap.c, src
	/lib-sieve/cmp-i-octet.c, src/lib-sieve/ext-encoded-character.c, src
	/lib-sieve/ext-envelope.c, src/lib-sieve/ext-fileinto.c, src/lib-
	sieve/ext-reject.c, src/lib-sieve/mcht-contains.c, src/lib-sieve
	/mcht-is.c, src/lib-sieve/mcht-matches.c, src/lib-sieve/plugins/body
	/ext-body-common.c, src/lib-sieve/plugins/body/ext-body-common.h,
	src/lib-sieve/plugins/body/ext-body.c, src/lib-sieve/plugins/body
	/tst-body.c, src/lib-sieve/plugins/comparator-i-ascii-numeric/ext-
	cmp-i-ascii-numeric.c, src/lib-sieve/plugins/copy/ext-copy.c, src
	/lib-sieve/plugins/copy/sieve-ext-copy.h, src/lib-sieve/plugins/date
	/ext-date-common.c, src/lib-sieve/plugins/date/ext-date-common.h,
	src/lib-sieve/plugins/date/ext-date.c, src/lib-sieve/plugins/date
	/tst-date.c, src/lib-sieve/plugins/enotify/cmd-notify.c, src/lib-
	sieve/plugins/enotify/ext-enotify-common.c, src/lib-
	sieve/plugins/enotify/ext-enotify-common.h, src/lib-
	sieve/plugins/enotify/ext-enotify-limits.h, src/lib-
	sieve/plugins/enotify/ext-enotify.c, src/lib-
	sieve/plugins/enotify/mailto/ntfy-mailto.c, src/lib-
	sieve/plugins/enotify/mailto/uri-mailto.c, src/lib-
	sieve/plugins/enotify/mailto/uri-mailto.h, src/lib-
	sieve/plugins/enotify/sieve-ext-enotify.h, src/lib-
	sieve/plugins/enotify/tst-notify-method-capability.c, src/lib-
	sieve/plugins/enotify/tst-valid-notify-method.c, src/lib-
	sieve/plugins/enotify/vmodf-encodeurl.c, src/lib-
	sieve/plugins/environment/ext-environment-common.c, src/lib-
	sieve/plugins/environment/ext-environment-common.h, src/lib-
	sieve/plugins/environment/ext-environment.c, src/lib-
	sieve/plugins/environment/sieve-ext-environment.h, src/lib-
	sieve/plugins/environment/tst-environment.c, src/lib-
	sieve/plugins/imap4flags/cmd-flag.c, src/lib-
	sieve/plugins/imap4flags/ext-imap4flags-common.c, src/lib-
	sieve/plugins/imap4flags/ext-imap4flags-common.h, src/lib-
	sieve/plugins/imap4flags/ext-imap4flags.c, src/lib-
	sieve/plugins/imap4flags/ext-imapflags.c, src/lib-
	sieve/plugins/imap4flags/tag-flags.c, src/lib-
	sieve/plugins/imap4flags/tst-hasflag.c, src/lib-
	sieve/plugins/include/cmd-global.c, src/lib-sieve/plugins/include
	/cmd-include.c, src/lib-sieve/plugins/include/cmd-return.c, src/lib-
	sieve/plugins/include/ext-include-binary.c, src/lib-
	sieve/plugins/include/ext-include-binary.h, src/lib-
	sieve/plugins/include/ext-include-common.c, src/lib-
	sieve/plugins/include/ext-include-common.h, src/lib-
	sieve/plugins/include/ext-include-limits.h, src/lib-
	sieve/plugins/include/ext-include-variables.c, src/lib-
	sieve/plugins/include/ext-include-variables.h, src/lib-
	sieve/plugins/include/ext-include.c, src/lib-sieve/plugins/mailbox
	/ext-mailbox-common.h, src/lib-sieve/plugins/mailbox/ext-mailbox.c,
	src/lib-sieve/plugins/mailbox/tag-mailbox-create.c, src/lib-
	sieve/plugins/mailbox/tst-mailboxexists.c, src/lib-
	sieve/plugins/notify/cmd-denotify.c, src/lib-sieve/plugins/notify
	/cmd-notify.c, src/lib-sieve/plugins/notify/ext-notify-common.c, src
	/lib-sieve/plugins/notify/ext-notify-common.h, src/lib-
	sieve/plugins/notify/ext-notify-limits.h, src/lib-
	sieve/plugins/notify/ext-notify.c, src/lib-sieve/plugins/regex/ext-
	regex-common.c, src/lib-sieve/plugins/regex/ext-regex-common.h, src
	/lib-sieve/plugins/regex/ext-regex.c, src/lib-sieve/plugins/regex
	/mcht-regex.c, src/lib-sieve/plugins/relational/ext-relational-
	common.c, src/lib-sieve/plugins/relational/ext-relational-common.h,
	src/lib-sieve/plugins/relational/ext-relational.c, src/lib-
	sieve/plugins/relational/mcht-count.c, src/lib-
	sieve/plugins/relational/mcht-value.c, src/lib-
	sieve/plugins/spamvirustest/ext-spamvirustest-common.c, src/lib-
	sieve/plugins/spamvirustest/ext-spamvirustest-common.h, src/lib-
	sieve/plugins/spamvirustest/ext-spamvirustest.c, src/lib-
	sieve/plugins/spamvirustest/tst-spamvirustest.c, src/lib-
